2017-11-07  gettextize  <bug-gnu-gettext@gnu.org>

	* m4/gettext.m4: New file, from gettext-0.19.8.1.
	* m4/iconv.m4: New file, from gettext-0.19.8.1.
	* m4/lib-ld.m4: New file, from gettext-0.19.8.1.
	* m4/lib-link.m4: New file, from gettext-0.19.8.1.
	* m4/lib-prefix.m4: New file, from gettext-0.19.8.1.
	* m4/nls.m4: New file, from gettext-0.19.8.1.
	* m4/po.m4: New file, from gettext-0.19.8.1.
	* m4/progtest.m4: New file, from gettext-0.19.8.1.
	* Makefile.am (EXTRA_DIST): Add config.rpath.
	* configure.ac (AC_CONFIG_FILES): Add po/Makefile.in.

2017-11-07  gettextize  <bug-gnu-gettext@gnu.org>

	* m4/gettext.m4: New file, from gettext-0.19.8.1.
	* m4/iconv.m4: New file, from gettext-0.19.8.1.
	* m4/lib-ld.m4: New file, from gettext-0.19.8.1.
	* m4/lib-link.m4: New file, from gettext-0.19.8.1.
	* m4/lib-prefix.m4: New file, from gettext-0.19.8.1.
	* m4/nls.m4: New file, from gettext-0.19.8.1.
	* m4/po.m4: New file, from gettext-0.19.8.1.
	* m4/progtest.m4: New file, from gettext-0.19.8.1.
	* configure.ac (AC_CONFIG_FILES): Add po/Makefile.in.

commit 13087e38ace4f092667ab08617ced1d559f3d2e2
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 6 21:05:36 2016 +0900

    Bump version to 2.11.95

 README                  | 41 +++++++++++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 41 insertions(+), 4 deletions(-)

commit 0cfa146e6b41bc6b819fe0f37d0e2ff0a947eb3b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 6 21:04:42 2016 +0900

    Update libtool revision

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d179cbc2536af16cf0f4992e0a4b2d751437ee6c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 6 14:39:15 2016 +0900

    Revert "Workaround another race condition issue"

    This reverts commit f44bfad235e63bb792c38e16ae1fbd281ec1453b.

 src/fccache.c | 31 +------------------------------
 src/fcdir.c   | 31 ++++++-------------------------
 src/fcint.h   |  8 +-------
 3 files changed, 8 insertions(+), 62 deletions(-)

commit d05d083e9f87eb378b92e477d34a88061a572d86
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Mar 8 17:20:41 2016 -0800

    [GX] Improve weight mapping

    Align the 'wght' axis default value to OS/2 weight value and
    adjust accordingly.  This makes both default=1.0 and default=400
    models to work.

 src/fcfreetype.c | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit d709220d74c4ff6e609f35761b71d4d7136d02c1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Mar 8 17:20:28 2016 -0800

    Improve OpenType to Fontconfig weight mapping

 src/fcweight.c | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

commit 27d61f1ddcda5543e9c6440a0f8794caa0b1eac7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 9 00:59:31 2015 +0200

    [GX] Enumerate all named-instances in TrueType GX fonts

 src/fcdir.c | 19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

commit 00c8408c6a82a79388f8119c4afce6e721b693f7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 9 09:06:37 2015 +0200

    [GX] Support instance weight, width, and style name

 src/fcfreetype.c | 74
 +++++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 68 insertions(+), 6 deletions(-)

commit 28f62d1bb892e1c86eb0d5afaf125bfe0e34cbe9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 9 00:45:01 2015 +0200

    Call FcFreeTypeQueryFace() from fcdir.c, instead of FcFreeTypeQuery()

    Need for upcoming work.  No functional change expected.

 src/fcdir.c | 25 +++++++++++++++++++++----
 1 file changed, 21 insertions(+), 4 deletions(-)

commit d570a841a2aa9d770578aa149e43bb2e5bd0f2df
Author: Patrick Haller <patrick.haller@haller-consult.de>
Date:   Sat Jan 9 03:06:31 2016 +0100

    Optimizations in FcStrSet

    Applied optimizations:
    - skip duplicate check in FcStrSetAppend for values originating
    from readdir()
    - grow FcStrSet in 64-element bulks for local FcStrSets (FcConfig
    layout unaltered)

    Starting gedit is measured to

                            Unoptimized     Optimized
    user[s]                         0,806         0,579
    sys[s]                          0,062         0,062
    Total Instr Fetch Cost: 1.658.683.750   895.069.820
    Cachegrind D Refs:        513.917.619   312.000.436
    Cachegrind Dl Misses:       8.605.632     4.954.639

 src/fccache.c |  2 +-
 src/fccfg.c   |  4 ++--
 src/fcdir.c   |  6 +++---
 src/fcint.h   | 11 +++++++++++
 src/fcstr.c   | 47 +++++++++++++++++++++++++++++++++--------------
 src/fcxml.c   |  2 +-
 6 files changed, 51 insertions(+), 21 deletions(-)

commit 98434b3392172233094cac25ade7225c93da9f1c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Dec 2 11:31:50 2015 +0900

    Add hintstyle templates and make hintslight default

 conf.d/10-hinting-full.conf   | 13 +++++++++++++
 conf.d/10-hinting-medium.conf | 13 +++++++++++++
 conf.d/10-hinting-none.conf   | 13 +++++++++++++
 conf.d/10-hinting-slight.conf | 13 +++++++++++++
 conf.d/Makefile.am            |  5 +++++
 5 files changed, 57 insertions(+)

commit 04763135d47ae24a808fc15c4482e2bb6f847ab9
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 25 11:58:14 2015 +0900

    Avoid an error message on testing when no fonts.conf installed

    This test case doesn't require any config files so no need to ensure
    loading them.

 test/test-bz89617.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5886d98c368cdb76ddedc48aedbab45a5c7e96f6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Nov 24 10:46:34 2015 +0900

    Bug 93075 - Possible fix for make check failure on msys/MinGW...

    Patch from Christian Fafard

 test/run-test.sh | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 1d87fab8b18bf5a497646d98a1c6279372aac4ea
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 18 14:44:17 2015 +0900

    remomve unnecessary code

 src/fcdefault.c | 1 -
 1 file changed, 1 deletion(-)

commit d162a4a83d6bf2182e288e0bc0b4d3ae2f78f040
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Oct 16 17:24:22 2015 +0900

    Fix assertion on 32bit arch

 src/fcarch.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d6ce028eedc6775b61fe768eca4d791ba9db21d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 15 15:53:27 2015 +0900

    Fix compiler warnings on MinGW

 test/test-bz89617.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bd96984e4b1da2e4b422050b773f3ded978d976c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 15 15:48:23 2015 +0900

    Use int64_t instead of long long

 src/fccache.c | 4 ++--
 src/fcint.h   | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 7ccde89758f23a7eb90549667cffb084e684ed48
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Oct 13 13:06:54 2015 +0900

    Fix build issue on MinGW

 src/fccache.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit a44cc450b5f3d67c0298a912e12ed5ff234490f9
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Oct 13 13:04:18 2015 +0900

    Use long long to see the same size between LP64 and LLP64

 src/fccache.c | 2 +-
 src/fcint.h   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c88d9b62421e8ba35a71319c7b0d555d512510c7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Aug 17 16:37:08 2015 +0900

    Fail on make runtime as needed instead of configure if no python
    installed

    python isn't necessarily required to build fontconfig from tarball
    so that
    generated fcblanks.h is available in tarball.

    https://bugs.freedesktop.org/show_bug.cgi?id=91663

 configure.ac          | 3 ++-
 fc-blanks/Makefile.am | 5 +++++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit ad9f5880502c9a3f8e7f8919336888ee056f17ba
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Aug 14 17:17:34 2015 +0900

    Fix the broken cache more.

    Take a look at the nano second in the mtime to figure out
    if the cache needs to be updated if available.
    and do the mutex lock between scanning and writing a cache
    to avoid the conflict.

    Also we don't need to scan directories again after writing
    caches. so getting rid of the related code as well.

    https://bugs.freedesktop.org/show_bug.cgi?id=69845

    and for reference:

    https://bugzilla.redhat.com/show_bug.cgi?id=1236034

 configure.ac            |  3 ++
 fc-cache/fc-cache.c     | 75 +++++++++++++------------------------
 fontconfig/fontconfig.h |  2 +-
 src/fcarch.c            |  2 +-
 src/fccache.c           | 98
 ++++++++++++++++++++++++++++++++++++++++++++++++-
 src/fcdir.c             |  6 +++
 src/fcint.h             |  8 ++++
 7 files changed, 142 insertions(+), 52 deletions(-)

commit 46ec6a52d4cc447cc3ff4a13b2067ecb76c9db2e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jun 26 17:02:13 2015 -0700

    Revert changes made to FcConfigAppFontAddDir() recently

    In 32ac7c75e8db0135ef37cf86f92d8b9be000c8bb the behavior of
    FcConfigAppFontAddFile/Dir() were changed to return false
    if not fonts were found.  While this is welldefined and useful
    for AddFile(), it's quite problematic for AddDir().  For example,
    if the directory is empty, is that a failure or success?  Worse,
    the false value from AddDir() was being propagated all the way
    to FcInit() returning false now.  This only happened upon memory
    allocation failure before, and some clients assert that FcInit()
    is successful.

    With this change, AddDir() is reverted back to what it was.
    AddFont() change (which was actually in fcdir.c) from the original
    commit is left in.

 doc/fcconfig.fncs |  2 +-
 src/fccfg.c       | 29 +++++++++++------------------
 src/fcint.h       |  3 ---
 src/fcstr.c       |  8 --------
 4 files changed, 12 insertions(+), 30 deletions(-)

commit a8096dfa5965bfb1953fe829ff13eea23b4233c7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 24 15:46:45 2015 +0900

    Bug 90867 - Memory Leak during error case in fccharset

    https://bugs.freedesktop.org/show_bug.cgi?id=90867

 src/fccharset.c | 24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)

commit 0551e1b344bd2f57015a378dae4a0771031c3042
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jun 18 17:25:02 2015 +0900

    Update CaseFolding.txt to Unicode 8.0

 fc-case/CaseFolding.txt | 147
 +++++++++++++++++++++++++++++++++++++++++++++++-
 fc-case/Makefile.am     |   3 +
 2 files changed, 147 insertions(+), 3 deletions(-)

commit 6f929ff37ce277a12256b918751e2f3fca2fcb8a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 17 16:34:29 2015 +0900

    Fix a memory leak in FcFreeTypeQueryFace

 src/fcfreetype.c | 2 ++
 1 file changed, 2 insertions(+)

commit 46b2c62faa64250eec3981ee816e91a9a3dee857
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 17 16:29:08 2015 +0900

    Add a warning for blank in fonts.conf

    and remove the unnecessary code for parsing blanks

 src/fcxml.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 33fd436a3ec63ca58f3cb51bd4ab7b33e90d89c8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 17 16:15:35 2015 +0900

    Don't return FcFalse even when no fonts dirs is configured

 src/fccfg.c | 2 ++
 src/fcint.h | 3 +++
 src/fcstr.c | 8 ++++++++
 3 files changed, 13 insertions(+)

commit f6d61c9beed856a925bd60c025b55284b2d88161
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jun 12 11:30:01 2015 +0900

    mark as private at this moment

 fontconfig/fontconfig.h | 3 ---
 src/fcint.h             | 3 +++
 2 files changed, 3 insertions(+), 3 deletions(-)

commit dbda1171427071ff31429ea6d36330bb8f193138
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jun 9 11:15:25 2015 +0900

    No need to be public

 fontconfig/fontconfig.h | 3 ---
 src/fcint.h             | 3 +++
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 359ada2b4c12b6b6c3b4c017f95a35f18a3c6dd7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jun 9 11:15:06 2015 +0900

    Fix a crash when no objects are available after filtering

 src/fcdbg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 10a57edd07f8dc64b60c71d51c225436f4fbb3bc
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jun 8 17:38:02 2015 +0900

    Add one more debugging option to see transformation on font-matching

    just setting FC_MATCH=3 shows a lot of information and hard to keep
    on track for informamtion
    which is really necessary to see. to use this more effectively,
    added FC_DBG_MATCH_FILTER to
    see for what one really want to see. it takes a comma-separated-list
    of object names.
    If you want to see family name only, try like this:

    FC_DBG_MATCH_FILTER=family FC_DEBUG=4096 fc-match

    debugging output will be filtered out and see family only in the
    result.

 doc/fontconfig-user.sgml |  6 +++-
 fontconfig/fontconfig.h  |  6 ++++
 src/fcdbg.c              | 78
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcint.h              |  1 +
 src/fcmatch.c            | 41 +++++++++++++++++++++++++
 src/fcpat.c              |  6 ++++
 6 files changed, 137 insertions(+), 1 deletion(-)

commit 1827ef7b1e0a1fba27fcdb8a021abaa8ee7782eb
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jun 2 17:33:03 2015 +0900

    Bump version to 2.11.94

 README                  | 40 ++++++++++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 40 insertions(+), 4 deletions(-)

commit 481a9f03a020ee53500585332786826e8c3ebd8e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed May 27 14:40:15 2015 -0700

    Bump cache version number to 6, because of recent FcRange changes

 fontconfig/fontconfig.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee2d1da2d21bc14127f4cf12312e1f007935e8b0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed May 27 14:36:35 2015 -0700

    Reduce number of places that cache version is specified to 1

 fontconfig/fontconfig.h | 5 ++++-
 src/fccache.c           | 6 +++---
 src/fcint.h             | 3 +--
 3 files changed, 8 insertions(+), 6 deletions(-)

commit 5bad26ccb6686f1b9c8df6c1e9b49a72d42ad661
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 20 16:07:26 2014 -0400

    Simplify FcRange

 src/fcdbg.c   |  10 ++----
 src/fcint.h   |  25 +-------------
 src/fcmatch.c |   2 +-
 src/fcname.c  |  14 ++------
 src/fcrange.c | 109
 ++++++++++------------------------------------------------
 src/fcxml.c   |  12 +++----
 6 files changed, 28 insertions(+), 144 deletions(-)

commit 13a5ae9fb953c8a8eb3ec801781a499521c211f3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 20 16:03:02 2014 -0400

    Fix compiler warnings

 src/fcxml.c | 3 +++
 1 file changed, 3 insertions(+)

commit 346073d9dc17fc07758f7ef86c4ed05213ed0dab
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 6 20:36:18 2014 -0400

    Don't set FC_SIZE for bitmap fonts

    They get FC_PIXELSIZE set, which is later converted to FC_SIZE using
    FC_DPI.

 src/fcfreetype.c | 36 ++++++++++++------------------------
 1 file changed, 12 insertions(+), 24 deletions(-)

commit eba6f109de475215c2d4b42612f6baf57041536d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 4 17:15:11 2014 -0400

    Accept Integer for FC_SIZE

    There are more places to fix I'm sure...

    https://bugs.freedesktop.org/show_bug.cgi?id=80873

 src/fcname.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit cb2f096e15cb868cbf29428b6dd339b8ba344e50
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 4 16:18:52 2014 -0400

    Add bitmap-only font size as Double, not Range

    The whole size setting part still smells to me.

 src/fcfreetype.c | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 51756aab180c9f7a6632743885695add2f511100
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 4 16:13:45 2014 -0400

    Only set FC_SIZE for scalable fonts if OS/2 version 5 is present

    Part of https://bugs.freedesktop.org/show_bug.cgi?id=80873

 src/fcfreetype.c | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

commit d09ba385892862e18c409f49405f51f066dea552
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 4 16:09:23 2014 -0400

    Write ranges using a [start finish) format

    To show closed and open ends.

 src/fcdbg.c  | 2 +-
 src/fcname.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 4c9101f7044b68aa121557c796384e4bdf08f73f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon May 25 21:41:05 2015 +0900

    Revert the previous change

    and just abort if the object id is overflowed.

 src/fcobjs.c | 16 +---------------
 1 file changed, 1 insertion(+), 15 deletions(-)

commit 09edd84cf8e8bd1f6062c8803316327e662fdbda
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 22 20:51:21 2015 +0900

    Detect the overflow for the object ID

    Continue to increase the object id even after FcFini()
    and detect the overflow. that would be rather easier than
    reset the object id with the complicated mutex and atomic
    functions.

    This situation would be quite unlikely to happen though

 src/fcobjs.c | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit f053231186fc340b5365a59eea30db5af787877a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 22 20:46:54 2015 +0900

    Fix a crash

    segfault happens when the config needs to be migrated to XDG's
    and no definition for include with prefix="xdg"

 src/fcxml.c | 1 +
 1 file changed, 1 insertion(+)

commit 249306fbd782570cf958675672d21cf12aa1f14e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 22 20:45:05 2015 +0900

    Fix a typo

 src/fcxml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa6c6b53c5a42ae6a9f8254ca9603dbe0aec63ad
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 22 16:53:34 2015 +0900

    Fix memory leaks after FcFini()

    Reported by Jia Wang

    https://bugs.freedesktop.org/show_bug.cgi?id=83770

 fontconfig/fontconfig.h |  2 +-
 src/fcinit.c            |  2 ++
 src/fcint.h             |  6 ++++++
 src/fcobjs.c            | 25 ++++++++++++++++++++++++-
 src/fcxml.c             | 47
 +++++++++++++++++++++++++++++++++++++++++++----
 5 files changed, 76 insertions(+), 6 deletions(-)

commit bcfe167e3d60402c1f999359ca8531c6fae01a2b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 18 15:26:03 2015 -0700

    Add su[pport for symbol fonts

    Adds FC_SYMBOL.

    This affects fonts having a cmap with platform 3 encoding 0.
    We now map their glyphs from the PUA area to the Latin1 area.

    See thread "Webdings and other MS symbol fonts don't display"
    on the mailing list.

    Test before/after with:
    $ pango-view --markup --text='<span
    fallback="false">&#xd7;&#xf0d7;</span>' --font=Wingdings

 doc/fontconfig-devel.sgml |  1 +
 fontconfig/fontconfig.h   |  1 +
 src/fcdefault.c           |  1 +
 src/fcfreetype.c          | 57
 ++++++++++++++++++++++++++++++++++++++++++++---
 src/fcmatch.c             |  1 +
 src/fcobjs.h              |  1 +
 6 files changed, 59 insertions(+), 3 deletions(-)

commit ead7275e05966eca19f530712f8e5c738a61cf4f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon May 18 14:03:50 2015 +0900

    Bug 90148 - Don't warn if cachedir isn't specified

    only warn when FONTCONFIG_FILE or FONTCONFIG_PATH is set.

    Bug 90148 - Don't warn if cachedir isn't specified

 src/fcinit.c | 26 +++++++++++++++++++-------
 1 file changed, 19 insertions(+), 7 deletions(-)

commit 55ff8419274fd5ce59675f220b85035a3986d6cf
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue May 12 14:47:38 2015 +0900

    Make FC_SCALE deprecated

    Use FC_MATRIX instead.

    https://bugs.freedesktop.org/show_bug.cgi?id=90257

 doc/fontconfig-devel.sgml | 2 +-
 doc/fontconfig-user.sgml  | 2 +-
 fontconfig/fontconfig.h   | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit a10cb2e4d7fb7d790fe913058f0821ccf2185a86
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue May 12 14:28:45 2015 +0900

    Add missing description for usage

 fc-query/fc-query.c | 9 +++++----
 fc-scan/fc-scan.c   | 7 ++++---
 2 files changed, 9 insertions(+), 7 deletions(-)

commit 4c040d393dfb47b8a2f75fb639f6b5e92fced6f3
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 22 19:37:46 2015 +0900

    Observe blanks to compute correct languages in fc-query/fc-scan

    Added --ignore-blanks option to get back the behavior.

    https://bugs.freedesktop.org/show_bug.cgi?id=79955

 fc-query/fc-query.c    | 19 ++++++++++++++-----
 fc-query/fc-query.sgml | 12 ++++++++++++
 fc-scan/fc-scan.c      | 21 +++++++++++++++------
 fc-scan/fc-scan.sgml   | 14 +++++++++++++-
 4 files changed, 54 insertions(+), 12 deletions(-)

commit 4a6f5efd5f6a468e1872d58e589bcf30ba88e2fd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 30 11:25:59 2015 -0400

    Fix bitmap scaling

    Was broken by 66db69a6d991945f96feb1da683a2e04ea396842.  Ouch!

 conf.d/10-scale-bitmap-fonts.conf | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit 3a4136778cc5a4ff1dc979cbd50fcdf73cab4d70
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 22 14:36:29 2015 +0900

    Drop unmaintained code
    Use four-byte code for foundry as is instead.

    https://bugs.freedesktop.org/show_bug.cgi?id=88679

 src/fcfreetype.c | 84
 ++++++++------------------------------------------------
 1 file changed, 12 insertions(+), 72 deletions(-)

commit b3fc08bc952505e322160a4a7eb146754ae4f24a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 22 11:17:04 2015 +0900

    Fix a typo in fontconfig-user.sgml

    https://bugs.freedesktop.org/show_bug.cgi?id=90105

 doc/fontconfig-user.sgml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07be485a0a84995ce69bf60e3b1bb22cb35f6b0e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Apr 20 10:49:21 2015 +0900

    Fix a typo for the latest cache version

 doc/fontconfig-user.sgml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6e6a8a22b9d775fff117d65016b5e85233a7293
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Wed Apr 8 08:41:25 2015 +0000

    W32: Support cache paths relative to the root directory

    Paths starting with '/' don't make sense on W32 as-is,
    prepend the installation root directory to them.

    This allows the cache to be contained within a particular
    fontconfig installation (as long as the default
    --with-cache-dir= is overriden at configure time).

 src/fccfg.c |  2 ++
 src/fcxml.c | 21 ++++++++++++++++++++-
 2 files changed, 22 insertions(+), 1 deletion(-)

commit 7bc07cf6c2a5685ab95f146f5af2b3bcd5f5864d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 30 15:18:44 2015 +0900

    Fix SIGFPE

 src/fcrange.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e92c92ff22c13e96afd6dfa0f75e7b37b9cfa06d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Mar 25 12:10:48 2015 +0900

    Fix unknown attribute in Win32

 src/fcxml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c965c9f67759585909fa03236bad826de85bd39c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 23 13:30:59 2015 +0900

    Bug 89617 - FcConfigAppFontAddFile() returns false on any font file

    Prior to the change of 32ac7c75e8db0135ef37cf86f92d8b9be000c8bb
    FcConfigAppFontAddFile() always returned FcTrue no matter what
    fonts was added. after that, it always returned FcFalse because
    adding a font doesn't add any subdirs with FcFileScanConfig().
    so changing that to simply ignore it.

    Also fixing it to return FcFalse if non-fonts was added, i.e.
    FcFreeTypeQuery() fails.

    https://bugs.freedesktop.org/show_bug.cgi?id=89617

 src/fccfg.c         |  4 +++-
 src/fcdir.c         |  2 ++
 test/Makefile.am    |  7 +++++++
 test/test-bz89617.c | 38 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 50 insertions(+), 1 deletion(-)

commit 7301f2f02816c5d44ee75dd0689c806c5aabdbda
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 23 13:18:49 2015 +0900

    Remove the dead code

 src/fcdir.c | 2 --
 1 file changed, 2 deletions(-)

commit 69ff6b6e260584e383c38b1b7034ddcbb23d214f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 9 12:22:40 2015 +0900

    Bump version to 2.11.93

 README                  | 37 +++++++++++++++++++++++++++++++++++--
 configure.ac            |  6 +++---
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 39 insertions(+), 6 deletions(-)

commit b75d809d1298b791f39596170950597bcfe98dd6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 9 12:22:30 2015 +0900

    Fix a trivial bug for dist

 fc-blanks/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit f5b1e0ab97daa0e08af8d667cabb700bb73da568
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 9 12:18:03 2015 +0900

    Fix an infinite loop in FcBlanksIsMember()

 src/fcblanks.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 484834c186dee281bcd13067d7b7bce1322b4e0b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 6 11:15:26 2015 +0900

    Fix a bug in the previous change forFcBlanksIsMember()

 src/fcblanks.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit ed74a58ccc245bacd907cd91e0f3df64e427c163
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 6 11:05:23 2015 +0900

    Fix a segfault when OOM happened.

    Reported by Matt Breedlove

 src/fcinit.c | 2 ++
 1 file changed, 2 insertions(+)

commit 96a3f6879c13577cc9edd867b3f89b0cba469073
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Mar 5 17:52:04 2015 +0900

    Improve the performance on searching blanks

    After the change of d6a5cc665a1d7e91332944353e92c83ad114368c
    we have a lot of code points in FcBlanks. doing the linear search
    on the array isn't comfortable anymore.
    So re-implementing FcBlanksIsMember() to use the binary search.

    Figuring out how much improved after this change depends on
    how many fonts proceed with fc-cache say though, it's about 20 times
    faster here on testing. which sounds good enough for
    improvement.

 src/fcblanks.c | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit d997d7c770cd6a36159090fd0b8720a3dc426707
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jan 21 14:35:03 2015 -0800

    Simplify some more

 src/fcfreetype.c | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

commit 9c99baba66d335738318dc7cacef64fafb699ebf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jan 21 14:32:51 2015 -0800

    Remove dead code after previous commit

 src/fcfreetype.c | 339
 +------------------------------------------------------
 1 file changed, 3 insertions(+), 336 deletions(-)

commit 2f311c562d87c0bf95d27709e82afd196c2bff28
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Mar 3 11:30:12 2015 +0900

    Fix the array allocation

 src/fcstat.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f18f2f88f287a2438d2bf9b27773cb14606cbb11
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Feb 9 16:45:43 2015 +0900

    Don't add FC_LANG when it has "und"

    to avoid the situation to find the better fallback font.

    https://code.google.com/p/chromium/issues/detail?id=392724 has
    more words to explain the details.

    https://bugs.freedesktop.org/show_bug.cgi?id=81185

 src/fccfg.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 724664e3fd056b864576f8e100a8de5c0e93a725
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 2 11:34:53 2015 +0900

    Fix a build issue when $(srcdir) != $(builddir)

 fc-blanks/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a9d4dba7492e060f9d225307c58d79bc50b16cd3
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Feb 27 15:48:54 2015 +0900

    Update the script to recognize the escaped space

 fc-blanks/fc-blanks.py | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit d6a5cc665a1d7e91332944353e92c83ad114368c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Feb 27 14:17:26 2015 +0900

    Hardcode the blanks in the library

    https://bugs.freedesktop.org/show_bug.cgi?id=79956

 Makefile.am               |   2 +-
 configure.ac              |   2 +
 fc-blanks/Makefile.am     |  40 +++++++++++++++
 fc-blanks/fc-blanks.py    | 125
 ++++++++++++++++++++++++++++++++++++++++++++++
 fc-blanks/fcblanks.tmpl.h |  25 ++++++++++
 fonts.conf.in             |  68 -------------------------
 src/fcblanks.c            |   7 +++
 src/fccfg.c               |   3 +-
 8 files changed, 202 insertions(+), 70 deletions(-)

commit 97cf7ec4d740c9b3ac7c29388224f5e0c226a120
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Feb 27 12:04:44 2015 +0900

    Rework again to copy the struct dirent

    Assuming that d_name is the last member of struct dirent.
    In POSIX, the maximum length of d_name is defined as NAME_MAX
    or FILENAME_MAX though, that assumption may be wrong on some
    platforms where defines d_name as the flexible array member
    and allocate the minimum memory to store d_name.

    Patch from Raimund Steger

 src/fcstat.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 1add10bfbc6f0667284f58cb388ae02f695b4a57
Author: Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
Date:   Thu Feb 26 12:23:27 2015 +0100

    Ensure config.h is included first, bug#89336.

    config.h may define ABI-specific macros, especially for AIX,
    so has to be included before any system header - via fcint.h.

    https://bugs.freedesktop.org/show_bug.cgi?id=89336

 src/fcarch.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 8809d1b73b9c162ee0fecd314e2a80b287309954
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Feb 26 14:08:20 2015 +0900

    Copy the real size of struct dirent

    In some platforms, d_name is defined as the flexible array member.
    We may need to compute the real size for that case.

 configure.ac |  1 +
 src/fcstat.c | 11 +++++++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit dd427253cc73d8786bbf436ec4d026f370ab0812
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Feb 25 17:36:50 2015 +0900

    filter can be null

 src/fcstat.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 45018e6979198b92b732b4b5e29671b2fe499bd8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Feb 24 15:25:16 2015 +0900

    Fix pointer cast warning on win32

 src/fclist.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f43c58189bb667e65630c37f33a58d39d7c550f6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Feb 24 15:01:14 2015 +0900

    ifdef'd the unnecessary code for win32

 src/fcxml.c | 4 ++++
 1 file changed, 4 insertions(+)

commit ed0d705e2221adbfb21de357c1a82b7a2a5c3641
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Feb 10 19:32:13 2015 +0900

    Fix a build fail on some non-POSIX platforms

    Use own scandir function. according to this change,
    we don't need -Werror things in configure anymore.

 configure.ac | 35 --------------------------
 src/fcstat.c | 80
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 2 files changed, 72 insertions(+), 43 deletions(-)

commit d6d5adeb7940c0d0beb86489c2a1c2ce59e5c044
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jan 21 14:13:36 2015 -0800

    Fix symbol cmap handling

    A while back we removed Apple Roman encoding support.  This broke
    symbol fonts (Wingdings, etc) because those fonts come with two
    cmaps:

      1) platform=1,encoding=0, aka Apple Roman, which maps identity,
      2) platform=3,encoding=0, aka MS Symbol font

    Now, the reason the Apple Roman removal "broke" these fonts is
    obvious, and for the better: these fonts were mapping ASCII and
    other Latin chars to symbols.

    The reason the fonts didn't work anymore, however, is that we were
    mishandling the MS symbol-font cmaps.  In their modern incarnation
    they are like regular non-symbol-font cmap that map PUA codepoints
    to symbols.  We want to expose those as such.  Hence, this change
    just removes the special-handling for that.

    Now, the reason this confusion happened, if I was to guess, is either
    that FreeType docs are wrong saying that FT_ENCODING_MS_SYMBOL is
    the "Microsoft Symbol encoding, used to encode mathematical symbols":

      http://www.kostis.net/charsets/symbol.htm

    or maybe it started that way, but turned into also mapping MS symbol-
    font cmaps, which is a completely different thing.  At any rate, I
    don't know if there are any fonts that use this thing these days, but
    the code here didn't seem to produce charset for any font.  By now I'm
    convinced that this change is the Right Thing to do.  The MS Symbol
    thing was called AdobeSymbol in our code by the way.

    This fixes the much-reported bug that windings, etc are not usable
    with recent fontconfig:
    https://bugs.freedesktop.org/show_bug.cgi?id=58641

    Now I see PUA mappings reported for Wingdings.

    This also fixes:
    Bug 48947 - Drop the non-Unicode cmap support gradually
    https://bugs.freedesktop.org/show_bug.cgi?id=48947
    since the AdobeSymbol was the last non-Unicode cmap we were
    trying to parse (very incorrectly).

    Lots of code around this change can be simplified.  I'll push those
    out (including removing the table itself) in subsequent changes.

 src/fcfreetype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb5e89f817a78e8f6fbb0d8a1b48c510f1b898b1
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 20 20:34:47 2015 +0900

    Add pkg.m4 to git

 m4/pkg.m4 | 214
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 214 insertions(+)

commit 78ed920e2be4dca04ff64ba98cf6935fc40cc758
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jan 19 19:48:50 2015 +0900

    Fix a typo in docs

 doc/fontconfig-user.sgml | 2 +-
 fc-cache/fc-cache.sgml   | 2 +-
 fc-cat/fc-cat.sgml       | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 694368667a15341ea30b37a36e9540e6b1492680
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 16 09:35:22 2015 -0800

    Fix configure to work with Solaris Studio compilers

    Passing -Werror in the scandir() checks caused Studio cc to report
    "Unrecognized option errors", confusing configure into thinking that
    scandir() was not available.   Use Studio equivalent flags instead.

    Leaves -Werror as the default for all other compilers, including
    unknown ones, to flag to them that they need to update their flags
    as well if -Werror is not correct for them.

    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

 configure.ac | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 4d739d13f4f58e11c62006e4f70776a945094ea4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 13 12:40:40 2015 +0900

    Bump version to 2.11.92

 README                  | 9 +++++++--
 configure.ac            | 2 +-
 fontconfig/fontconfig.h | 2 +-
 3 files changed, 9 insertions(+), 4 deletions(-)

commit 4c60fabf6617a8954e46bdaeccc95667375fa159
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 6 16:37:18 2015 +0900

    Add missing docs

 doc/fontconfig-devel.sgml | 5 +++++
 doc/fontconfig-user.sgml  | 7 +++++++
 2 files changed, 12 insertions(+)

commit fff4086e1587f94c267055ff5c3b48df1f1055f7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Dec 25 13:49:25 2014 +0900

    Bump version to 2.11.91

 README                  | 80
 +++++++++++++++++++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 80 insertions(+), 4 deletions(-)

commit 4420b27c074821a1d1f9d6ebe822a610176a417d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Dec 25 13:48:57 2014 +0900

    Fix a typo

    missing a terminator caused a document generation fail.

 doc/fcrange.fncs | 1 +
 1 file changed, 1 insertion(+)

commit 365809938e901e603d2fe93363545e1c1afc1816
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Dec 25 13:11:21 2014 +0900

    Bump the cache version to 5

    FcPattern isn't compatible to the older.

 fontconfig/fontconfig.h | 2 +-
 src/fcint.h             | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 456937cd15568c7f1a633445dee44ae8e2ed395f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Dec 24 18:53:41 2014 +0900

    fc-cache: Add an option to raise an error if no fonts found

    and get back the behavior.

 fc-cache/fc-cache.c    | 26 +++++++++++++++++---------
 fc-cache/fc-cache.sgml | 31 ++++++++++++++++++++++++++++++-
 2 files changed, 47 insertions(+), 10 deletions(-)

commit db64c71408636e2d0ac3c39682ac1b6c8f317ac4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Dec 16 20:43:02 2014 +0900

    fc-cache: make a fail if no fonts processed on a given path

 fc-cache/fc-cache.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit af5864419441e12f1951c7cfd0a742b6316934cc
Author: Nick Alcock <nick.alcock@oracle.com>
Date:   Sat Dec 13 18:21:16 2014 +0000

    Generate documentation for FcWeight* functions.

    The SGML for these functions exists, and they are named as manpages,
    but because they are not mentioned in fontconfig-devel.sgml, no
    documentation is ever generated, and installation under --enable-docs
    fails.

    (The documentation I have written in fontconfig-devel.sgml is
    boilerplate
    so I can get the manpages generated. It's probably wrong.)

 doc/fontconfig-devel.sgml | 7 +++++++
 1 file changed, 7 insertions(+)

commit 66db69a6d991945f96feb1da683a2e04ea396842
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 14 13:55:53 2014 -0800

    Treat color fonts as scalable

    All color fonts are designed to be scaled, even if they only have
    bitmap strikes.  Client is responsible to scale the bitmaps.  This
    is in constrast to non-color strikes...

    Clients can still use FC_OUTLINE to distinguish bitmap vs outline
    fonts.  Previously FC_OUTLINE and FC_SCALABLE always had the same
    value.  Now FC_SCALABLE is set to (FC_OUTLINE || FC_COLOR).

    Fixes:
    https://bugs.freedesktop.org/show_bug.cgi?id=87122

 src/fcfreetype.c | 27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

commit dbc7c4a2cfe1ba6c537957b3b68b625403ca99fd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 14 13:39:41 2014 -0800

    Add FC_COLOR

    Only adds "color" to pattern if FreeType version supports color.

    Based on patch from Jungshik Shin.

 doc/fontconfig-devel.sgml | 1 +
 fontconfig/fontconfig.h   | 1 +
 src/fcfreetype.c          | 6 ++++++
 src/fcmatch.c             | 1 +
 src/fcobjs.h              | 1 +
 5 files changed, 10 insertions(+)

commit fc7e1a9497919c88d790d9395eb01cd7d5121507
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Dec 12 21:42:35 2014 -0800

    Fix buffer overflow in copying PS name

    As reported on the mailing list by Tanel Liiv.  Found using American
    Fuzzy Lop.

 src/fcfreetype.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 32ac7c75e8db0135ef37cf86f92d8b9be000c8bb
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Dec 9 19:06:46 2014 +0900

    Returns False if no fonts found

    https://bugs.freedesktop.org/show_bug.cgi?id=86950

 doc/fcconfig.fncs | 10 ++++++----
 src/fccfg.c       | 23 +++++++++++++----------
 2 files changed, 19 insertions(+), 14 deletions(-)

commit b732bf057f4b3ec3bac539803005e9c42d056b2a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Nov 6 13:15:09 2014 +0900

    Update aliases for new URW fonts

    Patch from Tom Yan

    https://bugs.freedesktop.org/show_bug.cgi?id=85225

 conf.d/30-metric-aliases.conf | 94
 ++++++++++++++++++++++++++++++++++++++-----
 conf.d/45-latin.conf          | 12 ++++++
 conf.d/60-latin.conf          |  3 ++
 3 files changed, 98 insertions(+), 11 deletions(-)

commit e7121de237a1873c3241a5b8451e7d00a3d41524
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Oct 3 12:26:42 2014 +0900

    Revert "Bug 73291 - poppler does not show fl ligature"

    This reverts commit c6aa4d4bfcbed14f39d070fe7ef90a4b74642ee7.

    This issue has been fixed in poppler and we no longer need to patch
    it out in fontconfig.

 conf.d/30-metric-aliases.conf | 6 ------
 1 file changed, 6 deletions(-)

commit 1082161ea303cf2bbc13b62a191662984131e820
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Sep 25 17:03:27 2014 +0900

    Add FcRangeGetDouble()

    https://bugs.freedesktop.org/show_bug.cgi?id=82876

 doc/fcrange.fncs        | 10 ++++++++++
 fontconfig/fontconfig.h |  3 +++
 src/fcrange.c           | 23 +++++++++++++++++++++++
 3 files changed, 36 insertions(+)

commit 286cdc9c10b0453c25950103b6a1f7170d15bfdc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 20 15:23:04 2014 -0400

    Revert "[fcmatch] When matching, reserve score 0 for when elements
    don't exist"

    This reverts commit a5a384c5ffb479e095092c2aaedd406f8785280a.

    I don't remember what I had in mind for "We will use this property
    later.", but
    the change was wrong.  If a font pattern doesn't have any value
    for element,
    it must be interpretted as "it matches any value perfectly.
    And "perfectly"
    must have a score of 0 for that to happen.

    This was actually affecting bitmap fonts (in a bad way), as the
    change made
    an outline font to always be preferred over a (otherwise equal)
    bitmap font,
    even for the exact size of the bitmap font.  That probably was
    never noticed
    by anyone, but with the font range support this has become clear
    (and worked
    around by Akira).  To clean that up, I'm reverting this so I can
    land the
    rest of patches for bug 80873.

    https://bugs.freedesktop.org/show_bug.cgi?id=80873#c10

 src/fcmatch.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f0945396875ec4ff60add56935b02c3f66b3fc40
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Aug 13 11:39:29 2014 +0900

    Note FcConfigSetCurrent() increases the refcount in document

 doc/fcconfig.fncs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit eb2689c67ba2da969d33be43a05af1e8975e9837
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Aug 12 18:53:04 2014 +0900

    Fix the memory leak in fc-cat

 fc-cat/fc-cat.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 23e88d8c6a5d3d0a9526a3f3217bd33a7607cbab
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Aug 12 18:48:00 2014 +0900

    Increase the refcount in FcConfigSetCurrent()

    https://bugs.freedesktop.org/show_bug.cgi?id=82432

 fc-cat/fc-cat.c | 1 +
 src/fccfg.c     | 5 +++++
 src/fcinit.c    | 9 ++++++++-
 3 files changed, 14 insertions(+), 1 deletion(-)

commit 841753a93f0e5698663b7931b8456e7b96259f54
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Aug 11 12:14:54 2014 +0900

    fallback to the another method to lock when link() failed

    Bug 82358 - FcAtomicLock fails on OS X on network mounts
    https://bugs.freedesktop.org/show_bug.cgi?id=82358

 src/fcatomic.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 748a2ce9d4bd6aae90b974724b795056e2bcb4d7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 6 14:45:02 2014 -0400

    Fix previous commit

    Ouch!

 conf.d/45-latin.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3d2627bba6ce9f743273c6031a34fb2750c04a41
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 6 14:28:18 2014 -0400

    Trebuchet MS is a sans-serif font, not serif

    https://bugs.freedesktop.org/show_bug.cgi?id=82099

 conf.d/45-latin.conf | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 80edaccc3cbd77434718e8f4731a20b410f9d10a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 6 12:29:35 2014 -0400

    If OS/2 table says weight is 1 to 9, multiply by 100

    https://bugs.freedesktop.org/show_bug.cgi?id=82228

 src/fcweight.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 01bb6978b6389852c5259b135af45ecdfe9f42f8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 6 12:23:24 2014 -0400

    Fix assertion failure

    https://bugs.freedesktop.org/show_bug.cgi?id=82220
    https://bugs.freedesktop.org/show_bug.cgi?id=82228

 src/fcweight.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37e501ed0af9b1f68f64600e00e90809e19f9302
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 27 16:53:28 2014 -0400

    Remove unneeded FcPublic

 src/fcweight.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a9e7b0494e04b3925d1bccc140ff2500cfff9618
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 26 16:17:02 2014 -0400

    Export recently added API

    We should remove this alias mess.

 src/fccompat.c | 4 ++++
 src/fcrange.c  | 4 ++++
 src/fcstat.c   | 4 ++++
 src/fcweight.c | 4 ++++
 4 files changed, 16 insertions(+)

commit ffda7c0e8130eb107ecbb3bdc48043093b12dff9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 25 17:59:26 2014 -0400

    Linearly interpolate weight values

    Rest of Part of https://bugs.freedesktop.org/show_bug.cgi?id=81453

    Adds new API:

	FcWeightFromOpenType()
	FcWeightToOpenType()

 doc/Makefile.am	 |  1 +
 doc/fcweight.fncs	 | 47 +++++++++++++++++++++++++++
 fontconfig/fontconfig.h |  7 +++++
 src/Makefile.am	 |  1 +
 src/fcfreetype.c	 | 27 +---------------
 src/fcweight.c		 | 84
 +++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 141 insertions(+), 26 deletions(-)

commit bf9df5ada77469f57101851f6b4e279a4a5ea087
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jul 25 18:07:10 2014 -0400

    Change DemiLight from 65 to 55

    Such that Regular is closer to Medium than to DemiLight

 doc/fontconfig-user.sgml | 4 ++--
 fontconfig/fontconfig.h  | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit be6506ca04ccce10868a8cd51d89e586284d149b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jul 25 16:24:26 2014 -0400

    Add FC_WEIGHT_DEMILIGHT

    Part of https://bugs.freedesktop.org/show_bug.cgi?id=81453
    Also hooks up FC_WEIGHT_BOOK to fcfreetype.c.

 doc/fontconfig-user.sgml | 2 ++
 fontconfig/fontconfig.h  | 2 ++
 src/fcfreetype.c	  | 8 +++++++-
 src/fcname.c		  | 2 ++
 4 files changed, 13 insertions(+), 1 deletion(-)

commit 9839d0112c6d61ae22bb3f215bffbe88df6781a1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jul 24 16:07:13 2014 -0400

    Improve / cleanup namelang matching

    Previously, if the patten didn't request, eg, style, then the style
    and stylelang were fully copied from the font, even though the pattern
    had a stylelang.  Eg:

    $ fc-match 'Apple Color Emoji:stylelang=en'
    Apple Color Emoji.ttf: "Apple Color Emoji" "標準體"

    This change both fixes that and makes the code much more readable.
    Now:

    $ fc-match 'Apple Color Emoji:stylelang=en'
    Apple Color Emoji.ttf: "Apple Color Emoji" "Regular"

 src/fcmatch.c | 45 +++++++++++++++++++++++----------------------
 1 file changed, 23 insertions(+), 22 deletions(-)

commit 874a5491641642f669396c514c3672f6794fdfa7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jul 24 15:42:54 2014 -0400

    Remove unused regex code

    Regex matching was disabled in
    f6244d2cf231e1dc756f3e941e61b9bf124879bb

 configure.ac | 10 ++--------
 src/fcint.h  |  6 ------
 src/fcstr.c  | 52 ----------------------------------------------------
 3 files changed, 2 insertions(+), 66 deletions(-)

commit 9a8e812477bd65d2ecfa721819d0555289520401
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jul 24 15:37:51 2014 -0400

    Use lang=und instead of lang=xx for "undetermined"

    That's the correct BCP 47 code.

 src/fcfreetype.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 76151ceaf3417a987ae2c36b247ca82f50d857f6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jul 24 15:34:20 2014 -0400

    Ouch, fix buffer

 src/fcfreetype.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit aeba5bf4b69f8b559cb909df12d0a636e6054325
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jul 24 15:28:09 2014 -0400

    Decode MacRoman encoding in name table without iconv

    iconv support was turned off by default in f30a5d76.
    Some fonts, like Apple Color Emoji, only have their English
    name in a MacRoman entry.  As such, decode MacRoman ourselves.

 src/fcfreetype.c | 162
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 162 insertions(+)

commit 07a0f511b13a872824c2c57251b7e47ee7df1354
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jul 24 15:01:57 2014 -0400

    Call FcInitDebug from FcFreeTypeQueryFace

 src/fcfreetype.c | 2 ++
 1 file changed, 2 insertions(+)

commit a5641cfb2472a92a64858d00525ae3b0fc0ae2a4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jul 23 13:21:05 2014 -0400

    Revert "Symlinks fix for DESTDIR"

    This reverts commit fd5667b42c253da9c4c5502f53b5c0fb7e0f589e.

    This was wrong, as pointed out by Akira on the list.
    We want symlinks to final destination.

 conf.d/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fd5667b42c253da9c4c5502f53b5c0fb7e0f589e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jul 23 11:57:31 2014 -0400

    Symlinks fix for DESTDIR

    From:
    https://github.com/Alexpux/MINGW-packages/blob/master/mingw-w64-fontconfig/fontconfig-2.11.0-symlinks-fix.patch

 conf.d/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 107b44f50b6818288ad70608fbe4ec3fd1a7119f
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Jul 23 19:17:26 2014 +0900

    Don't add duplicate lang

    Don't add duplicate lang from FC_LANG if the pattern already has.

    https://bugs.freedesktop.org/show_bug.cgi?id=81186

 src/fccfg.c | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 342b908b9696a3f1cf1a45ddd779f3a17d6f9142
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Jul 19 16:33:49 2014 -0400

    More mingw32 MemoryBarrier() fixup

 src/fcwindows.h | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 6781c6baef062eeea5b5b68e4a9c31ea6cd7539b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jul 11 12:19:39 2014 -0400

    Update mingw32 MemoryBarrier from HarfBuzz

    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=81228

 src/fcatomic.h | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit dca5d0feee5eb6428bec48b1aff4396cf92c76c0
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jul 8 14:55:15 2014 +0900

    Fix a gcc warning

    test-migration.c:17:5: warning: pointer targets in passing argument
    1 of 'FcStrDirname' differ in signedness

 test/test-migration.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da8233b0f244676ea372ffa485b6cb329700c8ca
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Jul 6 18:26:03 2014 -0400

    Fixup previous commit

 src/fcmatch.c | 12 ------------
 src/fcobjs.h  |  2 +-
 2 files changed, 1 insertion(+), 13 deletions(-)

commit bb27d6969ce0ef1244e73f9c6232f91bce60dad7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Jul 6 18:10:44 2014 -0400

    Remove HASH from matching priorities

    We deprecated FC_HASH, so doesn't make sense to sort on it.

 src/fcmatch.c | 1 -
 1 file changed, 1 deletion(-)

commit 5674b8a66354d657559c37e9d168bfbf48b931a8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Jul 6 17:41:19 2014 -0400

    Comments

 src/fcmatch.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5b22776999b6052afe0e829b1a0c0935bbe1e9f7
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jul 4 18:04:52 2014 +0900

    Fix a crash when no sysroot is given and failed to load the default
    fonts.conf

 src/fccfg.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit f5b4b2c1ed7ff92e2fb9339750f0288e2e794c4b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jul 4 01:43:47 2014 -0400

    Fix charset unparse after recent changes

 src/fccharset.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 940d27a197bfb0cfd93d3bb7dba33d5e23ac46b0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jul 3 21:15:25 2014 -0400

    Minor

 src/fccharset.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e708e97c351d3bc9f7030ef22ac2f007d5114730
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jul 3 17:52:54 2014 -0400

    Change charset parse/unparse format to be human readable

    Previous format was unusable.  New format is ranges of hex values.
    To choose space character and Latin capital letters for example:

    $ fc-pattern ':charset=20 41-5a'
    Pattern has 1 elts (size 16)
	charset:
	0000: 00000000 00000001 07fffffe 00000000 00000000 00000000
	00000000 00000000
    (s)

 src/fccharset.c | 223
 ++++++++++++++++++++------------------------------------
 1 file changed, 79 insertions(+), 144 deletions(-)

commit dab60e4476ada4ad4639599ea24dd012d4a79584
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 30 15:12:32 2014 +0900

    Rework for 5004e8e01f5de30ad01904e57ea0eda006ab3a0c

    Don't read/write from/to the XDG dirs even if XDG_*_HOME is set
    and the home directory is disabled.

 src/fccfg.c | 24 +++++++++---------------
 1 file changed, 9 insertions(+), 15 deletions(-)

commit 5004e8e01f5de30ad01904e57ea0eda006ab3a0c
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 30 12:37:36 2014 +0900

    Don't read/write from/to the XDG dirs if the home directory is
    disabled

 src/fccfg.c | 18 +++++++++++++++---
 src/fcxml.c | 23 ++++++++++++++++++++++-
 2 files changed, 37 insertions(+), 4 deletions(-)

commit 274f2181f294af2eff3e8db106ec8d7bab2d3ff1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 18 12:20:57 2014 -0400

    Update blanks to Unicode 7.0

 fonts.conf.in | 4 ++++
 1 file changed, 4 insertions(+)

commit 2f96482a9f5bc185b244a8bdaa7563a829965f1a
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Jun 18 19:13:53 2014 +0900

    Update CaseFolding.txt to Unicode 7.0

 fc-case/CaseFolding.txt | 59
 ++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 53 insertions(+), 6 deletions(-)

commit 6c3c2603b9f68a7460e9642d0421b5cc5a848452
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Jun 18 11:49:10 2014 +0900

    Fix a segfault

    introduced by the previous commit
    d17f556153fbaf8fe57fdb4fc1f0efa4313f0ecf

 src/fcdir.c | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit 8915c15b9ee394ef19042f1acf75eb8b0592e5a7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jun 12 17:56:04 2014 -0400

    Update list of blanks to Unicode 6.3.0

    Some were bogus, some were missing.  See:

      https://bugs.freedesktop.org/show_bug.cgi?id=79956

 fonts.conf.in | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit d17f556153fbaf8fe57fdb4fc1f0efa4313f0ecf
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jun 17 20:08:24 2014 +0900

    Read the config files and fonts on the sysroot when --sysroot is
    given to fc-cache

    Fix for e96d7760886a3781a46b3271c76af99e15cb0146

    https://bugs.freedesktop.org/show_bug.cgi?id=59456

 fc-cache/fc-cache.c | 10 ++++---
 src/fccache.c	     | 76
 +++++++++++++++++++++++++++++++++++--------------
 src/fccfg.c	     |	2 +-
 src/fcdir.c	     | 82
 ++++++++++++++++++++++++++++++++++++++++++++++-------
 src/fcinit.c	     | 17 +++++++++--
 src/fcint.h	     |	3 +-
 src/fcxml.c	     | 12 ++++++--
 7 files changed, 158 insertions(+), 44 deletions(-)

commit 8f62ccaa962b13781d7916d4d1c061993b991e69
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jun 9 22:00:25 2014 -0400

    Remove unused FcHash code now that FC_HASH is deprecated

 src/Makefile.am  |   1 -
 src/fcfreetype.c |  51 ---------------
 src/fchash.c	  | 189
 -------------------------------------------------------
 src/fcint.h	  |  19 ------
 4 files changed, 260 deletions(-)

commit 75abdaf5c8e8b14c3e9e94ff5c563091594a32cf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jun 9 21:53:01 2014 -0400

    Deprecate FC_HASH and don't compute it

    It was added without proper measurement and a fuzzy possible
    use-case (font servers) in mind, but reality check shows that
    this significantly slows down caching.  As such, deprecate it
    and do NOT compute hash during caching.

    Makes caching two to three times faster (ignoring the 2 second
    delay in fc-cache).

 doc/fontconfig-devel.sgml | 2 +-
 fontconfig/fontconfig.h   | 2 +-
 src/fcfreetype.c	   | 2 ++
 src/fcobjs.h		   | 4 ++--
 4 files changed, 6 insertions(+), 4 deletions(-)

commit cd9631d83e51bab95413a8aa0e8ecc68f3e3a0fc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jun 12 17:01:07 2014 -0400

    [ko.orth] Remove U+3164 HANGUL FILLER

    Better not to reject a font just over that.  Note that we do NOT
    list U+115F and U+1160 either.

 fc-lang/ko.orth | 1 -
 1 file changed, 1 deletion(-)

commit f44bfad235e63bb792c38e16ae1fbd281ec1453b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jun 5 19:06:02 2014 +0900

    Workaround another race condition issue

    See https://bugzilla.redhat.com/show_bug.cgi?id=921706

 src/fccache.c | 24 +++++++++++++++++++++++-
 src/fcdir.c   | 30 ++++++++++++++++++++++++------
 src/fcint.h   |  7 ++++++-
 3 files changed, 53 insertions(+), 8 deletions(-)

commit 58acd993cb13b58c61633174071ef42da3dcac85
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri May 16 15:08:52 2014 -0600

    Allow passing NULL for file to FcFreeTypeQueryFace()

 src/fcfreetype.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3f992254f2a3b7f88df989067785141cbf265037
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri May 16 15:02:58 2014 -0600

    Rewrite hashing to use FT_Stream directly

    This is more robust but introduces a small change in behavior:
    For .pcf.gz fonts, the new code calculates the hash of the
    uncompressed
    font data whereas the original code was calculating the hash of the
    compressed data.

    No big deal IMO.

 src/fcfreetype.c | 78
 ++++++++++++++++++++++++++++++--------------------------
 src/fchash.c	  | 75
 +++--------------------------------------------------
 src/fcint.h	  | 19 +++++++++++---
 3 files changed, 61 insertions(+), 111 deletions(-)

commit 8284df49ef45678781fc6e05d18cc04acf04cf3c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri May 16 14:17:45 2014 -0600

    Further simplify hash code

 src/fchash.c | 88
 ++++++++++++++++++++++++++----------------------------------
 1 file changed, 38 insertions(+), 50 deletions(-)

commit 748e77e89f8f6ba297ce9d206ac3834ae087201d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri May 16 14:03:19 2014 -0600

    Simplify hash code

 src/fcfreetype.c |  4 +--
 src/fchash.c	  | 94
 ++++++++++++++++++++++++++------------------------------
 src/fcint.h	  |  6 ++--
 3 files changed, 48 insertions(+), 56 deletions(-)

commit e4d8847eee14ddfa9632057bca36cb60dfa1b35f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri May 16 13:45:44 2014 -0600

    Remove unused code

 src/fchash.c | 41 -----------------------------------------
 src/fcint.h  |  4 ----
 2 files changed, 45 deletions(-)

commit 48c8b7938a0f1412d31dbe2f4e332e460f624068
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue May 13 21:21:43 2014 +0900

    Allow the modification on FcTypeVoid with FcTypeLangSet and
    FcTypeCharSet

    FcTypeVoid is likely to happen when 'lang' and 'charset'
    is deleted by 'delete' or 'delete_all' mode in edit.
    Without this change, any modification on them are simply
    ignored.

    This is useful to make a lot of changes, particularly
    when one wants to add a few and delete a lot say.

 src/fccfg.c	 | 10 ++++++++++
 src/fccharset.c | 15 +++++++++++++++
 src/fcint.h	 |  3 +++
 src/fclang.c	 | 27 +++++++++++++++------------
 4 files changed, 43 insertions(+), 12 deletions(-)

commit 81664fe54f117e4781fda5a30429b51858302e91
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Apr 22 12:39:12 2014 +0900

    Rebase ja.orth against Joyo kanji characters

    Patch from Akihiro TSUKADA

 fc-lang/ja.orth | 4234
 +------------------------------------------------------
 1 file changed, 7 insertions(+), 4227 deletions(-)

commit f44157c809d280e2a0ce87fb078fc4b278d24a67
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Apr 10 19:27:55 2014 +0900

    Fix fc-cache fail with -r

    Do not unlink the cache even if --really-force is given.
    because re-scanning process expects the cache exists.

    https://bugs.freedesktop.org/show_bug.cgi?id=77252

 fc-cache/fc-cache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 91784eb7d0c9f9f357210f4c82555469da37334a
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Apr 4 12:18:28 2014 +0900

    Fix a typo

    https://bugs.freedesktop.org/show_bug.cgi?id=77033

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fcba9ef01c978323fc71c17e455d3cd6ae35edcc
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 26 16:01:49 2014 +0900

    Fix missing docs

 doc/Makefile.am	   |  1 +
 doc/fcpattern.fncs	   | 27 +++++++++++++++++---
 doc/fcrange.fncs	   | 64
 +++++++++++++++++++++++++++++++++++++++++++++++
 doc/fontconfig-devel.sgml |  7 ++++++
 4 files changed, 95 insertions(+), 4 deletions(-)

commit fff91eee7df5a71ed9a63a4b6e3b02c14eaf9cb3
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 26 12:22:02 2014 +0900

    Fix a build issue with freetype <2.5.1

 src/fcfreetype.c | 3 ---
 1 file changed, 3 deletions(-)

commit 3cd573fc1fb67db75cd356cad3e901d24af1ce8a
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Nov 20 18:44:59 2013 +0900

    Bug 71287 - size specific design selection support in OS/2 table
    version 5

    This feature requires the FreeType 2.5.1 or later at the build time.

    Besides <range> element allows <double> elements with this changes.

    This may breaks the cache but not bumping in this change sets at
    this moment.
    please be aware if you want to try it and run fc-cache before/after to
    avoid the weird thing against it.

 configure.ac		 |   4 +
 fontconfig/fcprivate.h  |   3 +
 fontconfig/fontconfig.h |  28 ++++++-
 src/Makefile.am	 |   1 +
 src/fccfg.c		 |  48 +++++++----
 src/fcdbg.c		 |  13 ++-
 src/fcdefault.c	 |  47 ++++++-----
 src/fcfreetype.c	 |  38 +++++++++
 src/fcint.h		 |  85 ++++++++++++++++----
 src/fclist.c		 |   2 +
 src/fcmatch.c		 |  45 +++++++++++
 src/fcname.c		 |  49 +++++++++++-
 src/fcobjs.h		 |   2 +-
 src/fcpat.c		 |  73 +++++++++++++++++
 src/fcrange.c		 | 207
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcxml.c		 | 108 +++++++++++++++++++------
 16 files changed, 663 insertions(+), 90 deletions(-)

commit 9260b7ec39c34ce68d74e16d47917290a8c3f35a
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Mar 24 15:03:12 2014 +0900

    Bump version to 2.11.1

 README			 | 57
 +++++++++++++++++++++++++++++++++++++++++++++++--
 configure.ac		 |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 57 insertions(+), 4 deletions(-)

commit 812143c34d904fb26de471a579a7e381b7f7f33b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Mar 24 15:02:26 2014 +0900

    Fix autoconf warning, warning: AC_COMPILE_IFELSE was called before
    AC_USE_SYSTEM_EXTENSIONS

    Call AC_USE_SYSTEM_EXTENSIONS before LT_INIT

 configure.ac | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 5478192f379d784b421329e4bf72cc780818e467
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Mar 18 12:14:03 2014 +0900

    Add README describes the criteria to add/modify the orthography files

    https://bugs.freedesktop.org/show_bug.cgi?id=73461

 fc-lang/README | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit c6aa4d4bfcbed14f39d070fe7ef90a4b74642ee7
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Mar 18 11:51:37 2014 +0900

    Bug 73291 - poppler does not show fl ligature

    commented out substitutions for TeX Gyre Termes font
    until the broken font are fixed.

    https://bugs.freedesktop.org/show_bug.cgi?id=73291

 conf.d/30-metric-aliases.conf | 6 ++++++
 1 file changed, 6 insertions(+)

commit f8ccf379eb1092592ae0b65deb563c5491f69de9
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 7 19:42:21 2014 +0900

    Update doc to include the version info of `since when'

    Version section was getting confused to the API's availability,
     even though it was the version the doc was genereated.
    So moving it into the footer and added @SINCE@ field in the data.

 doc/fccache.fncs    | 2 ++
 doc/fccharset.fncs  | 1 +
 doc/fcconfig.fncs   | 2 ++
 doc/fcdircache.fncs | 1 +
 doc/fcformat.fncs   | 1 +
 doc/fclangset.fncs  | 6 ++++++
 doc/fcstrset.fncs   | 1 +
 doc/func.sgml	     | 9 +++++----
 8 files changed, 19 insertions(+), 4 deletions(-)

commit 39a2f1e8f98d27b929d56a55a68b3a20d2f8dd32
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 5 18:29:29 2014 +0900

    Fallback to lstat() in case the filesystem doesn't support d_type
    in struct dirent

 src/fcstat.c | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit e310d2fac2d874d5aa76c609df70cc7b871c0b6d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Feb 6 19:40:01 2014 +0900

    Fix incompatible API on AIX with random_r and initstate_r

    https://bugs.freedesktop.org/show_bug.cgi?id=74603

 src/fccompat.c | 35 ++++++++++++++++++++++++-----------
 1 file changed, 24 insertions(+), 11 deletions(-)

commit 7d75653285a3cd67b5f066fe899821462d7f324f
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Feb 6 17:29:19 2014 +0900

    Add missing #include <sys/statvfs.h> in fcstat.c

    https://bugs.freedesktop.org/show_bug.cgi?id=74602

 configure.ac | 2 +-
 src/fcstat.c | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 787619b2c7bfbdc91ed170381f28003e86679c99
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Feb 6 17:15:26 2014 +0900

    Add a doc for FcDirCacheRescan

 doc/fcdircache.fncs | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 80081555fdffea927a53fce2773cfbe9db4c51f0
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jan 31 11:10:02 2014 +0900

    Fix a crash issue when empty strings are set to the BDF properties

 src/fcfreetype.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e2b406053c2937799da8636c56b72a77998bcab0
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Jan 22 19:35:07 2014 +0900

    Update the use of autotools' macro

 configure.ac | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 5918d5bea5416cf27061db4263aefeb8fd310f0e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jan 17 13:05:25 2014 +0900

    Add missing license headers

    https://bugs.freedesktop.org/show_bug.cgi?id=73401

 autogen.sh		| 22 ++++++++++++++++++++++
 new-version.sh		| 21 +++++++++++++++++++++
 src/fcobjs.h		| 23 +++++++++++++++++++++++
 src/fcobjshash.gperf.h | 23 +++++++++++++++++++++++
 test/run-test.sh	| 21 +++++++++++++++++++++
 test/test-migration.c	| 24 ++++++++++++++++++++++++
 test/test-pthread.c	| 26 ++++++++++++++++++++++++--
 7 files changed, 158 insertions(+), 2 deletions(-)

commit bfdd40efd1c82dec5c818c8ce5f78d96fe0ebede
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jan 17 12:57:56 2014 +0900

    clean up the unused files

 config/Makedefs.in  |	 76 ---
 config/config-subst |	 10 -
 config/config.guess | 1497
 -----------------------------------------------
 config/config.sub   | 1608
 ---------------------------------------------------
 config/install.sh   |	240 --------
 5 files changed, 3431 deletions(-)

commit f35b44c35bf8468ea4c28c7efa77b47b1e2a1930
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jan 17 12:24:02 2014 +0900

    Update zh_hk.orth

    Patch from Abel Cheung

    https://bugs.freedesktop.org/show_bug.cgi?id=73461

 fc-lang/zh_hk.orth | 2249
 +++++++++++++---------------------------------------
 1 file changed, 564 insertions(+), 1685 deletions(-)

commit 320283cd70ae31ce46b03e0c5da55412089ce953
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jan 16 19:30:35 2014 +0900

    Bug 73686 - confdir is not set correctly in fontconfig.pc

 fontconfig.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a6622f25cdfab5ab775324bef1833b67109801b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Dec 5 19:15:47 2013 +0900

    Improve the performance issue on rescanning directories

Notes:
    Tested-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

 fc-cache/fc-cache.c	 | 10 ++++++++--
 fontconfig/fontconfig.h |  3 +++
 src/fccache.c		 | 13 +++++++++++++
 src/fcdir.c		 | 46
 +++++++++++++++++++++++++++++++++++++++++++++-
 src/fcfs.c		 | 22 ++++++++++++++++++++++
 src/fcint.h		 |  6 ++++++
 src/fcpat.c		 |  2 ++
 7 files changed, 99 insertions(+), 3 deletions(-)

commit 5c725f2f5829238d16116f782d00d8bb0defaf08
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Dec 16 17:44:37 2013 +0900

    Fix a build issue on platforms where doesn't support readlink()

 configure.ac	 | 2 +-
 src/fcdefault.c | 4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 1132c98b7b760be24a301c9dbd24e348f6601fed
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Dec 16 16:00:12 2013 +0900

    Fix a typo

 conf.d/10-no-sub-pixel.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fee834a9c9e1089a9ae29b1d8e8b6a4cc710204b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Dec 9 21:21:57 2013 -0500

    Bug 72380 - Never drop first font when trimming

    Let me show it with an example.

    Currently:

    $ fc-match symbol
    symbol.ttf: "Symbol" "Regular"

    $ fc-match symbol --sort | head -n 1
    Symbol.pfb: "Symbol" "Regular"

    $ fc-match symbol --sort --all | head -n 1
    symbol.ttf: "Symbol" "Regular"

    I want to make sure the above three commands all return the same font.
    Ie.  I want to make sure FcFontMatch() always returns the first font
    from FcFontSort().	As such, never trim first font.

 src/fcmatch.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c9e24f9ef41e2c3e552ddd35d8c70daae5b505cd
Author: Jehan <jehan@girinstud.io>
Date:	Sun Nov 17 22:38:28 2013 +1300

    Defaulting <cachedir> to LOCAL_APPDATA_FONTCONFIG_CACHE for Win32
    build

    https://bugs.freedesktop.org/show_bug.cgi?id=71691

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e933bd8bcad936717b6b9d8a22b86b7ddb5457e
Author: Frederic Crozat <fcrozat@suse.com>
Date:	Fri Dec 6 14:23:52 2013 +0100

    Add metric aliases for additional Google ChromeOS fonts

    MS fonts Cambria, Symbol and Calibri have compat metrics fonts
    from ChromeOS.

    https://bugs.freedesktop.org/show_bug.cgi?id=72395

 conf.d/30-metric-aliases.conf | 43
 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit 6a06e29491ffdb5be6342164b96de59c6fa07b32
Author: Frederic Crozat <fcrozat@suse.com>
Date:	Fri Dec 6 14:08:08 2013 +0100

    Fix inversion between Tinos and Cousine in the comment

 conf.d/30-metric-aliases.conf | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d97fbbe9f59965167fbc0bdc49f983c2bc96d521
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Dec 2 19:18:25 2013 +0900

    Simplify to validate the availability of scandir

 configure.ac | 48 +++++++++++++++++++++++-------------------------
 1 file changed, 23 insertions(+), 25 deletions(-)

commit 51521153490ab0b01959c10c57e476de3ad27acb
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Dec 2 18:43:10 2013 +0900

    Simplify to validate the availability of posix_fadvise

 configure.ac	       | 12 ++----------
 m4/ac_check_symbol.m4 | 48
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/fccache.c	       |  2 +-
 3 files changed, 51 insertions(+), 11 deletions(-)

commit 59fd9960bbb58fd6257adb13ec0f918882149332
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Dec 2 15:53:57 2013 +0900

    Bug 72086 - Check for gperf in autogen.sh

 autogen.sh | 9 +++++++++
 1 file changed, 9 insertions(+)

commit a5fd7912ff8c7bc72d2cdbd0038c7ff0c968831f
Author: Ross Burton <ross.burton@intel.com>
Date:	Tue Nov 26 17:18:25 2013 +0000

    fc-cache: --sysroot option takes an argument

    The getopt_long option definitions say that sysroot doesn't take
    an argument,
    when it in fact does.

    Signed-off-by: Ross Burton <ross.burton@intel.com>

 fc-cache/fc-cache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 38acb08d9778ebad2bfc3407532adf8f2e8e667e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Nov 11 11:53:09 2013 +0900

    Fix typo

    Use FcTypeUnknown instead of -1 with type casting.
    This seems missed when it was changed.

    Patch from brian porter

 src/fcxml.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a4443e64c89256087d40462cfbb482950873e366
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Nov 5 20:30:35 2013 +0900

    Re-scan font directories only when it contains subdirs

    Somewhat improves the performance but still need to think about for
    the situation
    where both directories and fonts are in.

 fc-cache/fc-cache.c | 26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

commit 0b7f42f777a14ee61783fd95dd04e870f02d201e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:	Sat Nov 2 10:23:57 2013 -0700

    Avoid null pointer dereference in FcNameParse if malloc fails

    Reported by parfait 1.3:
    Error: Null pointer dereference (CWE 476)
       Read from null pointer t
	    at line 423 of src/fcname.c in function 'FcNameParse'.
	      Function _FcObjectLookupOtherTypeByName may return constant
	      'NULL'
	       at line 63, called at line 122 of src/fcobjs.c in function
	       'FcObjectLookupOtherTypeByName'.
	      Function FcObjectLookupOtherTypeByName may return constant
	      'NULL'
	       at line 122, called at line 67 of src/fcname.c in function
	       'FcNameGetObjectType'.
	      Function FcNameGetObjectType may return constant 'NULL'
	      at line 67,
	       called at line 422 in function 'FcNameParse'.
	      Null pointer introduced at line 63 of src/fcobjs.c in
	      function
	       '_FcObjectLookupOtherTypeByName'.

    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

 src/fcname.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5b8380d52eae55cba0adcc47d78a53c320d294ec
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:	Sat Nov 2 10:23:56 2013 -0700

    Avoid memory leak when NULL path passed to FcStrBuildFilename

    Reported by parfait 1.3:
       Memory leak of pointer sset allocated with FcStrSetCreate()
	    at line 933 of src/fcstr.c in function 'FcStrBuildFilename'.
	      sset allocated at line 927 with FcStrSetCreate().
	      sset leaks when sset != NULL at line 932.

    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

 src/fcstr.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit cb72901d0b7dff73ea2596491c5db602e4750853
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:	Sat Nov 2 10:23:55 2013 -0700

    Leave room for null terminators in arrays

    Code currently returns a fatal error if it tries to add more entries
    than the array has room for, but it wasn't checking to make sure
    the final null terminator entry would fit.

    Reported by parfait 1.3:
    Error: Buffer overrun
       Buffer overflow (CWE 120): In array dereference of files[i]
       with index i
	  Array size is 256 elements (of 4 bytes each), index >= 0 and
	  index <= 256
	    at line 250 of fc-glyphname/fc-glyphname.c in function 'main'.
    Error: Buffer overrun
       Buffer overflow (CWE 120): In array dereference of entries[i]
       with index i
	  Array size is 1024 elements (of 8 bytes each), index >= 0 and
	  index <= 1024
	    at line 298 of fc-lang/fc-lang.c in function 'main'.

    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

 fc-glyphname/fc-glyphname.c | 2 +-
 fc-lang/fc-lang.c	     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 767108aa1327cf0156dfc6f024dbc8fb783ae067
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Oct 31 22:12:26 2013 +0900

    Correct DTD

 fonts.dtd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa22e6e63933e8b31a032835b712b7ed596534cc
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jan 24 19:48:48 2013 +0900

    Warn if no <test> nor <edit> elements in <match>

    This corrects an error message being reported at
      https://bugs.freedesktop.org/show_bug.cgi?id=71085
      Bug 71085 - "out of memory" errors on empty match element in
      fonts.conf

    and somewhat works as a workaround for
      https://bugs.freedesktop.org/show_bug.cgi?id=59438
      Bug 59438 - Fix <alias> inside <match>

 src/fcxml.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 525a135ccf53e4bf3363c3143d9cfdf15fba55ab
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Oct 28 11:54:04 2013 +0900

    Change the default weight on match to FC_WEIGHT_NORMAL

 src/fcdefault.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65872e9e46d17e4461c3a891ef23abe156005e04
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Oct 24 19:35:26 2013 +0900

    Fix a build issue on Solaris 10

    Use own mkdtemp implementation if not available.

    Reported by Thomas Klausner and Jörn Clausen

 configure.ac	       |  2 +-
 test/test-migration.c | 15 ++++++++++++++-
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 76ea9af816a50c6bb0b3dc2960460a90fadd9cdb
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Oct 22 15:00:29 2013 +0900

    Use stat() if there are no d_type in struct dirent

    Reported by Thomas Klausner

 test/test-migration.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 5e029db4971e37437cfe6147d52d00136dfb8cb5
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Oct 21 12:16:46 2013 +0900

    Fix the dynamic loading issue on NetBSD

    On NetBSD, it is not supported to load a library linked against
    libpthread into a program that wasn't (since the C library provides
    stubs for some pthread-functions, which might have already been called
    before libpthread is loaded, leading to problems).

    Patch from Matthias Drochner

 m4/ax_pthread.m4 | 5 +++++
 1 file changed, 5 insertions(+)

commit ff0e0d17b254f71592dfa29a988a82efefff8913
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Oct 21 12:13:31 2013 +0900

    Update ax_pthread.m4 to the latest version

 m4/ax_pthread.m4 | 71
 +++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 47 insertions(+), 24 deletions(-)

commit 06b388523d747db16708c1662f3c6d64a36d5daf
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Oct 21 11:50:55 2013 +0900

    Fix build issue on Debian/kFreeBSD 7.0

    There are posix_fadvise(2) but not POSIX_FADV_WILLNEED.
    Patch from Ryo ONODERA.

 src/fccache.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5406919c5e186f74ccdade1a65344ce7b5c56a64
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Oct 11 19:31:22 2013 +0900

    do not build test-migration for Win32

    This testing code is for XDG base directory spec which may be not
    interesting for them

 test/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit f16c3118e25546c1b749f9823c51827a60aeb5c1
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Oct 11 13:27:33 2013 +0900

    Bump version to 2.11.0

 README			 | 29 +++++++++++++++++++++++++++--
 configure.ac		 |  2 +-
 fontconfig/fontconfig.h |  4 ++--
 3 files changed, 30 insertions(+), 5 deletions(-)

commit f82a032f417445abbb4399344766102aff255b6c
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Oct 11 13:27:24 2013 +0900

    Update CaseFolding.txt to Unicode 6.3

    No real updates between 6.2 and 6.3.

 fc-case/CaseFolding.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c4c90ffc7a7eec42fc0b84f1a7af464a4c9fcfd8
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Oct 11 12:40:23 2013 +0900

    Bump libtool revision

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9a4310176bb11e1e826d238eb0761b7895b48883
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Oct 9 12:19:35 2013 +0900

    Add missing doc for FcStrListFirst and fix a typo

 doc/fcstrset.fncs | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 604c2a683f1357fc65bad372b5d25a90099f827f
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Oct 3 19:59:30 2013 +0900

    exit with the error code when FcNameParse() failed

 fc-list/fc-list.c	 | 5 +++++
 fc-match/fc-match.c	 | 5 +++++
 fc-pattern/fc-pattern.c | 5 +++++
 3 files changed, 15 insertions(+)

commit 0203055520206028eecee5d261887cdc91500e15
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Oct 2 16:34:34 2013 +0900

    Workaround the race condition issue on updating cache

 fc-cache/fc-cache.c	 | 62
 ++++++++++++++++++++++++++++---------------------
 fontconfig/fontconfig.h |  3 +++
 src/fcstr.c		 |  6 +++++
 3 files changed, 45 insertions(+), 26 deletions(-)

commit 9161ed1e4a3f4afaee6dbcfc0b84a279ad99b397
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Sep 30 11:30:00 2013 +0900

    Add the relative path for <include> to fonts.conf if the parent path
    is same to fonts.conf

    Bug 69836 - fonts.conf.in update for Windows cross-compiling

 Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 96c5f3cf0ff57e7bbb08cc1e0e78ed0542096484
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Sep 26 18:44:10 2013 +0900

    clean up

 conf.d/Makefile.am | 2 +-
 configure.ac	    | 6 +-----
 2 files changed, 2 insertions(+), 6 deletions(-)

commit 43f768b53f554cf0f927ccac5daf96877f9fc69c
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Sep 26 17:46:26 2013 +0900

    avoid reading config.h twice

    config.h is read from fcint.h now so having a line of the sort of
    #include "config.h"
    is duplicate.

    Bug 69833 - Incorrect SIZEOF_VOID_P and ALIGNOF_DOUBLE definitions
    causes nasty warnings on MacOSX when building fat libraries

 src/fcarch.c	| 4 ----
 src/fccache.c	| 3 ---
 src/fccompat.c | 4 ----
 src/fchash.c	| 3 ---
 src/fcstat.c	| 3 ---
 5 files changed, 17 deletions(-)

commit 102864d0dba46c99b22c912454c1f58731287405
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Sep 25 11:41:23 2013 +0900

    Add the description of -q option to the man page

 fc-list/fc-list.sgml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 2b0fca14ad202d4dbd32478dc367e648833866c0
Author: W. Trevor King <wking@tremily.us>
Date:	Sat Sep 21 17:06:50 2013 -0700

    doc/fccharset.fncs: Describe the map format in more detail

    The previous documentation for FcCharSetFirstPage and
    FcCharSetNextPage was technically accurate, but a bit terse.  I've
    added an example using the returned page (root code point) and map to
    give folks something concrete to work with.  I've also documented
    FC_CHARSET_DONE, which wasn't mentioned at all before.

 doc/fccharset.fncs | 36 ++++++++++++++++++++++++++++++------
 1 file changed, 30 insertions(+), 6 deletions(-)

commit 8a174b6c51581df6ffd6a5da056949c6c79337cf
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Sep 24 11:14:57 2013 +0900

    Fix a crash when FcPattern is set to null on FcFontSetList()
    and FcFontList()

 src/fclist.c | 2 ++
 1 file changed, 2 insertions(+)

commit 643f8088f0d51107e58d142df47124efec6afab1
Author: Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Date:	Sat Sep 14 02:25:26 2013 +0200

    Further changes to 30-metric-aliases.conf

    Big changes:
    * Handle more PostScript fonts (further reduce 30-urw-aliases.conf)
    * Update the big comment

    Specific->Generic:
    * Add missing maps, for symmetry

    Generic<->Generic:
    * Add "Helvetica Condensed" <-> "Arial Narrow" map

    Generic->Specific:
    * Add missing Courier -> Cursor alias
    * Add "Helvetica Condensed" -> "Heros Cn" alias
    * Remove Arial -> Heros and "Times New Roman" -> Termes maps

 conf.d/30-metric-aliases.conf | 319
 ++++++++++++++++++++++++++++++++++--------
 conf.d/30-urw-aliases.conf    |  24 +---
 2 files changed, 261 insertions(+), 82 deletions(-)

commit 5e6b8894ea9d03caabdfc3a6bcd0c402edf840a8
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Sep 18 17:31:10 2013 +0900

    Copy all values from the font to the pattern if the pattern doesn't
    have the element

 src/fcmatch.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 7e44a0b5a88e597b33ba9e2cc3a6d4555736db0a
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Sep 10 17:45:11 2013 +0900

    Bug 68955 - Deprecate / remove FC_RASTERIZER

 doc/fontconfig-devel.sgml | 2 +-
 doc/fontconfig-user.sgml  | 2 +-
 fontconfig/fontconfig.h   | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit a61e145304da86c8c35b137493bbd8fd5dd1e7f5
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Sep 9 19:59:31 2013 +0900

    Fix memory leaks in FcFreeTypeQueryFace

 src/fcfreetype.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 6720892e97f11fbe8d69ae5b3875d928c68ff90e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Sep 2 20:52:20 2013 +0900

    Add a test case of the migration for config place

 test/Makefile.am      |   7 +-
 test/test-migration.c | 172
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 177 insertions(+), 2 deletions(-)

commit 3e5f70a16ac6d54f1e01c92ddaa5985deec1b7f9
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Sep 2 20:51:46 2013 +0900

    Do not create a config dir for migration when no config files nor dirs

 src/fcxml.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit d2bb1a8381ba50dce79a487cd82087ca57fdcb68
Author: Akira TAGOH <akira@tagoh.org>
Date:	Sat Aug 31 10:50:07 2013 +0900

    Bump version to 2.10.95

 README			 | 10 ++++++++--
 configure.ac		 |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 10 insertions(+), 4 deletions(-)

commit 272a99217b15e9cf1e4d2a1dcf92b540576c29a6
Author: Akira TAGOH <akira@tagoh.org>
Date:	Sat Aug 31 10:43:13 2013 +0900

    Fix a crash

 src/fccfg.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 071ce44c35733e54cb477cc75810cbe55025b619
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Aug 29 20:53:58 2013 +0900

    Fix a typo

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 06dd98b2a3271e5f02787f208f73f13f794cb1bf
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Aug 29 17:38:29 2013 +0900

    Bump version to 2.10.94

 README			 | 37 +++++++++++++++++++++++++++++++++++--
 configure.ac		 |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 37 insertions(+), 4 deletions(-)

commit 53ad60deabb787671a862b8d1fab52f8b71bf765
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Aug 29 17:12:45 2013 +0900

    Add quz.orth to Makefile.am

 fc-lang/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit c6228f8091ab91b67ea006ad5a1b1da97b3d4a5a
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Aug 27 12:28:52 2013 +0900

    Bug 68587 - copy qu.orth to quz.orth

 fc-lang/quz.orth | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

commit fba9efecd2ef3aca84e0a4806899c09ba95f4c19
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Aug 26 12:47:07 2013 +0900

    Fix a wrong edit position when 'kind' is different

 src/fccfg.c | 24 ++++++++++++++++--------
 1 file changed, 16 insertions(+), 8 deletions(-)

commit 223c1384c98caaf9ba5d2cddf7465b7b3a82316b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Aug 23 20:42:37 2013 +0900

    Fix a crash when non-builtin objects are edited

 src/fccfg.c | 28 +++++++++++-----------------
 src/fcint.h |	5 +++--
 2 files changed, 14 insertions(+), 19 deletions(-)

commit 6c664d533d242112c30e0d3b585e90a361a1b959
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Aug 23 19:58:43 2013 +0900

    Fix a typo

 src/fcxml.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f3bb3f19c917e3fd0a0cdd9a2adf8f827e7a5838
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Aug 21 14:31:55 2013 -0400

    Fix assertion

    Apparently some AIX versions have 64bit pointers yet 32bit double
    alignment.	Fix assertion.

 src/fcarch.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec3f0af6f09292126a54b7abe2313e5124ef9a4c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Aug 21 14:27:16 2013 -0400

    Minor

 src/fcarch.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 104a2af0dd60f68a1e3f9e5f99e6180336ce28c2
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Aug 21 13:12:41 2013 +0900

    Bug 63399 - Add default aliases for Georgia, Garamond, Palatino
    Linotype, Trebuchet MS

 conf.d/45-latin.conf | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 010c973df5544996f5d8774e361d45daa5b61b52
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Aug 21 13:12:22 2013 +0900

    Bug 68340 - More metric compat fonts

 conf.d/30-metric-aliases.conf | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 084cf7c44e985dd48c088d921ad0d9a43b0b00b4
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Aug 14 12:51:26 2013 +0900

    Bug 16818 - fontformat in match pattern is not respected?

 src/fcmatch.c | 1 +
 src/fcobjs.h  | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 45221ab12fa7001b9659293d4833f828801d2518
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Aug 7 12:19:33 2013 +0900

    Bug 67845 - Match on FC_SCALABLE

 src/fcmatch.c | 1 +
 src/fcobjs.h  | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 041deb0cc541692e260b93232b9957c2538e3bb9
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Aug 7 11:57:19 2013 +0900

    warn deprecated only when migration failed

 src/fccache.c	| 28 ----------------------------
 src/fccompat.c | 27 +++++++++++++++++++++++++++
 src/fcdir.c	| 10 ++++++++++
 src/fcint.h	|  6 ++++++
 src/fcxml.c	| 59
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 5 files changed, 101 insertions(+), 29 deletions(-)

commit d52daa0024a6c0bb160c3b3c7f85d0b031f88c85
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Aug 6 15:09:23 2013 +0900

    Bug 67809 - Invalid read/write with valgrind when assigning something
    twice

 src/fccfg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a51d2767ce4d88017bd7d34ccb9e352d1687a3c0
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Aug 5 20:04:13 2013 +0900

    Fix wrong edit position

 src/fccfg.c  | 100
 +++++++++++++++++++++++++++++++++++++++--------------------
 src/fcint.h  |   5 +++
 src/fcobjs.c |   2 +-
 3 files changed, 72 insertions(+), 35 deletions(-)

commit 338ffe6b886ad4ba86ff471cb59c4a5e5ffbe408
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jul 12 14:52:01 2013 +0900

    Correct fontconfig.pc to add certain dependencies for static build

 configure.ac	  | 14 ++++----------
 fontconfig.pc.in |  7 ++++---
 2 files changed, 8 insertions(+), 13 deletions(-)

commit 7274f6e37a4d1a062b4eee3a625bd393a283a9d0
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jul 12 12:39:36 2013 +0900

    Correct fontconfig.pc to add certain dependencies for build

 configure.ac	  | 26 +++++++++++++++++++++++---
 fontconfig.pc.in |  7 ++++---
 2 files changed, 27 insertions(+), 6 deletions(-)

commit 04bd904632b22682c888f658650cdcd322544273
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jul 9 16:43:26 2013 +0900

    trivial code optimization

 src/fcxml.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit d420e1df983871ab18b0f07976596fdf0ce78847
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jul 4 19:51:03 2013 +0900

    Rework to apply the intermixed test and edit elements in one-pass

 src/fccfg.c | 349
 +++++++++++++++++++++++++++---------------------------------
 src/fcdbg.c |	39 +++++--
 src/fcint.h |	29 +++--
 src/fcxml.c | 245 ++++++++++++++++++++----------------------
 4 files changed, 321 insertions(+), 341 deletions(-)

commit 1162515a9819c7355890aad919e5b9daa448a3a4
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Jul 3 11:56:58 2013 +0900

    Add FC_UNUSED to FC_ASSERT_STATIC macro to avoid compiler warning

 src/fcint.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cbf06d7d3c797b97d720909fd4554d1771d41c20
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jul 2 19:04:36 2013 +0900

    Use INT_MAX instead of unreliable hardcoding value

 src/fcint.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ab5b535704fbcab43040d80100cb19cb33f6219d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jul 2 18:54:29 2013 +0900

    Ignore scandir() check on mingw

 configure.ac | 50 ++++++++++++++++++++++++++------------------------
 1 file changed, 26 insertions(+), 24 deletions(-)

commit 0907589a79d05aeed9bc6bff783838b0eb25736b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jun 28 15:54:38 2013 +0900

    Fix the behavior of intermixed tests end edits in match

    to get the following recipe working:

    <match>
      <test1 .../>
      <edit1 .../>
      <test2 .../>
      <edit2 .../>
    </match>

    as:

    <match>
      <test1 .../>
      </edit1 .../>
    </match>
    <match>
      <test1 .../>
      <test2 .../>
      <edit2 .../>
    </match>

 src/fccfg.c | 27 ++++++++++++++++-----------
 src/fcint.h |	1 +
 src/fcxml.c | 37 ++++++++++++++++++++++++++++++++++++-
 3 files changed, 53 insertions(+), 12 deletions(-)

commit 197d06c49b01413303f2c92130594daa4fcaa6ad
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jun 28 15:04:11 2013 +0900

    Add FcTypeUnknown to FcType to avoid comparison of constant -1

    This change reverts 9acc14c34a372b54f9075ec3611588298fb2a501
    because it doesn't work as expected when building
    with -fshort-enums which is default for older arms ABIs

    Thanks for pointing this out, Thomas Klausner, Valery Ushakov,
    and Martin Husemann

 fontconfig/fcprivate.h  | 3 ++-
 fontconfig/fontconfig.h | 1 +
 src/fccfg.c		 | 4 +++-
 src/fcdbg.c		 | 7 +++++++
 src/fcint.h		 | 6 ++++--
 src/fclist.c		 | 1 +
 src/fcname.c		 | 5 ++++-
 src/fcobjs.c		 | 2 +-
 src/fcpat.c		 | 5 ++++-
 src/fcxml.c		 | 2 +-
 10 files changed, 28 insertions(+), 8 deletions(-)

commit 38ab7ab2fbd83c0c62e4b78302b5fe89da0cb79e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jun 27 13:10:27 2013 +0900

    Fix a incompatible pointer warning on NetBSD

 configure.ac | 29 +++++++++++++++++++++++++++++
 src/fcstat.c | 10 ++++++++++
 2 files changed, 39 insertions(+)

commit 8603e5869505ff06d443b8b22d5357d4caaaac24
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jun 27 12:30:56 2013 +0900

    Fix a shift count overflow on 32bit box

 src/fchash.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 9acc14c34a372b54f9075ec3611588298fb2a501
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Jun 26 12:03:38 2013 +0900

    Fix a comparison of constant warning with clang

 src/fcname.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd9b1033a68816a7acfbba1718ba0aa5888f6ec7
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri May 24 13:55:07 2013 +0900

    Bug 64906 - FcNameParse() should ignore leading whitespace in
    parameters

    After this change, the following works as expected:
    $ FC_DEBUG=4 fc-match ":family=foo bar, sans-serif"
    ...
    FcConfigSubstitute Pattern has 3 elts (size 16)
	    family: "foo bar"(s) "sans-serif"(s)
    ...

 src/fcname.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 8d54091513c00905457e0ee49ba6ea2c4aacddd7
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon May 20 17:42:34 2013 +0900

    Bump version to 2.10.93

 README			 | 21 +++++++++++++++++++--
 configure.ac		 |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 21 insertions(+), 4 deletions(-)

commit 1cad82cde29ea488ea22541b46ed347d10952557
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri May 10 20:26:11 2013 +0900

    Bug 63922 - FcFreeTypeQueryFace fails on postscripts fonts loaded
    from memory

    Workaround to not failing even when the hash is unable to generate
    from fonts.
    This change also contains to ignore the case if the hash isn't in
    either both
    patterns.

 src/fcfreetype.c | 16 +++++++++-------
 src/fcmatch.c	  | 30 +++++++++++++++++++++---------
 src/fcobjs.h	  |  2 +-
 3 files changed, 31 insertions(+), 17 deletions(-)

commit 0f9aa8759df563332db60055ae33dd9424ebf802
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu May 16 13:41:32 2013 +0900

    Fix missing OSAtomicCompareAndSwapPtrBarrier() on Mac OS X 10.4

    based on hb-atomic-private.hh in harfbuzz

 src/fcatomic.h | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 93137252cfab1c38e1c9137d831c177665e0592a
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon May 13 12:14:29 2013 +0900

    Bug 63452 - conf.d/README outdated

    reflect correct path where is configured at the build time.

 conf.d/Makefile.am | 11 ++++++++---
 conf.d/README	    | 23 -----------------------
 conf.d/README.in   | 23 +++++++++++++++++++++++
 3 files changed, 31 insertions(+), 26 deletions(-)

commit f6244d2cf231e1dc756f3e941e61b9bf124879bb
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed May 8 11:57:49 2013 +0900

    Use the glob matching for filename

    Regex is expensive to compare filenames. we already have the glob
    matching
    and it works enough in this case.

    Prior to this change, renaming FcConfigGlobMatch() to FcStrGlobMatch()
    and moving to fcstr.c

 src/fccfg.c   | 46 +---------------------------------------------
 src/fcint.h   |  4 ++++
 src/fcmatch.c |  6 ++----
 src/fcstr.c   | 44 ++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 51 insertions(+), 49 deletions(-)

commit 03216ccf4ca0808f9c7b9513efcaeb7f4058b575
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Apr 10 18:41:22 2013 +0900

    Bug 63329 - make check fails: .. contents:: :depth: 2

    Add back FcHashGetSHA256DigestFromFile() and fall back to it
    when font isn't SFNT-based font because FT_Load_Sfnt_Table
    fails with FT_Err_Invalid_Face_Handle.

 src/fcfreetype.c | 32 ++++++++++++++++++++---------
 src/fchash.c	  | 62
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcint.h	  |  4 ++++
 3 files changed, 88 insertions(+), 10 deletions(-)

commit 77419a4dfdf41ed34dd03e74d0e4e6f89dbc65e1
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Apr 10 11:14:39 2013 +0900

    documented FC_HASH and FC_POSTSCRIPT_NAME

 doc/fontconfig-devel.sgml | 3 +++
 1 file changed, 3 insertions(+)

commit fc5a589abad0e8285f7d95007ebda76536e8fa7d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Apr 9 17:18:43 2013 +0900

    Revert the previous change and rework to not export freetype API
    outside fcfreetype.c

 src/fcfreetype.c | 23 ++++++++++++++++++++---
 src/fchash.c	  | 47 ++++++++++++-----------------------------------
 src/fcint.h	  |  5 ++---
 3 files changed, 34 insertions(+), 41 deletions(-)

commit c93a8b8b54afe33e5ecf9870723543cb4058fa94
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Apr 9 12:46:30 2013 +0900

    Obtain fonts data via FT_Face instead of opening a file directly

 src/fcfreetype.c |  2 +-
 src/fchash.c	  | 50 +++++++++++++++++++++++++++++++++-----------------
 src/fcint.h	  |  4 +++-
 3 files changed, 37 insertions(+), 19 deletions(-)

commit 9299155b5247255d6b6687448173056c3ca8d09b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Apr 9 11:34:35 2013 +0900

    Ensure closing fp on error

 src/fchash.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18bf57c70aafcad031c0b43756b754dcaf6a756a
Author: Sebastian Freundt <hroptatyr@fresse.org>
Date:	Sun Apr 7 00:02:58 2013 +0000

    build-chain, replace INCLUDES directive by AM_CPPFLAGS

    As of automake-13.1 the INCLUDES directive is no longer supported.
    An automake run will return with an error.

    This changeset simply follows automake's advice to replace INCLUDES
    by AM_CPPFLAGS.

 Tools.mk		 | 4 ++--
 fc-cache/Makefile.am	 | 2 +-
 fc-cat/Makefile.am	 | 2 +-
 fc-list/Makefile.am	 | 2 +-
 fc-match/Makefile.am	 | 2 +-
 fc-pattern/Makefile.am  | 2 +-
 fc-query/Makefile.am	 | 2 +-
 fc-scan/Makefile.am	 | 2 +-
 fc-validate/Makefile.am | 2 +-
 src/Makefile.am	 | 2 +-
 10 files changed, 11 insertions(+), 11 deletions(-)

commit 8fd0ed60a62cb7f36b2ade1bd16a66671eaf79da
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Apr 1 18:16:28 2013 +0900

    Bug 62980 - matching native fonts with even :lang=en

    Fix the matcher modified by 4eab908c8679a797ac7016b77a93ee41bb11b0fc
    to deal with both strong and weak of FC_LANG as the same location
    in the score

 src/fcmatch.c | 23 +++++++----------------
 1 file changed, 7 insertions(+), 16 deletions(-)

commit 73fa326d1e791b587da93b795f962c3405b7a96d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 29 16:10:15 2013 +0900

    Bump version to 2.10.92

 README			 | 65
 +++++++++++++++++++++++++++++++++++++++++++++++--
 configure.ac		 |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 65 insertions(+), 4 deletions(-)

commit c842412c079e781d53f023616d9758223fb68323
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 29 16:07:30 2013 +0900

    Minor fix

 new-version.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3b435b87f1aec1b2779fd7edbbff5571c3c61a2
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 29 16:02:34 2013 +0900

    Bump libtool revision

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3fc22cfe756fcb2d6c5a64aa305957c417c6cecd
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 29 12:46:04 2013 +0900

    Minor cleanup

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit b561ff2016ce84eef3c81f16dfb0481be6a13f9b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jan 18 11:30:10 2013 +0900

    Bug 38737 - Wishlist: support FC_POSTSCRIPT_NAME

    Add the PostScript name into the cache and the matcher.
    Scoring the better font against the PostScript name by
    the forward-matching.

 fontconfig/fontconfig.h |  1 +
 src/fcfreetype.c	 | 49 +++++++++++++++++++++++++++-
 src/fcint.h		 |  6 ++++
 src/fcmatch.c		 | 21 ++++++++++++
 src/fcobjs.h		 |  1 +
 src/fcstr.c		 | 85
 ++++++++++++++++++++++++++++---------------------
 6 files changed, 125 insertions(+), 38 deletions(-)

commit c758206e8c0e5b572bd34183b184ef4361745333
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Mar 21 11:58:06 2013 +0900

    Fix a SIGSEGV on FcPatternGet* with NULL pattern

 src/fcpat.c | 2 ++
 1 file changed, 2 insertions(+)

commit bdf1581e3de5528f397f19bfd4ca9caaf9e7fe4a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Mar 8 05:53:27 2013 -0500

    Fix crash with FcConfigSetCurrent(NULL)

 src/fccfg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aad4d6f6c68d06415333f5d0d3e4b4870114f11d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Mar 7 13:19:50 2013 +0900

    Do not copy FC_*LANG_OBJECT even if it's not available on the pattern

    those objects are linked to the corresponding string objects.
    this may causes inconsistency that those objects has more values
    than them.

 src/fcmatch.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit e96d7760886a3781a46b3271c76af99e15cb0146
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Feb 6 19:35:30 2013 +0900

    Bug 59456 - Adding a --sysroot like option to fc-cache

    Add an ability to set the system root to generate the caches.
    In order to do this, new APIs, FcConfigGetSysRoot() and
    FcConfigSetSysRoot() is available.

 doc/fcconfig.fncs	 | 21 +++++++++++
 fc-cache/fc-cache.c	 | 38 +++++++++++++------
 fontconfig/fontconfig.h |  7 ++++
 src/fccache.c		 | 99
 +++++++++++++++++++++++++++++++++----------------
 src/fccfg.c		 | 57 ++++++++++++++++++++++++++++
 src/fcinit.c		 | 30 ++++++++++-----
 src/fcint.h		 | 15 +++++++-
 src/fcstr.c		 | 62 ++++++++++++++++++++++++++++++-
 8 files changed, 275 insertions(+), 54 deletions(-)

commit 569657a24ca11aedfd3b588984344d7ab97fe09f
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Mar 5 12:46:01 2013 +0900

    Fix a memory leak

 src/fclang.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 612ee2a5c91b8929b2cc5abce4af84d8d7e66bd0
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 1 22:21:25 2013 +0900

    Fix broken sort order with FcFontSort()

    which was introduced by 4eab908c8679a797ac7016b77a93ee41bb11b0fc

 src/fcmatch.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit ea4ebd59377d3dff3616bd20381f308a92781ae6
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 1 19:38:21 2013 +0900

    Fix a crash when the object is non-builtin object

 src/fcmatch.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 10230497675fa4fcbb427efe8dd2883839ddaec0
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 1 18:41:27 2013 +0900

    Fix a typo

 conf.d/30-metric-aliases.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit db69bf6ecd0da4d23bdfe38652bb53d2daa655a2
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 1 18:31:01 2013 +0900

    Bug 60783 - Add Liberation Sans Narrow to 30-metric-aliases.conf

    Add Liberation Sans Narrow as an alias for Arial Narrow

 conf.d/30-metric-aliases.conf | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 2c696255749683e9a084f797eb033d222510a275
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Feb 18 13:17:53 2013 +0900

    Bug 60748 - broken conf.d/10-autohint.conf and conf.d/10-unhinted.conf

    Move the target of recipes to the "pattern" from the "font".
    This is to ensure the targeted objects is updated by them
    prior to FcDefaultSubstitute() so that it can adds the default
    values properly.

 conf.d/10-autohint.conf	  | 2 +-
 conf.d/10-no-sub-pixel.conf	  | 2 +-
 conf.d/10-sub-pixel-bgr.conf	  | 2 +-
 conf.d/10-sub-pixel-rgb.conf	  | 2 +-
 conf.d/10-sub-pixel-vbgr.conf	  | 2 +-
 conf.d/10-sub-pixel-vrgb.conf	  | 2 +-
 conf.d/10-unhinted.conf	  | 2 +-
 conf.d/11-lcdfilter-default.conf | 2 +-
 conf.d/11-lcdfilter-legacy.conf  | 2 +-
 conf.d/11-lcdfilter-light.conf   | 2 +-
 10 files changed, 10 insertions(+), 10 deletions(-)

commit 83f679ce558de736ef1a095a362397da0ac3417f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Feb 15 09:48:38 2013 -0500

    Accept digits as part of OpenType script tags

    They've been used since 2005.

 src/fcfreetype.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 72b0480a21958f0f8c115d8e0a5bfbd8d358b5c3
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Feb 7 17:56:17 2013 +0900

    Add Culmus foundry to the vendor list

    Maps fonts produced by the Culmus project
    <http://culmus.sourceforge.net>
    to the XLFD foundry name culmus.

    For TrueType fonts, maps the vendor code CLM from the TrueType vendor
    id field.

    For Type1 fonts, which use heuristics to guess mappings to XLFD
    foundries from
    words in the copyright notice, add the names of the main contributors
    to
    the Culmus product to recognize the fonts under their copyright.

    Patch from Maxim Iorsh

 src/fcfreetype.c | 67
 +++++++++++++++++++-------------------------------------
 1 file changed, 23 insertions(+), 44 deletions(-)

commit 96220a5ed9d1d761b14a7ac516ac6786c132f280
Author: Quentin Glidic <sardemff7+git@sardemff7.net>
Date:	Sat Feb 2 17:01:07 2013 +0100

    Use LOG_COMPILER and AM_TESTS_ENVIRONMENT

    TESTS_ENVIRONMENT is deprecated and should be reserved to the user to
    override the test environment

    <ext>_LOG_COMPILER is meant to contain the program that runs the test
    with <ext> extension
    LOG_COMPILER is for extensionless tests
    AM_TESTS_ENVIRONMENT is meant to set the environment for the tests

      https://bugs.freedesktop.org/show_bug.cgi?id=60192

    Signed-off-by: Quentin Glidic <sardemff7+git@sardemff7.net>

 Makefile.am	  |  1 -
 configure.ac	  |  2 +-
 doc/Makefile.am  |  5 ++++-
 test/Makefile.am | 12 +++++++++++-
 4 files changed, 16 insertions(+), 4 deletions(-)

commit 62b7d764ce994bb32e7614337fdfa0854445c380
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Feb 6 19:14:51 2013 +0900

    Bump the cache version to 4

 fontconfig/fontconfig.h | 2 +-
 src/fcint.h		 | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 4eab908c8679a797ac7016b77a93ee41bb11b0fc
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Feb 6 19:02:07 2013 +0900

    Update _FcMatchers definition logic

    to make it easier to maintain. also added FC_HASH_OBJECT to be matched
    in the pattern, prior to FC_FILE_OBJECT.

 src/fcint.h		|   2 +-
 src/fcmatch.c		| 184
 +++++++++++++++++++++++--------------------------
 src/fcname.c		|   2 +-
 src/fcobjs.h		|  90 ++++++++++++------------
 src/fcobjshash.gperf.h |   2 +-
 5 files changed, 134 insertions(+), 146 deletions(-)

commit 52b2b5c99268d5ad28dc0972c5f136720d55f21b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Feb 5 20:44:18 2013 +0900

    Bug 60312 - DIST_SUBDIRS should never appear in a conditional

    As it is documented like this:

    If SUBDIRS is defined conditionally using Automake conditionals,
    Automake will define DIST_SUBDIRS automatically from the possible
    values of SUBDIRS in all conditions.

    So we don't need to re-define DIST_SUBDIRS in Makefile.am unless
    we use AC_SUBST to define SUBDIRS.

    Patch from Quentin Glidic

 Makefile.am | 3 ---
 1 file changed, 3 deletions(-)

commit 95af7447dba7c54ed162b667c0bb2ea6500e8f32
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Feb 4 16:03:29 2013 +0900

    Bug 50733 - Add font-file hash?

    Add "hash" object which contains SHA256 hash value (so far) computed
    from the font file.

 fontconfig/fontconfig.h |   1 +
 src/Makefile.am	 |   1 +
 src/fcfreetype.c	 |   9 ++
 src/fchash.c		 | 265
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcint.h		 |   7 ++
 src/fcobjs.h		 |   1 +
 6 files changed, 284 insertions(+)

commit d34643894f2dff7eec35345e8e9b32a9a32fa113
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Feb 5 14:17:16 2013 +0900

    Use AM_MISSING_PROG instead of hardcoding missing

 Makefile.am  | 2 +-
 configure.ac | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 241cd53ff62599ecf557c6a4f975fc427dad9700
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Feb 5 11:33:47 2013 +0900

    Revert "test: Use SH_LOG_COMPILER and AM_TESTS_ENVIRONMENT"

    This reverts commit 2146b0307a3476892723104481f27f8484451c52.

    That change introduces incompatibility and seems not working with
    older releases of automake, including automake 1.12.2.

 test/Makefile.am | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

commit 2146b0307a3476892723104481f27f8484451c52
Author: Quentin Glidic <sardemff7+git@sardemff7.net>
Date:	Sat Feb 2 17:01:07 2013 +0100

    test: Use SH_LOG_COMPILER and AM_TESTS_ENVIRONMENT

    TESTS_ENVIRONMENT is deprecated and should be reserved to the user to
    override the test environment

    <ext>_LOG_COMPILER is meant to contain the program that runs the test
    with <ext> extension
    AM_TESTS_ENVIRONMENT is meant to set the environment for the tests

      https://bugs.freedesktop.org/show_bug.cgi?id=60192

    Signed-off-by: Quentin Glidic <sardemff7+git@sardemff7.net>

 test/Makefile.am | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit da0946721af3ab2dff3cd903065336b93592d067
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Feb 4 17:57:00 2013 +0900

    Use AM_MISSING_PROG instead of hardcoding missing

 configure.ac	 | 2 ++
 src/Makefile.am | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 786ead52015573e7b60a53d79abc26d611f1fe93
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Feb 4 17:20:03 2013 +0900

    Modernize configure.ac

 configure.ac | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 20191810d1fea7c2f49b65ffee3e4d5e2bc0bac3
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jan 29 20:19:36 2013 +0900

    Bug 23757 - Add mode="delete" to <edit>

    Add two edit mode, "delete" and "delete_all".
    what values are being deleted depends on <test> as documented.
    if the target object is same to what is tested, matching value there
    will be deleted. otherwise all of values in the object will be
    deleted.
    so this would means both edit mode will not take any expressions.

    e.g.

    Given that the testing is always true here, the following rules:

      <match>
	<test name="foo" compare="eq">
	  <string>bar</string>
	</test>
	<edit name="foo" mode="delete"/>
      </match>

    will removes "bar" string from "foo" object. and:

      <match>
	<test name="foo" compare="eq">
	  <string>foo</string>
	</test>
	<edit name="bar" mode="delete"/>
      </match>

    will removes all of values in "bar" object.

 doc/fontconfig-user.sgml |  2 ++
 fonts.dtd		  |  2 +-
 src/fccfg.c		  | 10 ++++++++++
 src/fcdbg.c		  |  6 ++++--
 src/fcint.h		  |  1 +
 src/fcxml.c		  | 11 +++++++++++
 6 files changed, 29 insertions(+), 3 deletions(-)

commit c1d9588890798e389d0f0ba633b704dee1ea8bf5
Author: Colin Walters <walters@verbum.org>
Date:	Thu Jan 31 21:32:46 2013 -0500

    build: Only use PKG_INSTALLDIR if available

    It's only in pkg-config 0.27 or newer, but 0.25 at least is still
    fairly widespread.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e11f15628cff04c4a742f88abee22f440edcce52
Author: Christoph J. Thompson <cjsthompson@gmail.com>
Date:	Fri Feb 1 02:27:32 2013 +0100

    Use the PKG_INSTALLDIR macro.

	modified:   Makefile.am
	modified:   configure.ac

 Makefile.am  | 1 -
 configure.ac | 1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

commit d26fb23c41abd87422778bb38eea39f25ba3dc4a
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jan 25 20:01:24 2013 +0900

    Bug 59385 - Do the right thing for intermixed edit and test elements

    This changes allows to have multiple mathcing rules in one <match>
    block
    in the same order.
    After this changes, the following thing will works as two matching
    rules:

	<match>
		<!-- rule 1 -->
		<test name="family" compare="eq">
			<string>foo</string>
		</test>
		<edit name="foo" mode="append">
			<string>foo</string>
		</edit>
		<!-- rule 2 -->
		<test name="foo" compare="eq">
			<string>foo</string>
		</test>
		<edit name="foo" mode="append">
			<string>bar</string>
		</edit>
	</match>

 fonts.dtd   |	2 +-
 src/fcxml.c | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+), 1 deletion(-)

commit fb3b410998aba8835999e2ca7003a180431cfaf4
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Jan 23 12:37:51 2013 +0900

    remove the unnecessary code

 src/fccompat.c | 6 ------
 1 file changed, 6 deletions(-)

commit 5400bb4fb43dc811b813f11d5b0c023db727f543
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Jan 23 12:32:37 2013 +0900

    Add another approach to FC_PRGNAME for Solaris 10 or before

    Patch from Raimund Steger

 configure.ac	 | 2 +-
 src/fcdefault.c | 5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 000ca9ccb03013a5b151f0d21148ab0ca4c2f2de
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jan 22 12:11:56 2013 +0900

    Fix installation on MinGW32

    Patch from LRN

 src/Makefile.am | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 6363193a0575cf6f58baf7f0a772ad8f92b7b904
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jan 22 12:03:28 2013 +0900

    Fix mkstemp absence for some platform

    Patch from LRN and modified to make more generic.

 src/fccache.c	|  57 ----------------------------
 src/fccompat.c | 116
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcint.h	|   3 ++
 3 files changed, 119 insertions(+), 57 deletions(-)

commit 9dbc282796e9a4d5a2a8cc7d1c8e29b9154e91c0
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jan 22 10:26:41 2013 +0900

    Add missing file descriptor to F_DUPFD_CLOEXEC

    Patch from Matthieu Herrb

 src/fccompat.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6118781f7f5dba672d19a841cc231661bf5fb59d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jan 17 19:27:20 2013 -0600

    Fix readlink failure

    As reported by Raimund Steger.

 src/fcdefault.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 671bcb34e23ed03b1f564af35560db81f8b12b96
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jan 17 12:49:16 2013 +0900

    Better fix for 2fe5ddfd

    Drop realpath() and fix breakage on Win32

 configure.ac	 |  2 +-
 src/fcdefault.c | 14 +++++++-------
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 2fe5ddfdae6be80db5b7e622ab6c1ab985377542
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 16 21:01:28 2013 -0600

    Fix FC_PRGNAME default

    As reported by Raimund Steger.

 src/fcdefault.c | 36 +++++++++++++++++++-----------------
 1 file changed, 19 insertions(+), 17 deletions(-)

commit 55d39bcad0737e92e1207fabbd8c65fa9e5e0482
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 16 07:30:44 2013 -0600

    Fix fc-cache crash caused by looking up NULL object incorrectly

    We were returning a skiplist node when looking up NULL!

 src/fccache.c | 7 +++++--
 src/fccfg.c   | 4 ++--
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 106c4f73119e00a7804ef79ee556f1111d680e32
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 16 07:05:07 2013 -0600

    Minor

 src/fcfreetype.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1a5d0daea0173e2cc47d76d2022467f0dbd423f0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 16 04:52:06 2013 -0600

    Remove unused checks for common functions

    The check results of these were never actually used.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f9ac4c84c90cbb57afbf1fa3a5c9ff3bfc4f537e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Jan 16 16:35:28 2013 +0900

    Improve FcGetPrgname() to work on BSD

 configure.ac	 |  2 +-
 src/fcdefault.c | 10 ++++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

commit ec5ca08c807585a9230f83c95f7cca6b7065b142
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jan 15 20:41:26 2013 -0600

    Bug 59379 - FC_PRGNAME

    Can be used for per-application configuration.

 configure.ac		   |  2 +-
 doc/fontconfig-devel.sgml |  3 +-
 doc/fontconfig-user.sgml  |  1 +
 fontconfig/fontconfig.h   |  1 +
 src/fccfg.c		   |  7 ++++
 src/fcdefault.c	   | 85
 +++++++++++++++++++++++++++++++++++++++++++++--
 src/fcint.h		   |  3 ++
 src/fcobjs.h		   |  1 +
 8 files changed, 99 insertions(+), 4 deletions(-)

commit 3f84695104b169fe25742ba3b91d04467f5debc4
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Sep 4 12:39:48 2012 +0900

    Bug 50497 - RFE: Add OpenType feature tags support

    Add FC_FONT_FEATURES to store the feature tags to be enabled.

 doc/fontconfig-devel.sgml | 2 ++
 doc/fontconfig-user.sgml  | 1 +
 fontconfig/fontconfig.h   | 1 +
 src/fcobjs.h		   | 1 +
 4 files changed, 5 insertions(+)

commit dffb69ed8c7cf2e707bc692f94b51108b772d9d8
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jan 15 17:26:27 2013 +0900

    Fix the build fail on MinGW

    Reported at
    http://lists.freedesktop.org/archives/fontconfig/2013-January/004601.html

    just warn at the runtime instead of the compile time. it somewhat
    works
    on even MinGW since FcMakeTempfile() isn't used on Win32 so far.

 src/fccompat.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 8b8f0d21534aa9b82276815c84429ffca8941d2a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jan 14 14:39:12 2013 -0600

    Minor

 src/fcmatch.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8828fffd93c6b19bcfd7626ddc472aa8f055d034
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jan 14 14:36:38 2013 -0600

    Copy all values from pattern to font if the font doesn't have
    the element

    Bug 59376 - FcFontRenderPrepare enhancement

 src/fcmatch.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 0831c1770e4bac7269a190936bbb0529d747e233
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jan 10 09:01:52 2013 -0600

    Ensure we find the uninstalled fontconfig header

    Patch from Colin Walters.

 test/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 1527c395cbe0bbab9e66a42213ef3ac5ce1c0383
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jan 10 09:00:18 2013 -0600

    Resepct $NOCONFIGURE

    Patch from Colin Walters.

 autogen.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fcc3567847949ec422157d331c9640cd0453e169
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jan 10 17:57:12 2013 +0900

    Bump version to 2.10.91

 README			 | 105
 +++++++++++++++++++++++++++++++++++++++++++++++-
 configure.ac		 |   2 +-
 fontconfig/fontconfig.h |   2 +-
 3 files changed, 105 insertions(+), 4 deletions(-)

commit 98352247f2ab01046c330485f73fd26eb15a08a4
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jan 10 17:56:51 2013 +0900

    Update the date in README properly

 new-version.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9066fbe7855674ff51053b78f1d0d179486e22ea
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jan 10 01:23:07 2013 -0600

    Make linker happy

 fc-validate/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98efed3bcafc92b573b193b5b38039aa717617d3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jan 10 01:17:02 2013 -0600

    Add atomic ops for Solaris

    Patch from Raimund Steger.

 configure.ac	| 22 ++++++++++++++++++++--
 src/fcatomic.h | 12 ++++++++++++
 2 files changed, 32 insertions(+), 2 deletions(-)

commit 8e8a99ae8a1c2e56c42093bee577d6de66248366
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Sep 10 16:09:04 2012 +0900

    Bug 29312 - RFE: feature to indicate which characters are missing
    to satisfy the language support

    Add fc-validate to check the language coverage in a font.

 Makefile.am		      |   2 +-
 configure.ac		      |   1 +
 doc/fclangset.fncs	      |   8 ++
 fc-validate/Makefile.am      |  60 +++++++++++
 fc-validate/fc-validate.c    | 242
 +++++++++++++++++++++++++++++++++++++++++++
 fc-validate/fc-validate.sgml | 182 ++++++++++++++++++++++++++++++++
 fontconfig/fontconfig.h      |   3 +
 src/fcint.h		      |   3 -
 8 files changed, 497 insertions(+), 4 deletions(-)

commit 16fd965171808c10f87d097f678ee9e10771be72
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Jan 9 11:26:56 2013 +0900

    Fix a typo in the manpages template

 doc/func.sgml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7680e9ee891a74f0e428e30604a5d0ff0e2e9383
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jan 8 14:51:00 2013 -0600

    Add pthread test

    Not enabled by default since it requires config and fonts.

 test/Makefile.am    |	9 ++++++
 test/test-pthread.c | 79
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

commit dc21ed28d69df279c6068d9cae862e02af72815f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jan 8 13:01:48 2013 -0600

    Fix memory corruption!

    In FcStrListCreate() we were increasing reference count of set,
    however, if set had a const reference (which is the case for list
    of languages), and with multiple threads, the const ref (-1) was
    getting up to 1 and then a decrease was destroying the set.  Ouch.

    Here's the valgrind error, which took me quite a few hours of
    running to catch:

    ==4464== Invalid read of size 4
    ==4464==	at 0x4E58FF3: FcStrListNext (fcstr.c:1256)
    ==4464==	by 0x4E3F11D: FcConfigSubstituteWithPat (fccfg.c:1508)
    ==4464==	by 0x4E3F8F4: FcConfigSubstitute (fccfg.c:1729)
    ==4464==	by 0x4009FA: test_match (simple-pthread-test.c:53)
    ==4464==	by 0x400A6E: run_test_in_thread (simple-pthread-test.c:68)
    ==4464==	by 0x507EE99: start_thread (pthread_create.c:308)
    ==4464==  Address 0x6bc0b44 is 4 bytes inside a block of size
    24 free'd
    ==4464==	at 0x4C2A82E: free (in
    /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==4464==	by 0x4E58F84: FcStrSetDestroy (fcstr.c:1236)
    ==4464==	by 0x4E3F0C6: FcConfigSubstituteWithPat (fccfg.c:1507)
    ==4464==	by 0x4E3F8F4: FcConfigSubstitute (fccfg.c:1729)
    ==4464==	by 0x4009FA: test_match (simple-pthread-test.c:53)
    ==4464==	by 0x400A6E: run_test_in_thread (simple-pthread-test.c:68)
    ==4464==	by 0x507EE99: start_thread (pthread_create.c:308)

    Thread test is running happily now.  Will add the test in a moment.

 src/fcstr.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 4e6c7d0827c5b3b20205521bf9bd2e94e704b36d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jan 8 16:20:28 2013 +0900

    Fix a build fail on mingw

    Regarding the change of 596931c8b4a7a35cbff9c33437d3cd44395d9c3f

 configure.ac	| 2 +-
 src/fccompat.c | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit d837a7a584bc1e908bc4370d337cd10ecc781fad
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jan 8 16:18:32 2013 +0900

    missing header file to declare _mkdir

 src/fccache.c | 1 +
 1 file changed, 1 insertion(+)

commit 596931c8b4a7a35cbff9c33437d3cd44395d9c3f
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Dec 6 20:01:52 2012 +0900

    Bug 47705 - Using O_CLOEXEC

 configure.ac	 |   4 ++-
 src/Makefile.am |   1 +
 src/fcatomic.c  |   3 +-
 src/fccache.c	 |   6 ++--
 src/fccompat.c  | 103
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcint.h	 |   7 ++++
 src/fcstat.c	 |   2 +-
 src/fcxml.c	 |   2 +-
 8 files changed, 120 insertions(+), 8 deletions(-)

commit d7de1b5c6d4b8800825913ac40a9cea00824f2f8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jan 7 20:10:14 2013 -0600

    Fix pthreads setup

    As reported by Raimund Steger.

 configure.ac | 3 +++
 1 file changed, 3 insertions(+)

commit 1c4c4978adb0fa59767ac7d8c7f98a86928b2fdc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jan 7 17:59:17 2013 -0600

    Oops, add the actual file

 conf.d/10-scale-bitmap-fonts.conf | 81
 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 81 insertions(+)

commit dc11dd581f228623f0f14b3a6a1e4beaa659266b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jan 7 16:41:29 2013 -0600

    Add 10-scale-bitmap-fonts.conf and enable by default

 conf.d/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit ea3a35306617eec068ed961439cf76cdbcb10c28
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jan 7 17:55:04 2013 +0900

    Clean up the unused variable

 fc-query/fc-query.c | 1 -
 1 file changed, 1 deletion(-)

commit 17eda89ed2e24a3fc5f68538dd7fd9ada8efb087
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jan 3 20:33:34 2013 -0600

    Remove FcInit() calls from tools

    Library is supposed to automatically initialize itself.  If it
    doesn't,
    it's a bug.

 fc-list/fc-list.c	 | 5 -----
 fc-match/fc-match.c	 | 5 -----
 fc-pattern/fc-pattern.c | 5 -----
 fc-query/fc-query.c	 | 6 ------
 fc-scan/fc-scan.c	 | 6 ------
 5 files changed, 27 deletions(-)

commit 102a4344dd7f668cf03b9665c718505050e0ae78
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jan 3 20:31:22 2013 -0600

    Don't use blanks for fc-query

    fc-query is supposed to be config-independent.

 fc-query/fc-query.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit b6b678e71eb0ba2b53335b7df0804058f6bd006d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jan 4 11:29:50 2013 +0900

    Missing header file for _mkdir declaration

 src/fcatomic.c | 1 +
 1 file changed, 1 insertion(+)

commit 8e143b4ec447a7ee6c501e7488a3c94db7e6a035
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jan 3 04:19:12 2013 -0600

    Minor

 src/fcobjs.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 16ddb9ff31a7d45ae477f5274c704523b2ec7330
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 22:37:33 2013 -0600

    Ugh, add Tools.mk

 Tools.mk | 64
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)

commit 86e3255118e943bcc5c16cf1628ca381470ca34d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 20:16:55 2013 -0600

    Second try to make Sun CPP happy

 src/Makefile.am | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit bc62c40597c3d95edfdc6a93b39d0bb3837d1d34
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 20:08:40 2013 -0600

    Really fix cross-compiling and building of tools this time

 configure.ac		     |	1 +
 fc-case/Makefile.am	     | 47 +++++----------------------
 fc-glyphname/Makefile.am    | 47 +++++----------------------
 fc-glyphname/fc-glyphname.c |	2 +-
 fc-lang/Makefile.am	     | 44 +++++---------------------
 fc-lang/fc-lang.c	     |	8 ++---
 m4/ax_cc_for_build.m4	     | 77
 +++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 107 insertions(+), 119 deletions(-)

commit 32c1d32cbd54686804481fedaa1881d4f3043f1b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 19:04:17 2013 -0600

    Work around Sun CPP

    According to Raimund Steger:

    > [...]
    > diff --git a/src/Makefile.am b/src/Makefile.am
    > index dc082b7..57c34a2 100644
    > [...]
    > +fcobjshash.gperf: fcobjshash.gperf.h fcobjs.h
    > +    $(AM_V_GEN) $(CPP) -I$(top_srcdir) $< | $(GREP) '^[^#]' |
    awk ' \
    > +    /CUT_OUT_BEGIN/ { no_write=1; next; }; \
    > +    /CUT_OUT_END/ { no_write=0; next; }; \
    > +    { if (!no_write) print; next; }; \
    > +    ' - > $@.tmp && \
    > +    mv -f $@.tmp $@

    Sun Studio CPP seems to insert whitespace in a different way than
    GCC's CPP.

    GCC generates in src/fcobjshash.gperf:

    [...]
    "family", FC_FAMILY_OBJECT
    "familylang", FC_FAMILYLANG_OBJECT
    [...]

    Sun Studio generates:

    [...]
     "family" , FC_FAMILY_OBJECT
     "familylang" , FC_FAMILYLANG_OBJECT
    [...]

    leading to:

    [...]
    Making all in src
    gmake[2]: Entering directory
    `/home/rs/src/fontconfig-git/fontconfig/src'
      GEN    fcobjshash.gperf
      GEN    fcobjshash.h
    Key link: " " = " ", with key set "".
    1 input keys have identical hash values,
    use option -D.
    gmake[2]: *** [fcobjshash.h] Error 1
    gmake[2]: Leaving directory
    `/home/rs/src/fontconfig-git/fontconfig/src'
    gmake[1]: *** [all-recursive] Error 1
    gmake[1]: Leaving directory `/home/rs/src/fontconfig-git/fontconfig'
    gmake: *** [all] Error 2

    ...maybe we could tuck in an additional sed to remove the whitespace,
    like:

    [...]
    fcobjshash.gperf: fcobjshash.gperf.h fcobjs.h
	$(AM_V_GEN) $(CPP) -I$(top_srcdir) $< | \
	$(SED) 's/^\s*//;s/\s*,\s*/,/;' | \
	$(GREP) '^[^#]' | \
	$(AWK) '/CUT_OUT_BEGIN/,/CUT_OUT_END/ { next; }; { print; };' \
	> $@.tmp && \
	mv -f $@.tmp $@
    [...]

    though I'm not sure what kind of guarantee CPP can give us/what
    easier option I might have missed...

 src/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b1510145e7a38802bd544de6035fabf9f81f9710
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 18:57:47 2013 -0600

    Fix build around true/false

 src/fcatomic.h |  4 ++--
 src/fcinit.c	| 10 ++++++++++
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 538f1579e86fdcf471cea58945bf8c674d5b91e7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 18:07:13 2013 -0600

    Trying to fix distcheck

    Doesn't work though :(.  Building docs is very fragile...

    At least, if docbook is present, distcheck passes now.

 Makefile.am	 | 11 +++++++++--
 configure.ac	 |  4 ----
 doc/Makefile.am |  8 ++++++++
 3 files changed, 17 insertions(+), 6 deletions(-)

commit 46ab96b8fa029fbc8ccf69a6f2fda89866e3ac9c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 17:52:00 2013 -0600

    Fix more warnings.

    Linux build and mingw32 cross build warning-free now.

 src/fcobjs.c		| 10 ++++++++--
 src/fcobjshash.gperf.h |  2 +-
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 558b3c65f91b4b2dd65ce2242e1a21ace621e44b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 17:49:41 2013 -0600

    Use CC_FOR_BUILD to generate source files

    Previously we were failing if CROSS_COMPILING and the generated
    headers
    were not present.  It works just fine now.

    One caveat: the fix is not fully correct since config.h is being
    included in the files built with CC_FOR_BUILD, but config.h has config
    for the host system, not the build system.	Should be fine though.

 configure.ac		  | 1 +
 doc/Makefile.am	  | 6 +-----
 fc-case/Makefile.am	  | 8 +-------
 fc-glyphname/Makefile.am | 9 ++++-----
 fc-lang/Makefile.am	  | 9 +++------
 5 files changed, 10 insertions(+), 23 deletions(-)

commit ec8a40d2381014ad2e72b5da0e6357a85f078f9f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 17:35:56 2013 -0600

    Fix build and warnings on win32

 src/Makefile.am |  1 +
 src/fcatomic.h  |  9 +++------
 src/fccache.c	 |  2 +-
 src/fccfg.c	 | 17 ++++++-----------
 src/fcint.h	 |  7 +------
 src/fcmutex.h	 |  5 ++---
 src/fcstat.c	 |  3 ---
 src/fcstr.c	 |  3 ---
 src/fcwindows.h | 44 ++++++++++++++++++++++++++++++++++++++++++++
 src/fcxml.c	 | 18 +++++++++---------
 10 files changed, 67 insertions(+), 42 deletions(-)

commit 5c0a4f2726fd1440bf3ec4bb375e5e4d146bd989
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 02:27:57 2013 -0600

    Minor

 fc-glyphname/fc-glyphname.c | 46
 ++++++++++++++++++++++-----------------------
 1 file changed, 23 insertions(+), 23 deletions(-)

commit 766bed901f7f4c648387fb403ef6e253be1c45e9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 02:19:04 2013 -0600

    Fix compiler warnings

 src/fcobjs.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 93fb1d4bab5fefb73393141bb3e96c9dc279e615
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 02:06:15 2013 -0600

    Remove FcSharedStr*

 src/fccfg.c	 |  2 +-
 src/fcdefault.c |  6 +++---
 src/fcint.h	 |  9 +++------
 src/fclist.c	 |  6 +++---
 src/fcname.c	 |  2 +-
 src/fcobjs.c	 |  2 +-
 src/fcpat.c	 | 25 +++----------------------
 src/fcstr.c	 | 11 +----------
 src/fcxml.c	 | 10 +++++-----
 9 files changed, 21 insertions(+), 52 deletions(-)

commit 6b143781073cf395fd6211c75bbdc9f5b5a54936
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 01:54:38 2013 -0600

    Fixup fcobjs.c

    Ouch!

 src/fcobjs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6047ce7b9fb793da4e693e3777bbd3e1baf3146e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 01:31:34 2013 -0600

    Warn about undefined/invalid attributes during config parsing

 src/fcxml.c | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit b604f10c0c31a56ae16154dfe6a2f13b795aaabf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jan 2 01:09:20 2013 -0600

    Make fcobjs.c thread-safe

    With this, the library should be threadsafe as far as my analysis
    goes!

 src/fcobjs.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 2ae07bbcd2a7650f2711b45e78e65e2ca1c4a17a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Oct 15 19:35:03 2012 -0500

    Make FcDirCacheDispose() threadsafe

 src/fccache.c | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 68b8ae9af8b0f86dade6135b01aaf0b2f2077fb5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Oct 10 15:24:31 2012 -0400

    Make cache hash threadsafe

    This concludes my first pass at making fontconfig threadsafe.  Now to
    testing and actually fixing it!

 src/fccache.c | 37 ++++++++++++++++++++++++++++++-------
 1 file changed, 30 insertions(+), 7 deletions(-)

commit adb03b730de5d090855f45bc23b934a65ef2399c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Oct 8 20:03:35 2012 -0400

    Make random-state initialization threadsafe

 src/fccache.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 91dd7d28ffc397fb1389f76ac55b397e55da809d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Oct 8 20:02:05 2012 -0400

    Add a big cache lock

    Not used yet.

 src/fccache.c | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

commit 8d2bbb193ae49ea6abd5a9b4d28d3d88ac97d7a2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 21:03:58 2012 -0400

    Make cache refcounting threadsafe

 src/fcatomic.h |  1 +
 src/fccache.c	| 13 ++++++-------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 31ee38e541180db6d7bc58d5abde83136352e7ce
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 17:46:12 2012 -0400

    Minor

 src/fccfg.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b8f238e49d7b7e1cff787c518cd4490b32039cca
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 17:42:18 2012 -0400

    Make FcCacheIsMmapSafe() threadsafe

 src/fccache.c | 38 ++++++++++++++++++++++----------------
 1 file changed, 22 insertions(+), 16 deletions(-)

commit b27a22aae9902d409c21e5bb19a97dcc5966ea24
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 17:29:45 2012 -0400

    Minor

 src/fcinit.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 0552f26016865b8a76819cf342fa0cf13afdc5e8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 17:02:50 2012 -0400

    Make default-FcConfig threadsafe

 src/fccfg.c	 | 60
 +++++++++++++++++++++++++++++++++++++--------------------
 src/fcdefault.c |  3 +--
 2 files changed, 40 insertions(+), 23 deletions(-)

commit e53f5da54f066f73a53eba1f82f54521fa3f7ea2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 16:42:36 2012 -0400

    Minor

 src/fccfg.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 7ae24b4554a8543d8cd41a83b6114e0143982758
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 16:37:03 2012 -0400

    Refactor; contain default config in fccfg.c

 src/fccfg.c  | 26 ++++++++++++++++++++++++--
 src/fcinit.c | 14 ++------------
 src/fcint.h  |  8 ++++++--
 src/fcxml.c  |  4 ++--
 4 files changed, 34 insertions(+), 18 deletions(-)

commit 32b0d88923524c24f4be36733ebef5872b57b95a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 16:26:53 2012 -0400

    Make FcDefaultFini() threadsafe

 src/fcdefault.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 7019896c99872b23d89b1404b02754cbc4ea1456
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 16:09:35 2012 -0400

    Make FcInitDebug() idempotent

 src/fcdbg.c | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit b97ab0c94938448dc2b780b8f0f60fb68884899f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 15:52:25 2012 -0400

    Make FcGetDefaultLang and FcGetDefaultLangs thread-safe

 src/fcdefault.c | 83
 +++++++++++++++++++++++++++++++++++++++++----------------
 src/fcinit.c	 |  1 +
 src/fcint.h	 |  3 +++
 src/fcstr.c	 |  4 +++
 4 files changed, 68 insertions(+), 23 deletions(-)

commit 64af9e1917114c789ad74dd28b3248f8c0525f45
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 14:41:38 2012 -0400

    Make refcounts, patterns, charsets, strings, and FcLang thread-safe

 src/fcatomic.h  | 18 +++++++++---------
 src/fccfg.c	 | 29 +++++++++++++++--------------
 src/fccharset.c | 24 ++++++++++++------------
 src/fcdefault.c |  2 +-
 src/fcint.h	 | 26 ++++++++++++++++++++------
 src/fclang.c	 | 43 ++++++++++++++++++++++++-------------------
 src/fcmatch.c	 |  4 ----
 src/fcmutex.h	 |  2 ++
 src/fcpat.c	 | 25 ++++++++++++-------------
 src/fcstr.c	 | 24 +++++++++++++-----------
 10 files changed, 108 insertions(+), 89 deletions(-)

commit 814871b2aaa3a22ef711ca4656507fb69c952156
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 14:24:28 2012 -0400

    Add thread-safety primitives

 COPYING	 |   1 +
 src/Makefile.am |   2 +
 src/fcatomic.h  | 123
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcint.h	 |   4 +-
 src/fcmutex.h	 | 126
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 254 insertions(+), 2 deletions(-)

commit f6d8306e566dd1a4b8a13f433d2bc1ffbe667db7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Oct 7 13:49:45 2012 -0400

    Add build stuff for threadsafety primitives

    Copied over from HarfBuzz.

 configure.ac	  |  38 ++++++-
 m4/ax_pthread.m4 | 309
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 346 insertions(+), 1 deletion(-)

commit b53744383dbefb3f80fb8a7365487669a499ad76
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Oct 6 18:15:58 2012 -0400

    Fix build stuff

 src/Makefile.am | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit db6d86a6c1b5bb15511e4e4015af889d4206be1d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Oct 6 18:12:19 2012 -0400

    Remove shared-str pool

    We used to have a shared-str pool.	Removed to make thread-safety
    work easier.  My measurements show that the extra overhead is not
    significant by any means.

 src/fcpat.c | 58
 +++++++---------------------------------------------------
 1 file changed, 7 insertions(+), 51 deletions(-)

commit ed41b237658ba290d86795904701ace09b46f6c4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Oct 6 17:52:39 2012 -0400

    Switch .gitignore to git.mk

 .gitignore		  | 100 ---------------------
 Makefile.am		  |   2 +
 conf.d/Makefile.am	  |   2 +
 doc/Makefile.am	  |   2 +
 fc-cache/Makefile.am	  |   2 +
 fc-case/Makefile.am	  |   2 +
 fc-cat/Makefile.am	  |   2 +
 fc-glyphname/Makefile.am |   2 +
 fc-lang/Makefile.am	  |   2 +
 fc-list/Makefile.am	  |   2 +
 fc-match/Makefile.am	  |   2 +
 fc-pattern/Makefile.am   |   2 +
 fc-query/Makefile.am	  |   2 +
 fc-scan/Makefile.am	  |   2 +
 fontconfig/Makefile.am   |   2 +
 git.mk			  | 227
 +++++++++++++++++++++++++++++++++++++++++++++++
 src/Makefile.am	  |   2 +
 test/Makefile.am	  |   2 +
 18 files changed, 259 insertions(+), 100 deletions(-)

commit d58c31e6dcfd8c5e6fe3ead4a69216b059558223
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Sep 20 14:42:31 2012 -0400

    Use a static perfect hash table for object-name lookup

    The hash table is generated by gperf.  For runtime element types,
    we use
    a append-only linked list.

    A bit clumsy, but I think I got it right.

 src/Makefile.am	|  26 +++-
 src/fcinit.c		|   1 -
 src/fcint.h		|  79 ++++---------
 src/fcname.c		| 315
 +++++++------------------------------------------
 src/fcobjs.c		| 130 ++++++++++++++++++++
 src/fcobjs.h		|  44 +++++++
 src/fcobjshash.gperf.h |  26 ++++
 7 files changed, 291 insertions(+), 330 deletions(-)

commit 7c0f79c5fe9db50b55112a1048a8f1c6a80e96fa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Sep 20 14:01:47 2012 -0400

    Deprecate FcName(Un)RegisterObjectTypes / FcName(Un)RegisterConstants

    These never worked as intended.  The problem is, if Fontconfig
    tries to
    read config files when these new types / constants are not registered,
    it errs.  As a result, no defined types / constants are usable from
    config files.  Which makes these really useless.  Xft was the
    only user
    of this API and even there it's not really used.  Just kill it.

    One inch closer to thread-safety since we can fix the object-type hash
    table at compile time.

 doc/fcconstant.fncs	 |   8 +---
 doc/fcobjecttype.fncs	 |   6 +--
 fontconfig/fontconfig.h |  10 +++--
 src/fcname.c		 | 100
 ++++++------------------------------------------
 4 files changed, 23 insertions(+), 101 deletions(-)

commit 1e2c0d70527c39f761c5770d93a5c1f8e87522bc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jan 1 20:28:08 2013 -0600

    Whitespace

 fontconfig/fontconfig.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a498f2f717a73c3fff9784dd92173583fb37a596
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jan 1 20:27:54 2013 -0600

    Minor

 src/fcname.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8198127b2525084bfe2378b83c185fa0da7f583b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jan 1 20:20:31 2013 -0600

    Don't crash in FcPatternFormat() with NULL pattern

 src/fcformat.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit c9581b47c4409612e8f2d4f67a402c566ba8330e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jan 1 20:20:12 2013 -0600

    Don't crash in FcPatternDestroy with NULL pattern

 src/fcpat.c | 3 +++
 1 file changed, 3 insertions(+)

commit e7d3e2163280ffb970b60c6ed18e26325d0241e4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jan 1 20:10:18 2013 -0600

    Add NULL check

 src/fcformat.c | 3 +++
 1 file changed, 3 insertions(+)

commit 5bb5da4c4a34ca7c0a7c513e38829f69654f9962
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jan 1 20:09:08 2013 -0600

    Refuse to set value to unsupported types during config too

 src/fccfg.c | 34 ++++++++++++++++++++++++++++------
 1 file changed, 28 insertions(+), 6 deletions(-)

commit 3878a125410d1dd461aee1e40f9ac00d68be71f2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jan 1 19:52:14 2013 -0600

    Make FC_DBG_OBJTYPES debug messages into warnings

    And remove FC_DBG_OBJTYPES since it has no use now.

 src/fcdbg.c | 30 +++++++++++++++++++-----------
 src/fcint.h |	5 ++++-
 src/fcpat.c | 21 +++++++++------------
 3 files changed, 32 insertions(+), 24 deletions(-)

commit 209750a4e0a3e1d7b8c5c971e9e2cbd5770d959f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Dec 31 20:11:12 2012 -0600

    Warn if <name target="font"> appears in <match target="pattern">

 src/fccfg.c | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

commit 424cfa1684f8af8bb6ecb01dc83bfc3d0a14f20a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Dec 31 20:00:17 2012 -0600

    Adjust docs for recent changes

 doc/fontconfig-user.sgml | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 31ce352bb350a10c6ae08f1415d348458b64bf61
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Dec 31 19:55:37 2012 -0600

    Initialize matrix during name parsing

    Before:
    $ fc-match sans:matrix=2 -v | grep matrix
	matrix: [2 6.95183e-310; 0 0](s)

    After:
    $ fc-match sans:matrix=2 -v | grep matrix
	matrix: [2 0; 0 1](s)

 src/fcname.c | 1 +
 1 file changed, 1 insertion(+)

commit 6bfef3ca4e52bdd5216facb90faa043c845aa0f6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Dec 31 17:21:07 2012 -0600

    Make tests run on Windows

 test/Makefile.am | 2 +-
 test/run-test.sh | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit b1630dc00e3538a8fc6629ddbbba5435bfb2bd7a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Dec 31 17:20:29 2012 -0600

    Enable fcarch assert checks even when FC_ARCHITECTURE is explicitly
    given

    After all, if the asserts fail, the resulting library simply can't be
    working correctly.

 src/fcarch.c | 9 ---------
 1 file changed, 9 deletions(-)

commit a0638ff0c7445925e873b39dbe584fbaf3cc87e5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Dec 31 17:20:12 2012 -0600

    Remove unneeded stuff

 fc-cat/fc-cat.c   | 10 ++++------
 fc-lang/fc-lang.c | 11 -----------
 2 files changed, 4 insertions(+), 17 deletions(-)

commit a603be89cd13555d5992836531c5ef2ba88b8473
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Dec 31 17:00:19 2012 -0600

    Unbreak build when FC_ARCHITECTURE is defined

 src/fcarch.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1fbb0b3b15774c187c697a80fb3c89bc1f3e0006
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Dec 30 19:08:42 2012 -0600

    Don't warn if an unknown element is used in an expression

    The type will be resolved at runtime...

    For example, we can do this now without getting a warning:

    <match target="font">
      <test name="scalable" compare="eq">
	<bool>false</bool>
      </test>
      <edit name="pixelsizefixupfactor" mode="assign">
	<divide>
	  <name target="pattern">pixelsize</name>
	  <name target="font"	>pixelsize</name>
	</divide>
      </edit>
      <edit name="matrix" mode="assign">
	<times>
	  <name>matrix</name>
	  <matrix>
	    <name>pixelsizefixupfactor</name> <double>0</double>
	    <double>0</double> <name>pixelsizefixupfactor</name>
	   </matrix>
	</times>
      </edit>
      <edit name="size" mode="assign">
	<divide>
	  <name>size</name>
	  <name>pixelsizefixupfactor</name>
	</divide>
      </edit>
    </match>

    Previously the last edit was generating:

    Fontconfig warning:
    "/home/behdad/.local/etc/fonts/conf.d/00-scale-bitmap-fonts.conf",
    line 29: saw unknown, expected number

 src/fcxml.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 51b0044648e00025cf20014b19aaceed7beeed75
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Dec 29 23:58:38 2012 -0500

    Allow target="font/pattern/default" in <name> elements

    Based on idea from Raimund Steger.

    For example, one can do something like this:

    <match target="font">
      <test name="scalable" compare="eq">
	<bool>false</bool>
      </test>
      <edit name="pixelsizefixupfactor" mode="assign">
	<divide>
	  <name target="pattern">pixelsize</name>
	  <name target="font"	>pixelsize</name>
	</divide>
      </edit>
      <edit name="matrix" mode="assign">
	<times>
	  <name>matrix</name>
	  <matrix>
	    <name>pixelsizefixupfactor</name> <double>0</double>
	    <double>0</double> <name>pixelsizefixupfactor</name>
	   </matrix>
	</times>
      </edit>
    </match>

    Part of work to make bitmap font scaling possible.	See thread
    discussion:

    http://lists.freedesktop.org/archives/fontconfig/2012-December/004498.html

 fonts.dtd   |	3 ++-
 src/fccfg.c | 57 +++++++++++++++++++++++++++----------------------
 src/fcdbg.c | 19 ++++++++++++-----
 src/fcint.h |	9 +++++++-
 src/fcxml.c | 71
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 5 files changed, 118 insertions(+), 41 deletions(-)

commit d7e1965aa0f55925913e9764d2d0792cc14490c2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Dec 29 23:12:07 2012 -0500

    Remove memory accounting and reporting

    That belongs in tools like cairo/util/malloc-stat.so

 src/fcatomic.c  |   6 ----
 src/fcblanks.c  |   8 -----
 src/fccfg.c	 |  16 ---------
 src/fccharset.c |  36 -------------------
 src/fcfs.c	 |   8 -----
 src/fcinit.c	 | 105
 --------------------------------------------------------
 src/fcint.h	 |  45 ------------------------
 src/fclang.c	 |  17 +--------
 src/fclist.c	 |  10 ------
 src/fcmatrix.c  |   4 ---
 src/fcname.c	 |   2 --
 src/fcpat.c	 |  20 +----------
 src/fcstr.c	 |  21 ------------
 src/fcxml.c	 |  22 ------------
 14 files changed, 2 insertions(+), 318 deletions(-)

commit d823bb3cad1b34d92ca99998a00f35b66666bdf3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Dec 29 22:57:53 2012 -0500

    Fixup from 4f6767470f52b287a2923e7e6d8de5fae1993f67

 src/fcxml.c | 5 -----
 1 file changed, 5 deletions(-)

commit eb9ffac7e5955bcfdf98fa985cc39062d6ea641b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Dec 29 22:56:14 2012 -0500

    Fix more warnings

 src/fcserialize.c | 1 -
 src/ftglue.c	   | 1 -
 2 files changed, 2 deletions(-)

commit 1404af312a091b601bca91b791fe4039da8dba8f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Dec 29 22:55:36 2012 -0500

    Fix warning

 src/fcstat.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit dd69d96e06b16c37bb87817edd40f6e4040f35ae
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Dec 29 22:47:49 2012 -0500

    Fix sign-compare warnings

 src/fccache.c	  | 6 +++---
 src/fcfreetype.c | 6 +++---
 src/fcint.h	  | 4 ++--
 src/fclang.c	  | 6 +++---
 src/fcname.c	  | 6 +++---
 src/fcxml.c	  | 4 ++--
 src/ftglue.c	  | 2 +-
 7 files changed, 17 insertions(+), 17 deletions(-)

commit 4ad3a73691b98781cfd4de789af7d33649ce3023
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Dec 29 22:33:33 2012 -0500

    Fix more warnings

 src/fcstr.c | 2 --
 src/fcxml.c | 2 --
 2 files changed, 4 deletions(-)

commit 83d8019011232d491df93cda97a2f988ee96005b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Dec 29 22:32:56 2012 -0500

    Fix unused-parameter warnings

 src/fcarch.c	 |  2 +-
 src/fccache.c	 |  2 +-
 src/fccfg.c	 |  2 +-
 src/fccharset.c |  4 ++--
 src/fcdir.c	 |  6 +++---
 src/fcformat.c  |  6 +++---
 src/fcint.h	 |  6 ++++++
 src/fcmatch.c	 |  9 ++++-----
 src/fcxml.c	 | 10 +++++-----
 9 files changed, 26 insertions(+), 21 deletions(-)

commit 24cdcf52ab7f83b329072efacbdd9253991579c0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Dec 29 22:11:09 2012 -0500

    Fix compiler warnings

 src/fccfg.c	  | 44 ++++++++++++++++++++++----------------------
 src/fcformat.c   |  2 +-
 src/fcfreetype.c |  6 ++----
 src/fcmatch.c	  | 14 +++++++-------
 src/fcname.c	  |  6 +++---
 src/fcpat.c	  | 16 ++++++++--------
 src/fcxml.c	  | 20 ++++++++++----------
 7 files changed, 53 insertions(+), 55 deletions(-)

commit 4f6767470f52b287a2923e7e6d8de5fae1993f67
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Dec 29 21:39:06 2012 -0500

    Parse matrices of expressions

    Previously a <matrix> element could only accept four <double>
    literals.
    It now accepts full expressions, which can in turn poke into the
    pattern, do math, etc.

 fonts.dtd   |	2 +-
 src/fccfg.c | 24 +++++++++++++--
 src/fcdbg.c | 16 ++++++----
 src/fcint.h |	6 +++-
 src/fcxml.c | 97
 +++++++++++++++++++++++++++++++++++--------------------------
 5 files changed, 94 insertions(+), 51 deletions(-)

commit 927dd3ddb582303843e70300b04167ca774e78b7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Dec 29 20:14:07 2012 -0500

    Fix typo

    Ouch, this has been wrong since 2004...  I guess no one uses <patelt>
    stuff.

 src/fcxml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ce36f4bbebc702a35d0cd9f1a59d5b828549bc6
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Dec 11 18:53:57 2012 +0900

    Check the system font to be initialized

    config->fonts is an array and checking if config->fonts is a null
    will not be useful.

 src/fccfg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 58040349e8309601b0e5488b8a71cedf03f81415
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Dec 11 12:38:42 2012 +0900

    Fix a memory leak

 src/fcxml.c | 1 +
 1 file changed, 1 insertion(+)

commit 5ea3118ad63787c9a3daa856dd09736aac6f4069
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Dec 11 12:35:02 2012 +0900

    Fix a typo that accessing to the out of array

 src/fcstr.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cef2b50c6647582bb128f98f2f78331fbe7dec4e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Dec 11 12:30:05 2012 +0900

    clean up

    ret won't be -1 if HAVE_STRUCT_DIRENT_D_TYPE isn't defined.

 src/fcstat.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 36265aeebd637e75c7b84db107afd6a35eb485c1
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Dec 11 11:37:23 2012 +0900

    Remove the dead code

 fc-cache/fc-cache.c | 7 -------
 1 file changed, 7 deletions(-)

commit 608c5b590bd3428dfcd30f3d68ee8b7131e2f019
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Dec 10 10:54:47 2012 +0900

    Remove the duplicate null-check

 src/fcinit.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e7954674eb4f16d0fed3018cbefb4907c89d2465
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Dec 7 19:09:36 2012 +0900

    Fix the wrong estimation for the memory usage information in
    fontconfig

 src/fccfg.c  |  2 ++
 src/fcinit.c | 16 ++++++++++------
 src/fclang.c | 26 ++++++++++++++++++++++++--
 src/fcstr.c  |  5 ++---
 src/fcxml.c  | 28 ++++++++++++++++------------
 5 files changed, 54 insertions(+), 23 deletions(-)

commit 959442bca138e6480418f2607a04d9343db7f438
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Dec 6 19:49:05 2012 +0900

    Fix a typo

 src/fcdir.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9231545c6bb775460702d8a615f1649bd8632f00
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Dec 5 18:13:25 2012 +0900

    Do not show the deprecation warning if it is a symlink

 conf.d/50-user.conf |	7 ++++++-
 configure.ac	     |	2 +-
 src/fcdir.c	     | 14 ++++++++++++++
 src/fcint.h	     |	3 +++
 src/fcxml.c	     |	6 ++++--
 5 files changed, 28 insertions(+), 4 deletions(-)

commit 2442d611579bccb84f0c29e3f9ceb0a7436df812
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Nov 30 20:10:30 2012 +0900

    Fix build issues on clean tree

 doc/Makefile.am	  | 9 ++-------
 fc-case/Makefile.am	  | 7 +++++--
 fc-glyphname/Makefile.am | 9 ++++++---
 fc-lang/Makefile.am	  | 9 ++++++---
 4 files changed, 19 insertions(+), 15 deletions(-)

commit faea1cac85ac3b0fd6a983e1c0adeb68e115e06c
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:	Wed Nov 28 16:10:28 2012 +0000

    Fix build when srcdir != builddir

    When ./configure'd in a directory other than the srcdir, we need
    to look
    in ${top_builddir)/src for the generated header fcstdint.h

    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>

 fc-case/Makefile.am	  | 2 +-
 fc-glyphname/Makefile.am | 2 +-
 fc-lang/Makefile.am	  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 3d3629f86a45d30eed51dad58865753b3b1e186e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Nov 27 18:25:11 2012 +0900

    Fix a potability issue about stdint.h

 configure.ac		  |   1 +
 m4/ax_create_stdint_h.m4 | 695
 +++++++++++++++++++++++++++++++++++++++++++++++
 src/Makefile.am	  |  11 +-
 src/fcint.h		  |   9 +-
 4 files changed, 707 insertions(+), 9 deletions(-)

commit 02db01ac22318b2e296e6e1fd9664cac1ae66442
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Nov 26 17:21:14 2012 +0900

    Bump version to 2.10.2

 README			 | 25 ++++++++++++++++++++++++-
 configure.ac		 |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 26 insertions(+), 3 deletions(-)

commit 376fc9d22f1480ac380a3845f4cb4fe227e4be9a
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Nov 20 20:09:10 2012 +0900

    Bug 57286 - Remove UnBatang and Baekmuk Batang from monospace in
    65-nonlatin.conf

    Those two fonts are serif fonts. shouldn't be added to monospace.

 conf.d/65-nonlatin.conf | 2 --
 1 file changed, 2 deletions(-)

commit e7b5b5b586fd3c1f1fc7959730b760b7fd1bdee8
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Nov 20 11:48:17 2012 +0900

    Update CaseFolding.txt to Unicode 6.2

    No real updates between 6.1 and 6.2, but anyway.

 fc-case/CaseFolding.txt | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit c20ac78b01df3f0919352bba16b5b48b3b5d4d6d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Nov 15 16:37:01 2012 +0900

    Bug 57114 - regression on FcFontMatch with namelang

    After 7587d1c99d9476b6dd4dbe523c0204da700fed8d applied, family,
    style, and fullname is localized against current locale or lang
    if any though, the string in other languages were dropped from
    the pattern. this caused unexpected mismatch on the target="font"
    rules.

    This fix adds other strings at the end of the list.

 src/fcint.h   |  22 +++++++++
 src/fcmatch.c |  63 +++++++++++++++++--------
 src/fcpat.c   | 146
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 210 insertions(+), 21 deletions(-)

commit bdaef0b80dc27f4ab7a9d9bcedcfd8b5724b3cfd
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Oct 30 09:56:24 2012 +0900

    Bug 56531 - autogen.sh fails due to missing 'm4' directory

    Keep m4 directory in git.

 m4/.gitkeep | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 038aa930ae2c3b7972eefe334917e7222fe478ec
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Oct 26 14:31:23 2012 +0900

    Use automake variable instead of cleaning files in clean-local

    just for git.mk coming up from Behdad's threadsafe branch

 fc-cache/Makefile.am	| 7 +++----
 fc-cat/Makefile.am	| 7 +++----
 fc-list/Makefile.am	| 7 +++----
 fc-match/Makefile.am	| 7 +++----
 fc-pattern/Makefile.am | 7 +++----
 fc-query/Makefile.am	| 7 +++----
 fc-scan/Makefile.am	| 7 +++----
 7 files changed, 21 insertions(+), 28 deletions(-)

commit 73ab254336100c5971e3a1e14b73222efd0e9822
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Oct 23 15:52:37 2012 +0900

    autogen.sh: Add -I option to tell aclocal a place for external
    m4 files

 autogen.sh | 1 +
 1 file changed, 1 insertion(+)

commit e7bfe729ab4cae63ca502291c1fe46cf7152b459
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Oct 9 11:05:59 2012 +0900

    Fix syntax errors in fonts.dtd.

    Patch from Steve Simpson

 fonts.dtd | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 8890f94438179ed7d6f7e2622178bb6c9b1f0e5e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Oct 9 11:03:03 2012 +0900

    Fix wrongly squashing for the network path on Win32.

    Patch from Diego Santa Cruz

 src/fcstr.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 8daa863c6d84ea56cc2f568a89316690e784a277
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Sep 11 18:09:36 2012 +0900

    deal with warnings as errors for the previous change

    missed this change to commit. doh!

 configure.ac | 3 +++
 1 file changed, 3 insertions(+)

commit ab26a722c05b43468f838b2fa72bb6ccd0408ac8
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Aug 31 15:10:50 2012 +0900

    Bug 52573 - patch required to build 2.10.x with oldish GNU C library
    headers

    On older libc, _POSIX_C_SOURCE didn't satisfy to use posix_fadvise()
    and AC_CHECK_FUNCS doesn't check a header file if the function is
    declared there properly. so use AC_LINK_IFELSE instead.

 configure.ac | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 535e0a37d6d77a9d65096277f3bf94c39ffbf7d1
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Aug 31 12:39:38 2012 +0900

    Bug 54138 - X_OK permission is invalid for win32 access(..) calls

    X_OK checking was added back in
    8ae1e3d5dc323542e7def06a42deea62c7ba7027
    which was removed due to the same reason in
    238489030a64fa883f8f9fc3d73247b7f7257899.
    apparently the test case in Bug#18934 still works without it.
    so I'm removing it again to get this working on Windows.

 src/fccache.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9ec868665dd0f4890b5fb9edb85df8334e5bb689
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:	Mon Aug 27 14:52:23 2012 -0700

    Remove _CONFIG_FIXUPS_H_ guards, so multiple includes of "config.h"
    result in the correct values

    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

 config-fixups.h | 4 ----
 1 file changed, 4 deletions(-)

commit c4a58ae0e2fa43fbf9ebefc83891f6abd6728ac9
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Aug 27 16:36:49 2012 +0900

    Fix for libtoolize's warnings

 Makefile.am  | 1 +
 configure.ac | 1 +
 2 files changed, 2 insertions(+)

commit 65da8c091c402ec706d76054eacbc455a7e3d801
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Aug 25 14:10:14 2012 -0400

    Fix N'ko orthography

 fc-lang/nqo.orth | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 375cdbce9d283d1eddb8f6b1c904d755653a87c5
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Aug 16 20:33:12 2012 +0900

    Bug 53585 - Two highly-visible typos in src/fcxml.c

 src/fcxml.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cbfbd4041d4209b5da36746d68fe7aac7645eea5
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jul 27 11:22:14 2012 +0900

    Bump version to 2.10.1

 README			 | 8 +++++++-
 configure.ac		 | 2 +-
 fontconfig/fontconfig.h | 2 +-
 3 files changed, 9 insertions(+), 3 deletions(-)

commit b7287a91fedc8b3ba2f566a17e4c5a00222ca76e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jul 23 13:59:16 2012 +0900

    Install config files first

    Use install-data-hook instead of install-data-local.
    This allows on the real installation to create a symlink with
    the broken ln command though, still not work with the pseudo
    installation by using DESTDIR say.

 conf.d/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ebd5096abc495550596861b6af2aae067e861553
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jul 19 10:20:30 2012 +0900

    Fix a typo in fontconfig.pc

    Reported by Daniel Macks

 fontconfig.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4fc407246ba0860dd883baf4551401614ec220f
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jul 17 14:20:48 2012 +0900

    correct version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92bad770e505ec8683aad2e6e063232843734ece
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jul 17 11:36:01 2012 +0900

    Bump version to 2.10

 README			 | 11 ++++++++++-
 configure.ac		 |  2 +-
 fontconfig/fontconfig.h |  4 ++--
 3 files changed, 13 insertions(+), 4 deletions(-)

commit f513f53347ae943a03192e83f7a6d7c40bcdfd5d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jul 17 11:35:41 2012 +0900

    Update INSTALL

 INSTALL | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 14d23ef330808b480393196984cb06efb5724160
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jul 17 11:34:31 2012 +0900

    Bump libtool revision

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da9400212db8e5aa0a0bdd4fad21d2008b5034e2
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 18 11:23:39 2012 +0900

    Fix a build fail with gcc 2.95, not supporting the flexible array
    members.

 configure.ac | 2 ++
 src/fcint.h  | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 489a575a7455204ee5c170754b92e72ba1e483fd
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jul 6 19:02:05 2012 +0900

    Update CaseFolding.txt to Unicode 6.1

 fc-case/CaseFolding.txt | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

commit 5b2d065ef87514ca32af325f793ee37fabd6af19
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jul 3 19:56:56 2012 +0900

    Bug 34266 - configs silently ignored if libxml2 doesn't support
    SAX1 interface

    Check if libxml2 has built with --with-sax1

 configure.ac | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 9c377192bf7d59336dbe4603d73449c7090c11ca
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 25 14:57:51 2012 +0900

    Bump version to 2.9.92

 README			 | 19 ++++++++++++++++++-
 configure.ac		 |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 20 insertions(+), 3 deletions(-)

commit 2162d9c2ee7ba930dca8f710ad35a83cb7c76ca6
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 25 14:57:40 2012 +0900

    Update INSTALL

 INSTALL | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a94c6b3b94b4a66d7f528fcc7e939b8ec19ad660
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 25 14:50:18 2012 +0900

    Bump libtool revision

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 769306665c37175d1e0e1167895eace0a8bc4bc3
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Apr 24 19:11:41 2012 +0900

    Bug 18726 - RFE: help write locale-specific tests

    Add an example matching rule for the language specific

 doc/fontconfig-user.sgml | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

commit e5a59eac905f1ff6ebe6005c257ce3f9f3c4cc6b
Author: Marius Tolzmann <tolzmann@molgen.mpg.de>
Date:	Thu Jun 21 21:01:10 2012 +0200

    Fix warning about deprecated, non-existent config includes

    Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 8:
    reading configurations from ~/.fonts.conf.d is deprecated.

    Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9:
    reading configurations from ~/.fonts.conf is deprecated.

    Be polite and do not issue the warning if deprecated config includes
    (e.g. ~/.fonts.conf.d and/or ~/.fonts.conf) do not exist.

 src/fcxml.c | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit 3a5e9bc75d7e240ec590c6e50161ee157904d4d6
Author: Marius Tolzmann <tolzmann@molgen.mpg.de>
Date:	Thu Jun 21 21:01:09 2012 +0200

    Fix newline in warning about deprecated config includes

 src/fcxml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d9ad5434b1d3afa2aa3d8a77af0bce940c69177
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 18 18:31:36 2012 +0900

    Rename configure.in to configure.ac

 configure.ac	| 615
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in	| 615
 ---------------------------------------------------------
 new-version.sh |   4 +-
 3 files changed, 617 insertions(+), 617 deletions(-)

commit 4353df754fcf4126ff4a69ccfef1a59450e5a7c7
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 18 10:52:21 2012 +0900

    clean up the lock file properly on even hardlink-not-supported
    filesystem.

 src/fcatomic.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 997a64a67b77ae7c083f4a2898670201ed618fb2
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jun 14 11:27:31 2012 +0900

    Fix the fail of make install with --disable-shared on Win32

 .gitignore	 | 1 +
 configure.in	 | 1 +
 src/Makefile.am | 2 ++
 3 files changed, 4 insertions(+)

commit cd280f6532663981fb5fcc2d38f99973033568db
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Jun 13 20:01:30 2012 +0900

    Fix a build fail on MINGW

 src/fcatomic.c |  7 ++++---
 src/fccfg.c	| 18 +++++++++---------
 src/fcint.h	|  4 +++-
 src/fcstat.c	| 16 ++++++++++------
 src/fcstr.c	|  6 +++---
 src/fcxml.c	| 24 ++++++++++++------------
 6 files changed, 41 insertions(+), 34 deletions(-)

commit 2ec0440fb580f5556d8e1fc4e0e3a6c5b9472cf6
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jun 12 11:02:03 2012 +0900

    Fix a typo and build fail.

 doc/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b447fc5d52e1e88ca1eca0ce3472d48626e27109
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 11 14:14:41 2012 +0900

    Bug 50835 - Deprecate FC_GLOBAL_ADVANCE

    FC_GLOBAL_ADVANCE is deprecated. this flag is simply ignored on
    freetype 2.4.5 or later.

 conf.d/20-fix-globaladvance.conf | 28 ----------------------------
 conf.d/Makefile.am		  |  2 --
 doc/fontconfig-devel.sgml	  |  2 +-
 doc/fontconfig-user.sgml	  |  2 +-
 fontconfig/fontconfig.h	  |  1 +
 src/fcdefault.c		  |  1 +
 src/fcint.h			  |  2 +-
 src/fcname.c			  |  4 ++--
 8 files changed, 7 insertions(+), 35 deletions(-)

commit 54fb7967de3850cf7176dde12432ed48c628ebea
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 11 20:15:15 2012 +0900

    Bump version to 2.9.91

 README			 | 81
 ++++++++++++++++++++++++++++++++++++++++++++++++-
 configure.in		 |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 82 insertions(+), 3 deletions(-)

commit 0b20bd0281a2247a047ef388ea2c6c58614d7b1a
Author: Mark Brand <mabrand@mabrand.nl>
Date:	Mon Jun 11 20:13:02 2012 +0900

    fix building for WIN32

    8c255fb185d5651b57380b0a9443001e8051b29d moved some code out of switch
    but did not declare 'buffer'. Also, replacing the "break" with
    "goto bail" neglected the WIN32 specific code.

 src/fcxml.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 101825a129aa1a025e91fd55124e973fcdb31f9e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 11 18:43:56 2012 +0900

    Generate bzip2-compressed tarball too

 Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit fdb1155035da677368f762d8fb24ad2f470a9813
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 11 18:39:37 2012 +0900

    doc: Fix distcheck error again...

 doc/Makefile.am | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit e8f16c9343f64266c3ec0048d867bfe23bdb6ec6
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Jun 11 17:48:12 2012 +0900

    Bump libtool revision

 configure.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cf70eaa3bfa9b14847a1067295c5c0dc12c95e83
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jun 8 19:41:59 2012 +0900

    Bug 50525 - superfluous whitespace in the style

 src/fcfreetype.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit f4103bf708778433f5ea02014f890cdeccde206b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jun 8 19:17:57 2012 +0900

    fcdefault: Add the lang object at FcConfigSubstituteWithPat() only
    when kind is FcMatchPattern

 src/fccfg.c | 33 ++++++++++++++++-----------------
 1 file changed, 16 insertions(+), 17 deletions(-)

commit 07e52eeb097a4e3c147e00ed7a6eb7652a611751
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jun 8 15:54:48 2012 +0900

    fcdefault: no need to set FC_LANG in FcDefaultSubstitute() anymore

 src/fcdefault.c | 4 ----
 1 file changed, 4 deletions(-)

commit 550fd49d4fb8efab33d1fa1687b1b9bd352202fe
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue May 22 14:17:10 2012 +0900

    Add the default language to the pattern prior to do build the
    substitution

    the default language is referred from the FC_LANG environment variable
    or the current locale

 src/fccfg.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 2261a64ce14d692f7c553f46e2158e70400dbc9c
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jun 8 15:47:52 2012 +0900

    fcdefault: fallback if the environment variables are empty

    try to fallback if FC_LANG, LC_ALL, LC_CTYPE and LANG is empty

 src/fcdefault.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit bbc8fb5ba705e5257693f3b266fce12d2f81b50c
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Mar 29 20:25:20 2012 +0900

    Bug 32853 - Export API to get the default language

    Add a new API FcGetDefaultLangs() to export the string sets of
    the default
    languages.

 doc/fclangset.fncs	 |   9 +++
 fc-lang/fc-lang.c	 |   6 ++
 fontconfig/fontconfig.h |   3 +
 src/fcdefault.c	 | 102 ++++++++++---------------------
 src/fcint.h		 |   6 ++
 src/fclang.c		 | 159
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcstr.c		 |  44 ++++++++++++++
 7 files changed, 260 insertions(+), 69 deletions(-)

commit 1b692d8ab91a096e7d433c51ab187382de91147b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Jun 1 19:06:17 2012 +0900

    Fix the wrong estimation for the memory usage information in
    fontconfig

 fc-cat/fc-cat.c	 |  2 +-
 fc-list/fc-list.c	 |  2 +-
 fc-match/fc-match.c	 |  2 +-
 fc-pattern/fc-pattern.c |  2 +-
 fc-query/fc-query.c	 |  2 +-
 fc-scan/fc-scan.c	 |  2 +-
 src/fccfg.c		 | 12 ++++++++----
 src/fcformat.c		 |  4 ++--
 src/fcpat.c		 |  3 ++-
 src/fcstr.c		 |  3 +--
 src/fcxml.c		 | 11 +++++++++--
 11 files changed, 28 insertions(+), 17 deletions(-)

commit 5254a6630fdf132b0cda62c1bc7e8e40d2639bdf
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu May 31 12:46:55 2012 +0900

    Fix a typo and polish the previous change

 src/fcstat.c | 21 ++++++++-------------
 1 file changed, 8 insertions(+), 13 deletions(-)

commit 4a741e9a0ab8dbaa0c377fbfed41547645ac79af
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed May 30 18:21:57 2012 +0900

    Fix the build fail on Solaris

    It's introduced by 0ac6c98294d666762960824d39329459b22b48b7.
    Use lstat() and S_ISDIR() to check if it's the directory or not
    if there are no d_type in struct dirent.

 configure.in |  2 ++
 src/fcstat.c | 61
 ++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 2 files changed, 55 insertions(+), 8 deletions(-)

commit 0ac6c98294d666762960824d39329459b22b48b7
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:	Mon May 28 14:52:21 2012 +0900

    Fix cache aging for fonts on FAT filesystem under Linux

    Windows does not update mtime of directory on FAT filesystem when
    file is added to it or removed from it. Fontconfig uses mtime of
    directory to check cache file aging and hence fails to detect
    newly added or recently removed files.

    This changeset detects FAT filesystem (currently implemented for
    Linux) and adds generating checksum of directory entries instead
    of using mtime which guarantees proper cache rebuild.

    For non-FAT filesystems this patch adds single syscall per directory
    which is negligeable overhead.

    This fixes bug https://bugs.freedesktop.org/show_bug.cgi?id=25535

    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>

 src/fccache.c | 14 +++++-----
 src/fcdir.c   |  2 +-
 src/fcint.h   |  5 +++-
 src/fcstat.c  | 84
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 96 insertions(+), 9 deletions(-)

commit dc2da23e69e6b3f6e6d0436d4777ee2c1d8ff1be
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon May 28 13:59:48 2012 +0900

    Move statfs/statvfs wrapper to fcstat.c and add a test for the mtime
    broken fs

    just rework to share the efforts between FcIsFsMmapSafe() and
    FcIsFsMtimeBroken().

 src/fccache.c |  50 +--------------------------
 src/fcint.h   |  13 +++++++
 src/fcstat.c  | 108
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 122 insertions(+), 49 deletions(-)

commit 6a83c1ad40594530994b826d928312e9eeb19c35
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:	Sun Apr 29 12:56:16 2012 +0200

    Move FcStat to separate compilation unit

    FcStat() logic is quite complicated in presence of various semi-broken
    operating
    systems and filesystems, split it out in order to make it a bit
    easier.

    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>

 src/Makefile.am |   1 +
 src/fccache.c	 |  88 ------------------------------------------
 src/fcint.h	 |   8 ++--
 src/fcstat.c	 | 116
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 122 insertions(+), 91 deletions(-)

commit 26160366d7ba5c7baf20ae091d5dd0388714df83
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon May 28 15:58:56 2012 +0900

    fcatomic: fallback to create a directory with FcAtomicLock

    link(2) might be failed on the filesystem that doesn't support
    the hard link. e.g. FcAtomicLock() always fails on FAT filesystem
    when link(2) is available.
    So that may be a good idea to fallback if link(2) is failed.

 src/fcatomic.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 2837c63876b9b1f27d74aad51d45fc18d48f4652
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon May 21 13:43:20 2012 +0900

    Bug 33644 - Fontconfig doesn't match correctly in <test>

    Warn if the multiple values is set to <test>, including the case of
    in <alias> because the behavior isn't intuitive since so many users
    is asking for a help to get things working for their expectation.

    Use multiple <match>s or <alias>es for OR operator and
    multiple <test>s for AND operator.

 doc/fontconfig-user.sgml | 23 +++++++++++++++++++++++
 src/fcxml.c		  |  5 +++++
 2 files changed, 28 insertions(+)

commit 794fb0bd6a3fa91c6e03e51dc080e458b8960a55
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon May 21 13:37:54 2012 +0900

    Correct the example

    Enclose the string with <string> in <test>

 doc/fontconfig-user.sgml | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 8c255fb185d5651b57380b0a9443001e8051b29d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Mar 12 19:18:19 2012 +0900

    Bug 20411 - fontconfig doesn't match FreeDesktop directories specs

    Allows reading configuration files, fonts and cache files from
    the directories where the XDG Base Directory Specification defines.

    the old directories are still in the configuration files for
    the backward compatibility.

 conf.d/50-user.conf	  |   7 +-
 doc/fontconfig-user.sgml |  37 ++---
 fonts.conf.in		  |   4 +
 fonts.dtd		  |  10 +-
 src/fccfg.c		  |  78 ++++++++++-
 src/fcinit.c		  |  20 ++-
 src/fcint.h		  |  11 ++
 src/fcstr.c		  |   5 +-
 src/fcxml.c		  | 344
 ++++++++++++++++++++++++++++++-----------------
 9 files changed, 366 insertions(+), 150 deletions(-)

commit bc4517d8e5af8f31821ec8d9990765dad2867dd4
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Apr 11 19:52:35 2012 +0900

    Bug 19128 - Handling whitespace in aliases

    Add a new attribute `ignore-blanks' to <test>.
    When this is set to "true", any blanks in the string will be ignored
    on comparison.  This takes effects for compare="eq" or "not_eq" only.

    Also changed the behavior of the comparison on <alias> too.

 conf.d/20-fix-globaladvance.conf |  8 ++++----
 conf.d/20-unhint-small-vera.conf |  6 +++---
 conf.d/25-unhint-nonlatin.conf   | 30 +++++++++++++++---------------
 conf.d/30-urw-aliases.conf	  |  7 +------
 conf.d/65-fonts-persian.conf	  | 14 +++++++-------
 conf.d/80-delicious.conf	  |  2 +-
 doc/fontconfig-user.sgml	  |  3 ++-
 fonts.dtd			  |  1 +
 src/fccfg.c			  | 35 ++++++++++++++++++++++-------------
 src/fcdbg.c			  | 27 ++++++++++++++++++---------
 src/fcint.h			  |  8 ++++++++
 src/fclist.c			  |  2 +-
 src/fcxml.c			  | 24 ++++++++++++++++++++----
 13 files changed, 103 insertions(+), 64 deletions(-)

commit 5ac12c0e94128ea63e3e74b4e602cf0c74661bce
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu May 10 16:47:09 2012 +0900

    fcarch.c: get rid of the duplicate definition of FC_MAX

    FC_MAX is also available in src/fcint.h

 src/fcarch.c | 2 --
 1 file changed, 2 deletions(-)

commit cc9d572d3e3d270653c994ff1269f56eb7ee1b1c
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu May 10 16:36:10 2012 +0900

    fonts.conf: keeps same binding for alternatives

    Since the binding is affected to the score, the replacement should
    have same binding to avoid the unexpected estimation.

 fonts.conf.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d81407611b160ebfa631556ee60be147d1c0416f
Author: Keith Packard <keithp@keithp.com>
Date:	Tue May 1 19:28:27 2012 -0700

    Deal with architectures where ALIGNOF_DOUBLE < 4

    This patch isn't really tested as I don't have such a machine, but I
    have a bug report that on m68k machines, double values are aligned on
    smaller than 4 byte boundaries. If ALIGNOF_DOUBLE < sizeof(int),
    the "expected" sizeof of FcValue is miscomputed. Use the maximum of 4
    (sizeof (int)) and ALIGNOF_DOUBLE when computing the expected size of
    FcValue.

    Signed-off-by: Keith Packard <keithp@keithp.com>

 src/fcarch.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e41474e925947b5a2fb64c80135bc116e9e56d2d
Author: Keith Packard <keithp@keithp.com>
Date:	Tue May 1 19:28:26 2012 -0700

    Extra ',' in AC_ARG_WITH(arch causes arch to never be autodetected

    Commit 87d7b82a98780223422a829b6bb1a05fd753ae5e reformatted this
    part of the configure script, accidentally introducing a spurious
    comma.

    Signed-off-by: Keith Packard <keithp@keithp.com>

 configure.in | 1 -
 1 file changed, 1 deletion(-)

commit d2718257f9aa3e6071f649296a52a22684c43e96
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue May 1 20:18:41 2012 +0900

    Output more verbose debugging log to show where to insert the element
    into the value list

 src/fccfg.c |	2 +-
 src/fcdbg.c | 79
 +++++++++++++++++++++++++++++++++++++++++++------------------
 src/fcint.h |	8 ++++++-
 3 files changed, 64 insertions(+), 25 deletions(-)

commit 7d65f9f514e33305bdeafd0d34140da46259e57f
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Apr 11 19:52:35 2012 +0900

    Bug 39278 - make usage of mmap optional

    Stop using mmap() if the cache file is stored on NFS.
    also added FONTCONFIG_USE_MMAP environment variable to enforce the
    use of
    or not the use of mmap(2) regardless of what the filesystem the
    cache files
    are stored on.

 configure.in		  | 24 +++++++++++++--
 doc/fontconfig-user.sgml | 20 ++++++++++++-
 src/fccache.c		  | 77
 ++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 116 insertions(+), 5 deletions(-)

commit f30a5d7637af14b12f07267b59e02ec4a14458f2
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Apr 25 16:21:33 2012 +0900

    Disable iconv support anyway...

 configure.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7587d1c99d9476b6dd4dbe523c0204da700fed8d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Mar 26 16:34:34 2012 +0900

    Bug 27765 - FcMatch() returns style in wrong language

    Add "namelang" object to obtain the localized name in the font
    regardless
    of the lang object. it's applied to "familylang", "stylelang" and
    "fullnamelang" alltogether. this would helps if one wants to enforce
    selecting them in the specific language if any.  the default value for
    the namelang object is determined from current locale.

 doc/fontconfig-devel.sgml |   3 ++
 fontconfig/fontconfig.h   |   1 +
 src/fcdefault.c	   |  37 ++++++++++++++-
 src/fcint.h		   |   3 +-
 src/fclist.c		   |  47 +++++++++++++++----
 src/fcmatch.c		   | 113
 +++++++++++++++++++++++++++++++++++++++-------
 src/fcname.c		   |   1 +
 7 files changed, 178 insertions(+), 27 deletions(-)

commit 526f0da93fc487e9b33a4d97386a9054156d01ac
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Apr 24 11:40:51 2012 +0900

    Add --enable-iconv option to configure

    Disable iconv support by default, which provide a feature to convert
    non-Unicode SFNT names to UTF-8.

 configure.in | 64
 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 34 insertions(+), 30 deletions(-)

commit 06d6b7c3120cd417af5ff47e9735aed577978354
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 28 17:28:06 2012 +0900

    Create CACHEDIR.TAG when fc-cache is run or only when the cache
    directory is created at the runtime.

    Also add FcCacheCreateTagFile() API to do create CACHEDIR.TAG on
    the cache
    directory.

 doc/fccache.fncs	 |  9 ++++++
 doc/fcconfig.fncs	 |  2 +-
 fc-cache/fc-cache.c	 | 73 +-----------------------------------------
 fontconfig/fontconfig.h |  5 ++-
 src/fccache.c		 | 85
 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/fccfg.c		 |  2 +-
 src/fcint.h		 |  3 ++
 7 files changed, 104 insertions(+), 75 deletions(-)

commit 25ccc3f3d27d8affd45c4b0a8041ef757dbb20dd
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Apr 20 19:08:59 2012 +0900

    Bug 47721 - Add ChromeOS fonts to 30-metric-aliases.conf

 conf.d/30-metric-aliases.conf | 50
 +++++++++++++++++++++++++++++++++----------
 1 file changed, 39 insertions(+), 11 deletions(-)

commit 7069d717e982adcf8e1d300cbd10eec6322a65c9
Author: Akira TAGOH <akira@tagoh.org>
Date:	Sun Apr 22 21:40:44 2012 +0900

    C++11 requires a space between literal and identifier

    Reported by Buganini

 fontconfig/fontconfig.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 22dc5460906f78b3dc1b12ab2440e62b930adf0b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Apr 20 20:04:17 2012 +0900

    Fix a build issue again when no regex functions available

    Reported by Jon TURNEY

 configure.in | 4 +---
 src/fcstr.c  | 2 +-
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 9fa7b7c8f2d1d8a9c50f3ba0f99087f653b6a9b8
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Apr 20 11:17:41 2012 +0900

    Rework to avoid adding the unexpected value to ICONV_CFLAGS and
    ICONV_LIBS

 configure.in | 44 ++++++++++++++++++++++++--------------------
 1 file changed, 24 insertions(+), 20 deletions(-)

commit dd2a3d3520b6fea20a58b2888fef0458c01b287f
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Apr 18 12:55:23 2012 +0900

    Bug 25151 - Move cleanCacheDirectory() from fc-cache.c into
     the library

    Add FcDirCacheScan() API to clean up the cache files in the directory.

 doc/fccache.fncs	 |  9 +++++
 fc-cache/fc-cache.c	 | 93
 +------------------------------------------------
 fontconfig/fontconfig.h |  3 ++
 src/fccache.c		 | 91
 +++++++++++++++++++++++++++++++++++++++++++++++
 src/fcint.h		 |  2 ++
 5 files changed, 106 insertions(+), 92 deletions(-)

commit 9e62fcedfe774a13843cc0982bc3e535369b99eb
Author: Keith Packard <keithp@keithp.com>
Date:	Mon Apr 16 11:28:36 2012 -0700

    Use posix_fadvise to speed startup

    Given that fontconfig will scan all of the cache file data during the
    first font search, ask the kernel to start reading the pages right
    away.

    Signed-off-by: Keith Packard <keithp@keithp.com>

 configure.in  | 2 +-
 src/fccache.c | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 94c2cc58a091138aa8c507d6239eca69520b65f0
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Apr 16 20:25:52 2012 +0900

    doc: Fix a typo of the environment variable name.

 doc/fcconfig.fncs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c5714bcf90d6b345e748b7fa7b21e421409aba60
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Apr 13 11:09:04 2012 +0900

    Add --with-expat, --with-expat-includes and --with-expat-lib back.

 configure.in | 41 ++++++++++++++++++++++++++++++++++++++---
 1 file changed, 38 insertions(+), 3 deletions(-)

commit 470e92c9dbdc75d354c9dce9063276996ecf535d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Apr 12 14:01:25 2012 +0900

    Bug 27526 - Compatibility fix for old windows sytems

    Patch from Gianluigi Tiesi

 src/fccache.c |  3 ---
 src/fcint.h   | 12 ++++++++++--
 src/fcxml.c   | 52 +++++++++++++++++++++++++++++++++++++++++++---------
 3 files changed, 53 insertions(+), 14 deletions(-)

commit ac6271dbac32086ce60845efc4d87e669f37796a
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Apr 12 11:01:12 2012 +0900

    Bug 48573 - platform without regex do not have also REG_XXX defines

    Fix a build issue on the platforms where regex isn't available

 configure.in | 9 +++++++++
 src/fcstr.c  | 6 ++++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 9231d79ad180f992f9bbef4f3127576870a75075
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Apr 9 12:51:12 2012 +0900

    Bug 28491 - Allow matching on FC_FILE

    Allow :file=/path/to/font/file on matching

 configure.in  |  4 +--
 src/fcint.h   |  6 +++++
 src/fcmatch.c | 84
 ++++++++++++++++++++++++++++++++++++-----------------------
 src/fcstr.c   | 50 +++++++++++++++++++++++++++++++++++
 4 files changed, 110 insertions(+), 34 deletions(-)

commit 2589207cfd4c7e948a4b50d7c07c13a3a52fe0aa
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Apr 10 18:34:11 2012 +0900

    Bug 26830 - Add search for libiconv non-default directory

    Add --with-libiconv, --with-libiconv-includes and --with-libiconv-lib
    to specify the directory where libiconv might be installed.

 configure.in	 | 85
 +++++++++++++++++++++++++++++++++++++++++----------------
 src/Makefile.am |  1 +
 2 files changed, 63 insertions(+), 23 deletions(-)

commit ddefa5021f7785514f373aab6a8e6191a867278e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Apr 4 14:47:57 2012 +0900

    Bug 22862 - <alias> ignores <match> <test>s

    Allow to use the test elements in the alias element.

 fonts.dtd   |	2 +-
 src/fcxml.c | 27 +++++++++++++++++++++------
 2 files changed, 22 insertions(+), 7 deletions(-)

commit e181ab4de5d20fe1f70e68f66ef8332553eba206
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Apr 4 16:49:30 2012 +0900

    Bug 29341 - Make some fontconfig paths configurable

    Add configure options to set the directory to be installed:
      --with-templatedir for the configuration files a.k.a.
	/etc/fonts/conf.avail
      --with-baseconfigdir for fonts.conf etc a.k.a. /etc/fonts
      --with-configdir for the active configuration files a.k.a.
	/etc/fonts/conf.d
      --with-xmldir for fonts.dtd etc

    and the default path for templatedir is changed to
    ${datadir}/fontconfig/conf.avail

 Makefile.am	    | 36 +++++++++++---------
 conf.d/Makefile.am | 99
 ++++++++++++++++++++++++++----------------------------
 configure.in	    | 72 ++++++++++++++++++++++++++++++++-------
 fonts.conf.in	    |  2 +-
 src/Makefile.am    |  2 +-
 5 files changed, 129 insertions(+), 82 deletions(-)

commit bb02899d9ff9813738809fb5349a9f3ae2dba76f
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Apr 2 15:38:27 2012 +0900

    Use pkgconfig to check builddeps

 configure.in | 164
 +++++++++++------------------------------------------------
 1 file changed, 31 insertions(+), 133 deletions(-)

commit 87d7b82a98780223422a829b6bb1a05fd753ae5e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Apr 2 14:32:44 2012 +0900

    Use AC_HELP_STRING instead of formatting manually

 configure.in | 57
 ++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 46 insertions(+), 11 deletions(-)

commit d3e3f4a46d07a7b611be21600d7049225b8b2909
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 30 18:09:14 2012 +0900

    doc: Add contains and not_contains operators and elements

 doc/fontconfig-user.sgml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9279f71a3a855e3b2dbd13dbe0d38f2b69673c49
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 30 11:52:25 2012 +0900

    Bug 24729 - [ne_NP] Fix ortho file

    further update for ne.orth

    Patch from Pravin Satpute.

 fc-lang/ne.orth | 23 ++++++++++++++++++++---
 1 file changed, 20 insertions(+), 3 deletions(-)

commit 9fe7c986c64d8cfb7f85a300b6f0d470ce66b18a
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Mar 29 15:43:11 2012 +0900

    Bug 48020 - Fix for src/makealias on Solaris 10

    Use the command substitution `command` instead of $(command) for
    Solaris 10.

 src/makealias | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit becbdaebe3d77726900072de1a0fb6a95c938da5
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 28 15:09:25 2012 +0900

    Move workaround macros for fat binaries into the separate header file

 Makefile.am	 |  5 +++--
 config-fixups.h | 44 ++++++++++++++++++++++++++++++++++++++++++++
 configure.in	 |  4 +++-
 src/fcarch.h	 | 13 -------------
 4 files changed, 50 insertions(+), 16 deletions(-)

commit fe6ba5e5c54928adeaf96668d0cf6f44f0484065
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 28 16:27:46 2012 +0900

    Fix the hardcoded cache file suffix

 fc-cat/fc-cat.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4a060729a1466186d3be63ada344f43d66f937e5
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 28 13:38:53 2012 +0900

    fcpat: Increase the number of buckets in the shared string hash table

    This is a reasonably conservative increase in the number of buckets
    in the hash
    table to 251.  After FcInit(), there are 240 shared strings in use
    on my system
    (from configuration files I assume).  The hash value is stored in
    each link in
    the chains so comparison are actually not very expensive.  This change
    should
    reduce the average length of chains by a factor of 8.  With the
    reference
    counted strings, it should keep the average length of chains to
    about 2.  The
    number of buckets is prime so as not to rely too much on the quality
    of the
    hash function.

    https://bugs.freedesktop.org/show_bug.cgi?id=17832#c5

    Patch from Karl Tomlinson

 src/fcpat.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8dcff7b96b09748e6f1df9e4adc7ab0850d7b18
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 28 13:37:15 2012 +0900

    Bug 17832 - Memory leaks due to FcStrStaticName use for external
    patterns

    Use the reference-counted strings instead of the static strings

    Patch from Karl Tomlinson

 src/fccfg.c  |  2 +-
 src/fcinit.c |  4 ++--
 src/fcint.h  | 10 +++++-----
 src/fclist.c | 10 +++++++++-
 src/fcname.c | 34 ++++++++------------------------
 src/fcpat.c  | 63
 +++++++++++++++++++++++-------------------------------------
 src/fcxml.c  |  8 +++++---
 7 files changed, 54 insertions(+), 77 deletions(-)

commit ea1c6ea337b8cf6b86169b565787d0d31a0fc330
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Mar 27 21:06:36 2012 +0900

    Fix a memory leak in FcDirScanConfig()

 src/fcdir.c | 3 +++
 1 file changed, 3 insertions(+)

commit 1aaf8b773d73f89f5b0d8591cca0a2072524fdb3
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Mar 26 10:58:18 2012 +0900

    Bug 17722 - Don't overwrite user's configurations in default config

    Use "append" to avoid overwriting the user configuration.
    This presumes most clients may takes care of the first value only.

 conf.d/10-autohint.conf	  | 8 +++++++-
 conf.d/10-no-sub-pixel.conf	  | 8 +++++++-
 conf.d/10-sub-pixel-bgr.conf	  | 8 +++++++-
 conf.d/10-sub-pixel-rgb.conf	  | 8 +++++++-
 conf.d/10-sub-pixel-vbgr.conf	  | 8 +++++++-
 conf.d/10-sub-pixel-vrgb.conf	  | 8 +++++++-
 conf.d/10-unhinted.conf	  | 8 +++++++-
 conf.d/11-lcdfilter-default.conf | 8 +++++++-
 conf.d/11-lcdfilter-legacy.conf  | 8 +++++++-
 conf.d/11-lcdfilter-light.conf   | 8 +++++++-
 10 files changed, 70 insertions(+), 10 deletions(-)

commit 900675d0b0b40f22ecc0d75e4d5ce16295a3a5e3
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Mar 22 19:57:47 2012 +0900

    Bug 47703 - SimSun default family

    40-nonlatin.conf: SimSun should be serif but not sans-serif.

    http://www.microsoft.com/typography/fonts/family.aspx?FID=37

    Patch from Petr Gajdos

 conf.d/40-nonlatin.conf | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 92ac054ce5e270f22a4f81a09522c3f03b76c876
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Mar 22 19:15:27 2012 +0900

    fcmatch: Set FcResultMatch at the end if the return value is valid.

    In the previous code, the result of 'result' in the argument for
    FcFontSetSort() and FcFontSetMatch() wasn't predictable and not
    reliable to
    check if the return value is valid or not. this change is to ensure
    if it's
    performed successfully.

 src/fcmatch.c | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

commit 1db3e9cdd8bc7408e630934cfc8deda7798b8970
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Mar 22 12:36:34 2012 +0900

    fc-cache: improvement of the fix for Bug#39914.

    Use sizeof() instead of strlen() and use stdio.

 fc-cache/fc-cache.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 4f7f3bf9f78843be5b39eb64acfeb02ffcd8e3a4
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 21 16:06:37 2012 +0900

    Bug 39914 - Please tag the cache directory with CACHEDIR.TAG

    fc-cache: Create CACHEDIR.TAG at the top of the cache directory.

    Reviewed-by: Josh Triplett <josh@joshtriplett.org>

 fc-cache/fc-cache.c | 77
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

commit 8cc4498122b17843b00ec3eebdd7a7d8d59cb7ff
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:	Mon Mar 19 02:16:41 2012 -0700

    fcarch: Check for architecture signature at compile time rather than
    configure time

    https://bugs.freedesktop.org/show_bug.cgi?id=20208

    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

 fc-cache/fc-cache.c |	3 +--
 src/fcarch.c	     |	4 ++--
 src/fcarch.h	     | 23 +++++++++++++++++++++--
 3 files changed, 24 insertions(+), 6 deletions(-)

commit e1ffb3dcd46f1fbbc5cb7527bc7f447b060ed98f
Author: Akira TAGOH <tagoh@redhat.com>
Date:	Fri Mar 16 23:18:23 2012 +0900

    Get rid of the prerequisites from the sufix rules

    Thanks to Adam Sampson for pointing this out.

 doc/Makefile.am | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 93460f93e9e55e39a42fb6474918f31539436d9c
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 16 16:29:53 2012 +0900

    Fix a build issue due to the use of non-portable variables

    $< isn't supported in BSD make say. $(RM) is pre-defined in GNU make
    though, not in BSD make say. so changed to check on configure if it's
    pre-defined by make, otherwise set the appropriate command to $(RM).

    This would be a workaround until it has the certain pre-defined value.

 Makefile.am		| 10 +++++-----
 conf.d/Makefile.am	|  8 ++++----
 configure.in		|  9 +++++++++
 doc/Makefile.am	| 32 ++++++++++++++++----------------
 fc-cache/Makefile.am	|  4 ++--
 fc-case/Makefile.am	|  6 ++----
 fc-cat/Makefile.am	|  4 ++--
 fc-list/Makefile.am	|  4 ++--
 fc-match/Makefile.am	|  4 ++--
 fc-pattern/Makefile.am |  4 ++--
 fc-query/Makefile.am	|  4 ++--
 fc-scan/Makefile.am	|  4 ++--
 src/Makefile.am	|  8 ++++----
 13 files changed, 54 insertions(+), 47 deletions(-)

commit f2813ffc689fb6972ff4d5d414c3abfa3e0be26f
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 16 11:55:47 2012 +0900

    Revert "Fix a build fail on some environment"

    This reverts commit b75eb63982a54c0fb4576d8a655ef734908d3604.

 fc-case/Makefile.am	  | 10 ++++++----
 fc-glyphname/Makefile.am |  4 ++--
 fc-lang/Makefile.am	  |  4 ++--
 3 files changed, 10 insertions(+), 8 deletions(-)

commit a5b609196fe9cf688e5b4f7b7cd31fb2dc15b154
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 16 11:55:30 2012 +0900

    Revert "Fix a build fail on some environment."

    This reverts commit 0fdfddf2ac93c1c0238b70a265998fd6b5ffe7af.

    Conflicts:

	doc/Makefile.am

 Makefile.am		  |  2 +-
 doc/Makefile.am	  | 30 +++++++++++++++---------------
 fc-cache/Makefile.am	  | 10 +++++-----
 fc-case/Makefile.am	  |  2 +-
 fc-cat/Makefile.am	  |  6 +++---
 fc-glyphname/Makefile.am |  2 +-
 fc-lang/Makefile.am	  |  2 +-
 fc-list/Makefile.am	  |  8 ++++----
 fc-match/Makefile.am	  |  8 ++++----
 fc-pattern/Makefile.am   |  6 +++---
 fc-query/Makefile.am	  |  8 ++++----
 fc-scan/Makefile.am	  |  8 ++++----
 src/Makefile.am	  |  2 +-
 13 files changed, 47 insertions(+), 47 deletions(-)

commit 765b7b32d862474eb631b47bbdbd34ffba507392
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Mar 12 19:02:27 2012 +0900

    [doc] Update for cachedir.

    <cache> element is now obsoletes and no longer used. get rid of it
    from the doc and add <cachedir> instead.

 doc/fontconfig-user.sgml | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit e8bdc6df2ed329a38c2152b3592bf4ded8f27ce7
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Mar 12 17:58:00 2012 +0900

    [doc] Update the path for cache files and the version.

 doc/fontconfig-user.sgml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dd3214aa392a66095513f8fc160d6b62d81f36f5
Author: Akira TAGOH <akira@tagoh.org>
Date:	Sun Mar 11 02:24:33 2012 +0900

    Bump version to 2.9.0

 README			 | 129
 +++++++++++++++++++++++++++++++++++++++++++++++-
 configure.in		 |   2 +-
 fontconfig/fontconfig.h |   2 +-
 3 files changed, 129 insertions(+), 4 deletions(-)

commit 3b142c2aaeaed4d6d5b3353aa1007d6ac08dbbdb
Author: Akira TAGOH <akira@tagoh.org>
Date:	Sun Mar 11 02:12:10 2012 +0900

    Get rid of $< from Makefile.am

 Makefile.am	 |  2 +-
 doc/Makefile.am | 16 ++++++++--------
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 0fdfddf2ac93c1c0238b70a265998fd6b5ffe7af
Author: Akira TAGOH <akira@tagoh.org>
Date:	Sat Mar 10 23:30:30 2012 +0900

    Fix a build fail on some environment.

 Makefile.am		  |  2 +-
 doc/Makefile.am	  | 20 ++++++++++----------
 fc-cache/Makefile.am	  | 10 +++++-----
 fc-case/Makefile.am	  |  2 +-
 fc-cat/Makefile.am	  |  6 +++---
 fc-glyphname/Makefile.am |  2 +-
 fc-lang/Makefile.am	  |  2 +-
 fc-list/Makefile.am	  |  8 ++++----
 fc-match/Makefile.am	  |  8 ++++----
 fc-pattern/Makefile.am   |  6 +++---
 fc-query/Makefile.am	  |  8 ++++----
 fc-scan/Makefile.am	  |  8 ++++----
 src/Makefile.am	  |  2 +-
 13 files changed, 42 insertions(+), 42 deletions(-)

commit b75eb63982a54c0fb4576d8a655ef734908d3604
Author: Akira TAGOH <akira@tagoh.org>
Date:	Sat Mar 10 22:05:07 2012 +0900

    Fix a build fail on some environment

 fc-case/Makefile.am	  | 10 ++++------
 fc-glyphname/Makefile.am |  4 ++--
 fc-lang/Makefile.am	  |  4 ++--
 3 files changed, 8 insertions(+), 10 deletions(-)

commit a47899a853e4ed3405f398f43d03424095ae73f5
Author: Akira TAGOH <akira@tagoh.org>
Date:	Sat Mar 10 19:03:05 2012 +0900

    Fix a build issue

 doc/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit d6de5351922d79ccf38d2bc6b75f6ea2011dd421
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 9 22:24:18 2012 +0900

    Update to detect the uncommited changes properly

 new-version.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 78d75c003c5f03a2aeebc628d70d3f75bd6f5707
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 9 22:12:35 2012 +0900

    Update the version info

 configure.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 353f7cc69184cdb1a7d5b4cc00741fab97b32f17
Author: Akira TAGOH <akira@tagoh.org>
Date:	Fri Mar 9 17:33:03 2012 +0900

    Fix distcheck error

 doc/Makefile.am	  | 334
 ++++++++++++++++++++++++-----------------------
 fc-case/Makefile.am	  |   3 +
 fc-glyphname/Makefile.am |   3 +
 fc-lang/Makefile.am	  |   3 +
 4 files changed, 179 insertions(+), 164 deletions(-)

commit 254232f47eaea0d03d2b1c2405d4ded5fd09142e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 7 18:16:35 2012 +0900

    Bug 19128 - Handling whitespace in aliases

    Add a workaround alias for Dingbats.

 conf.d/30-urw-aliases.conf | 5 +++++
 1 file changed, 5 insertions(+)

commit 0ca752dd25462ed88112ba7c859ef6d5a41ea606
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 7 17:56:39 2012 +0900

    Check null value for given object to avoid possibly segfaulting

 src/fccharset.c | 175
 +++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 103 insertions(+), 72 deletions(-)

commit 1f01c4b60c4c5e16a92d60f76ce615005c7db6b8
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Mar 7 17:32:14 2012 +0900

    Bug 23336 - unable to display bitmap-only (SFNT) TrueType or OpenType

    Force to find out a size for bitmap-only ttf to avoid the blank glyphs
    in the font.

    Patch from Bug Fly

 src/fcfreetype.c | 32 ++++++++++++++------------------
 1 file changed, 14 insertions(+), 18 deletions(-)

commit a13d518fdd079aeb0bd07a0457393cca8def7f90
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Feb 28 12:52:25 2012 +0900

    Bug 41694 - FcCache functions have random-number-generator side
    effects

    Use the own random number generator state if possible.

 configure.in  |  2 +-
 src/fccache.c | 69
 ++++++++++++++++++++++++++++++++++++++++++++++++++---------
 2 files changed, 60 insertions(+), 11 deletions(-)

commit c7a671ab6069c676bbc77875234364242fd00e88
Author: Pravin Satpute <psatpute@redhat.com>
Date:	Fri Feb 24 16:50:14 2012 +0900

    Bug 25652 - Add ortho file for locale mni_IN

    Add mni.orth for Maniputi

    Signed-off-by: Akira TAGOH <akira@tagoh.org>

 fc-lang/Makefile.am |	3 ++-
 fc-lang/mni.orth    | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 1 deletion(-)

commit 04c96f59b92091b758fb26b97f1f9a3c9c2a6b6c
Author: Pravin Satpute <psatpute@redhat.com>
Date:	Fri Feb 24 16:43:14 2012 +0900

    Bug 25653 - Add ortho file for locale doi_IN

    Add doi.orth for Dogri

    Signed-off-by: Akira TAGOH <akira@tagoh.org>

 fc-lang/Makefile.am |	3 ++-
 fc-lang/doi.orth    | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+), 1 deletion(-)

commit 857753d3680b7e64e753a4b8a8324138200eb86b
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Feb 23 20:12:06 2012 +0900

    Add brx.orth and sat.orth

 fc-lang/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 942cb16f6c59103e29b4e04ca8c64d29c8e67cb0
Author: Parag Nemade <pnemade@redhat.com>
Date:	Thu Feb 23 20:06:41 2012 +0900

    Bug 25650 - Add ortho file for locale sat_IN

    Add sat.orth for Santali

    Signed-off-by: Akira TAGOH <akira@tagoh.org>

 fc-lang/sat.orth | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

commit 38b9c42fe2e9d496a41e773d84a74254a6f65bc4
Author: Parag Nemade <pnemade@redhat.com>
Date:	Thu Feb 23 19:34:18 2012 +0900

    Bug 25651 - Add ortho file for locale brx_IN

    Add brx.orth for Bodo.

    Signed-off-by: Akira TAGOH <akira@tagoh.org>

 fc-lang/brx.orth | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

commit a3ff1f07f8c60d2a3c77a4670de6aad0622ecacc
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Feb 23 15:23:23 2012 +0900

    Bug 27385 - lcdfilter settings for freetype-2.3.12 not available
    in fontconfig-2.8.0

    Add config files for FT_LcdFilter options.

    Patch from Robin Johnson.

 conf.d/11-lcdfilter-default.conf | 10 ++++++++++
 conf.d/11-lcdfilter-legacy.conf  | 10 ++++++++++
 conf.d/11-lcdfilter-light.conf   | 10 ++++++++++
 conf.d/Makefile.am		  |  3 +++
 4 files changed, 33 insertions(+)

commit 5e4ea1104c9b832046cc8dde5ea7da52aaa61143
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Feb 22 16:50:13 2012 +0900

    Do not update stream->pos when seeking is failed.

 src/ftglue.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 71b14d645f524637579d87ea99720c123d728e1f
Author: Akira TAGOH <akira@tagoh.org>
Date:	Wed Feb 22 16:30:05 2012 +0900

    Bug 46169 - Pointer error in FcConfigGlobMatch

    Fix possibly accessing the invalid memory and a crash in the
    worst case
    when the glob string is longer than the string.

 src/fccfg.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 3abf981542788310104bc96b9c9cf70dd39b361b
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Tue Nov 8 14:19:57 2011 -0500

    makealias: handle missing funcs better

    When adding new functions, if the actual definition doesn't match the
    header (say due to a typo), the regeneration of the internal headers
    get confused and output bad cpp logic.  This causes gcc to barf due
    to mismatched #ifdef/#endif.  Which is a pain to figure out due to
    the sheer voulme of generated code.

    So tweak the makealias script to detect this case and error out.
    While we're here, improve the cpp output a bit to indent, include
    comments, and merge similar ifdef blocks.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 src/makealias | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit d9c4462778a3d97b38e267dcdf68dfe22210ed8c
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 7 20:09:10 2011 -0500

    FcObjectValidType: tweak -1 checking

    Newer gcc doesn't like when you switch on an enum and use a value
    that isn't declared:

    fcname.c: In function 'FcObjectValidType':
    fcname.c:299:2: warning: case value '4294967295'
	not in enumerated type 'FcType' [-Wswitch]

    So tweak the logic to avoid this warning.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 src/fcname.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 97c9506e4d0abe5e6a7d61c1a909741d2605507b
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 7 19:29:57 2011 -0500

    fix build warnings when using --with-arch

    Latest configure code will setup FC_ARCHITECTURE directly rather than
    going through ARCHITECTURE, so update fcarch.h accordingly.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 src/fcarch.h | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 01c833379e19d8f8752ac7cec15b179c71242e2c
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 7 15:33:12 2011 -0500

    fc-{list,match}: constify format string

    We don't free this string anywhere, so mark it const to avoid gcc
    warnings
    and possible bugs in the future (if people did try freeing it).

    fc-list.c: In function 'main':
    fc-list.c:161:16: warning: pointer targets in assignment
	differ in signedness [-Wpointer-sign]

    fc-match.c: In function 'main':
    fc-match.c:201:13: warning: pointer targets in assignment
	differ in signedness [-Wpointer-sign]
    fc-match.c:203:13: warning: pointer targets in assignment
	differ in signedness [-Wpointer-sign]

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 fc-list/fc-list.c   | 20 ++++++++++----------
 fc-match/fc-match.c | 22 +++++++++++-----------
 2 files changed, 21 insertions(+), 21 deletions(-)

commit 123d344f4590c45c5ccced8c46d157edb2b9efd2
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 7 15:26:52 2011 -0500

    FcName{,Get}Constant: constify string input

    These funcs don't modify the incoming string, so add const markings.
    This is the "right thing", shouldn't change the ABI, and fixes some
    gcc warnings:

    fccfg.c: In function 'FcConfigEvaluate':
    fccfg.c:916:2: warning: passing argument 1 of 'IA__FcNameConstant'
	discards 'const' qualifier from pointer target type [enabled
	by default]
    fcalias.h:253:34: note: expected 'FcChar8 *' but
	argument is of type 'const FcChar8 *'

    fcxml.c: In function 'FcTypecheckExpr':
    fcxml.c:604:2: warning: passing argument 1 of 'IA__FcNameGetConstant'
	discards 'const' qualifier from pointer target type [enabled
	by default]
    fcalias.h:251:37: note: expected 'FcChar8 *' but
	argument is of type 'const FcChar8 *'

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 fontconfig/fontconfig.h | 4 ++--
 src/fcname.c		 | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit da763aa77dbaefd9be10ff5ad04ab5da39327b2e
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 7 15:24:53 2011 -0500

    fc-cat: fix pointer warning

    Add a cast to avoid a gcc warning:

    fc-cat.c: In function 'cache_print_set':
    fc-cat.c:230:2: warning: pointer targets in passing argument 2
	of 'FcPatternFormat' differ in signedness [-Wpointer-sign]
    ../fontconfig/fontconfig.h:860:1: note:
	expected 'const FcChar8 *' but argument is of type 'char *'

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 fc-cat/fc-cat.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 647569d029d0c01ce36ae7d94095ea83f40728de
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 7 15:21:51 2011 -0500

    FcStat: change to FcChar8 for first arg

    This shouldn't affect the ABI, makes FcStat more like the rest of the
    fontconfig API, and fixes warnings where we pass FcChar8* pointers in
    to this func from other places.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 src/fccache.c | 4 ++--
 src/fcint.h   | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit e3a66c2937c3bd5c45f5170cf7720b4023b8ae3f
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 7 15:18:26 2011 -0500

    delete unused variables

    Newer gcc is better at detecting set-but-unused variables.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 src/fccache.c	  |  6 ++----
 src/fcdir.c	  | 17 -----------------
 src/fcformat.c   |  5 ++---
 src/fcfreetype.c |  3 ---
 4 files changed, 4 insertions(+), 27 deletions(-)

commit 6f020161e8628546158766ce7a5f5e0ce1f7d95a
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 7 14:25:51 2011 -0500

    FcStrPlus: optimize a little

    We've already calculated the lengths of these strings, so re-use those
    values to avoid having to rescan the strings multiple times.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 src/fcstr.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 2b010e46e629f118885f17ba860e9c4ddbba8779
Author: Akira TAGOH <akira@tagoh.org>
Date:	Thu Jan 19 12:04:52 2012 +0900

    Bug 44826 - <alias> must contain only a single <family>

    Fix invalid syntax around alias elements in 30-metric-aliases.conf
    40-nonlatin.conf and 45-latin.conf.

    Patch from lolilolicon

 conf.d/30-metric-aliases.conf |  36 +++++++++++
 conf.d/40-nonlatin.conf       | 140
 +++++++++++++++++++++++++++++++++++++++++-
 conf.d/45-latin.conf	       |  96 +++++++++++++++++++++++++++++
 3 files changed, 271 insertions(+), 1 deletion(-)

commit 54dd481512265a247bd23663c8fdb290a8886ccd
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Dec 20 18:46:14 2011 +0900

    Get rid of the unexpected family name

    UmePlus P Gothic isn't a serif font.

 conf.d/65-nonlatin.conf | 1 -
 1 file changed, 1 deletion(-)

commit 1c13fee11adcaae9eaaa08f9193a8c3c5b01504a
Author: MINAMI Hirokazu <minami@mistfall.net>
Date:	Tue Dec 20 18:36:35 2011 +0900

    Bug 43406 - typo of Japanese font name in conf.d/65-nonlatin.conf

    Fix a typo.

    Signed-off-by: Akira TAGOH <akira@tagoh.org>

 conf.d/65-nonlatin.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a53553b4b65d6230b1a91b1a7433c8c5852ab055
Author: Pravin Satpute <pravin.d.s@gmail.com>
Date:	Wed Dec 21 11:38:28 2011 +0900

    Bug 43321 - Required corrections in urdu.orth file

    Drop U+0629 and U+0647, and add U+06c3 to ur.orth

    Signed-off-by: Akira TAGOH <akira@tagoh.org>

 fc-lang/ur.orth | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 8c58dc276895cbeb0e9ae79718b1a38a082709d3
Author: Jinkyu Yi <jincreator@naver.com>
Date:	Wed Nov 9 18:07:37 2011 +0900

    Bug 42423 - make default Korean font from Un to Nanum

    Update 40-nonlatin.conf and 65-nonlatin.conf for Nanum korean fonts.

    Signed-off-by: Akira TAGOH <akira@tagoh.org>

 conf.d/40-nonlatin.conf |  3 +++
 conf.d/65-nonlatin.conf | 24 ++++++++++++++----------
 2 files changed, 17 insertions(+), 10 deletions(-)

commit a18ca17b6211f62fbd1d893811b94b8c83db4cc0
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Feb 21 15:29:56 2012 +0900

    Bug 40452 - Running 'fc-match --all' core dumps when no fonts are
    installed

    This would changes the behavior of FcFontSort().
    it won't returns NULL afterward.

 fc-match/fc-match.c |	5 +++++
 src/fcmatch.c	     | 29 ++++++++++++++++++++++++++++-
 2 files changed, 33 insertions(+), 1 deletion(-)

commit cbb6ee1662f1219518677a9d489159778a812782
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Jul 19 20:12:09 2011 +0900

    Bug 35517 - Remove Apple Roman cmap support

    Get rid of the apple roman encoding related code

 src/fcfreetype.c | 260
 -------------------------------------------------------
 1 file changed, 260 deletions(-)

commit d3c438221610d2e584a611f21433062dc7e7f83d
Author: Akira TAGOH <akira@tagoh.org>
Date:	Tue Feb 21 15:11:30 2012 +0900

    Add a missing file

 fc-lang/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5582043a49f4360ae83d66ea05409e1c0a25b61e
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Nov 14 12:56:28 2011 +0900

    Bug 32965 - Asturian (ast-ES) language matching missing ḷḷḥ

    Add U+1E24, U+1E25, U+1E36 and U+1e37 for Asturian

 fc-lang/ast.orth | 4 ++++
 1 file changed, 4 insertions(+)

commit dab0afd81013507b3d32afdd5a552d6ac09c10c0
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Nov 14 18:22:48 2011 +0900

    Remove the unnecessary comment in ks.orth

 fc-lang/ks.orth | 4 ----
 1 file changed, 4 deletions(-)

commit dedc16733a44373633e319461ff04ec9d1f08ed6
Author: Pravin Satpute <pravin.d.s@gmail.com>
Date:	Fri Nov 11 15:30:56 2011 +0900

    Bug 27195 - need updates to ks.orth file

    Add U+0620, U+0657, U+065f, U+0672, U+0673 and U+06c4 for Kashmiri

    See http://www.unicode.org/charts/PDF/U0600.pdf

    Signed-off-by: Akira TAGOH <akira@tagoh.org>

 fc-lang/ks.orth | 6 ++++++
 1 file changed, 6 insertions(+)

commit a1ecd679db82b0b118dc7334993f53b4288c4ae4
Author: Akira TAGOH <akira@tagoh.org>
Date:	Mon Nov 14 17:44:24 2011 +0900

    Bug 24744 - No n'ko orthography

    Add nqo.orth for N'Ko

 fc-lang/nqo.orth | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

commit 19651262e9502c952184f27962c9f5e521a11db9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Oct 6 14:59:04 2011 -0400

    Add FcPublic to FcLangSetUnion and FcLangSetSubtract

    Patch from ssp

 fontconfig/fontconfig.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3951fbaa39699684ebd3e76b333a14d5ebb19919
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Oct 5 15:12:48 2011 -0400

    Fix parallel build

 doc/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 082caefb6d5462c97f280b7037e3740b4865a244
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Sep 24 13:52:05 2011 -0400

    Bug 41171 - Invalid use of memset

 src/fccache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf3bfa72d91e8bc37903d7e1bb7ac23c6ef4952a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 22 13:06:19 2011 -0400

    Fix stupid bug in FcFontSort()

    I broke FcFontSort() language handling at the end of 2008 with this
    commit: c7641f28

    G-d knows how many of the lang-matching bugs in bugzilla will be
    fixed by this changed...

    I'm really sorry, everyone!

 src/fcmatch.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e61eba94efffbdbec6f9e08f3fb04b75f0ba2a3f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jun 20 11:55:25 2011 -0400

    Switch fc-cat to use FcPatternFormat()

    Added the a builtin "fccat" to FcPatternFormat().

 doc/fcformat.fncs |  7 +++++++
 fc-cat/fc-cat.c   | 39 +++++++++++----------------------------
 src/fcformat.c    |  3 +++
 3 files changed, 21 insertions(+), 28 deletions(-)

commit a15ac5d3840552528874f1d5ad166eb00906ce80
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jun 20 11:32:46 2011 -0400

    Switch fc-match to use FcPatternFormat()

    Fix small bug in FcPatternFormat that was letting element-default to
    consume the convertor sequence.

 fc-match/fc-match.c | 38 +++++++++-----------------------------
 src/fcformat.c      |	2 +-
 2 files changed, 10 insertions(+), 30 deletions(-)

commit e0be405a1dd5765e36152c754a47c8ad7ff0ab85
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jun 20 11:22:17 2011 -0400

    Bug 26718 - "fc-match sans file" doesn't work

    - Do not throw away FC_FILE in FcNameUnparse
    - Update the builtin "fclist" format to remove FC_FILE properly
    instead
    - Switch fc-list to use FcPatternFormat()

    Note that I had previously broken fc-list and it was not showing the
    file name anymore.	No one noticed that it seems!  Now fixed.

 fc-list/fc-list.c | 17 ++++-------------
 src/fcformat.c    |  2 +-
 src/fcname.c	   |  3 +--
 3 files changed, 6 insertions(+), 16 deletions(-)

commit 0fcf866d44c46bd63d91f656e36544b6ce9af47d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jun 20 11:07:56 2011 -0400

    Bug 36577 - Updating cache with no-bitmaps disables bitmap fonts...

    Do not remove blacklisted fonts during cache generation.  We already
    apply the blacklist when reading the caches.  The idea always has been
    that the config should not affect caches built, although that design
    was tarnished with the introduction of target="scan" configurations.

 src/fcdir.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 0392abf79131c9325c66c71c2708a4cd77673296
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Apr 12 22:15:37 2011 -0400

    [.gitignore] Update

 .gitignore | 3 +++
 1 file changed, 3 insertions(+)

commit 1c475d5c8cb265ac939d6b9e097666e300162511
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Mar 28 16:33:12 2011 -0400

    Bug 35587 - Add padding to make valgrind and glibc not hate each other

 src/fccfg.c | 13 +++++++++++--
 src/fcpat.c | 10 +++++++---
 2 files changed, 18 insertions(+), 5 deletions(-)

commit f0ee5761e1ab63d848f980a767dd8475986f1342
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Mar 14 18:58:13 2011 -0300

    Fix warning

 fc-lang/fc-lang.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c21fb9ac27ca89f3b581c58b1a08372f8273a262
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Mar 14 18:49:21 2011 -0300

    Always define FcStat as a function

    Such that first arg is const char *.  We also need to make more
    changes
    in that function as part of some other bug.

 src/fcatomic.c |  2 +-
 src/fccache.c	| 13 +++++++++++--
 src/fccfg.c	|  2 +-
 src/fcdir.c	|  4 ++--
 src/fcint.h	|  4 ----
 5 files changed, 15 insertions(+), 10 deletions(-)

commit b5617e636cbb0bc8ef4daba6681a6f58078d7a42
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Mar 14 18:23:56 2011 -0300

    More doc typo fixes

 doc/fcatomic.fncs    | 2 +-
 doc/fcconfig.fncs    | 4 ++--
 doc/fcinit.fncs      | 2 +-
 doc/fcmatrix.fncs    | 4 ++--
 doc/fcobjectset.fncs | 2 +-
 5 files changed, 7 insertions(+), 7 deletions(-)

commit 6c7915c10548132c3f7d0c00d08fdb268e5da6d4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Mar 14 18:21:32 2011 -0300

    Mark constant strings as constant

    Fixes a few compiler warnings in fcxml.c and makes it clear that they
    should not be freed.

 doc/fcatomic.fncs | 2 +-
 src/fcint.h	   | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit c76ed777ddb03a70c5990ef439d8d97809d1ef92
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Mar 14 18:04:59 2011 -0300

    Bug 30566 - fcformat.c:interpret_enumerate() passes uninitialized
    idx to FcPatternGetLangSet()

 src/fcformat.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ccc239b3865dd8d83026ae59b89de965e948120a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Mar 14 17:28:53 2011 -0300

    Bug 20113 - Uighur (ug) orthography incomplete

 fc-lang/ug.orth | 35 ++++++++++++++++++++++++++++-------
 1 file changed, 28 insertions(+), 7 deletions(-)

commit 7baa20c7590b12d11dcfb0a50131d50963581258
Author: Brad Hards <bradh@frogmouth.net>
Date:	Fri Mar 11 19:43:42 2011 -0300

    Documentation fixes

 doc/fcatomic.fncs	   |   2 +-
 doc/fccharset.fncs	   |   8 +--
 doc/fcfontset.fncs	   |   2 +-
 doc/fcformat.fncs	   |   4 +-
 doc/fcfreetype.fncs	   |   4 +-
 doc/fcinit.fncs	   |   2 +-
 doc/fclangset.fncs	   |   4 +-
 doc/fcpattern.fncs	   |   2 +-
 doc/fcstring.fncs	   |   4 +-
 doc/fontconfig-devel.sgml | 148
 +++++++++++++++++++++++-----------------------
 doc/fontconfig-user.sgml  |   8 +--
 11 files changed, 94 insertions(+), 94 deletions(-)

commit 9bfe7bad1c85403d85b833b58ebc6343f766e0a9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Mar 11 19:40:38 2011 -0300

    Remove --enable-maintainer-mode from autogen.sh

 autogen.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e1bb01bfdc64d0276fb17f248a54bcabe6f9aff1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jan 21 16:34:52 2011 -0500

    Update CaseFolding.txt to Unicode 6.0

 fc-case/CaseFolding.txt | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit e10a42178c65ff974fa9383dbc78525b3d8de1ae
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jan 3 22:18:38 2011 -0500

    Remove AM_MAINTAINER_MODE

    That macro is simply broken.

    This was also brought up in:
    Bug 32679 - fontconfig-2.8.0 does not cross compile

 configure.in | 1 -
 1 file changed, 1 deletion(-)

commit 0c7b8676171f2238af9785abf775e0f420e6545a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Jan 2 13:25:29 2011 -0700

    Fix assertion failure on le32d4

    Reported by Jon TURNEY.

 src/fcarch.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e63f90ce74d1f2c1e22959cb2ed97120eff3867f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Dec 28 02:58:16 2010 -0600

    Doc nit

 doc/fclangset.fncs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 43bf659eedb3eeff75d219864af475dcadcf6983
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Dec 28 02:55:31 2010 -0600

    Skip <range> elements with begin > end

 src/fcxml.c | 26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

commit 8c625aa01f0ad95b1c06acb079921c209906f3b4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Dec 28 02:52:06 2010 -0600

    Add <range> support for <blank> into the DTD

 fonts.dtd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 549c9962a48cd728116c8f39db31c58043236ff0
Merge: 30fd4fa fa269cf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Dec 28 02:50:16 2010 -0600

    Allow editing charset and lang in target="scan"

    Merge commit 'fa269cf812ee304534b0e4c44662202496008db0'

    Fixes:
    Bug 31969 - Can't modify charset in target="scan"
    Bug 23758 - Can't modify lang in target="scan"

commit 30fd4fac9ca2238f84608c23836cab219640d9c1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Dec 28 01:28:39 2010 -0600

    Bump version

